<?php
######################################################################
# ZW3B.Site v5.8.2 : Web Sites Management
# --------------------------------------------------------------------
#
# Copyright (c) 2015 by LAB3W : O.Romain Jaillet-Ramey - (orj@lab3w.fr)
#
# Date Create : 2015/08/18
# Date Modify : 2015/08/18
#
# Web Site : http://www.zw3b.fr
#
# This module is to manage ---------------------------- :: Descripton
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

ini_set('track_errors','on');
ini_set('display_errors','on');

# Cache #########
#header("Cache-Control: max-age=300");
#header("Pragma: cache, max-age=300, max-stale=600");
# No-cache
header("Cache-control: private, no-store, no-cache, must-revalidate, post-check=0, pre-check=0");
header("Pragma: no-cache");

//-----------------------------------------------------------
// kernel configuration
include "./sys/kernel/zw3bConfig.class.php";

// kernel
include "./sys/kernel/zw3b.class.php";
include "./sys/kernel/zw3bTools.class.php";

// kernel actions
include "./sys/kernel/zw3bActions.class.php";

// kernel ajax
include "./sys/kernel/zw3bAjax.class.php";

// kernel arborescence
include "./sys/kernel/zw3bTree.class.php";

// kernel modules
include "./sys/kernel/zw3bModules.class.php";

//include "./sys/kernel/zw3bAuth.class.php";

// kernel init templates
include "./sys/kernel/zw3bStructures.class.php";
include "./sys/kernel/zw3bViews.class.php";
include "./sys/kernel/zw3bSkins.class.php";

// kernel bdd
include "./sys/kernel/zw3bDb.class.php";

// kernel notification
include "./sys/kernel/zw3bNotif.class.php";

// module config kernel
include "./sys/modules/config/zw3bModConfig.class.php"; include "./sys/modules/config/zw3bModConfigActions.class.php"; include "./sys/modules/config/zw3bModConfigAjax.class.php";
include "./sys/modules/config/default/zw3bModConfigDefault.class.php"; include "./sys/modules/config/default/zw3bModConfigDefaultActions.class.php";
include "./sys/modules/config/structures/zw3bModConfigStructures.class.php"; include "./sys/modules/config/structures/zw3bModConfigStructuresActions.class.php";
include "./sys/modules/config/skins/zw3bModConfigSkins.class.php";  include "./sys/modules/config/skins/zw3bModConfigSkinsActions.class.php";
include "./sys/modules/config/tree/zw3bModConfigTree.class.php";  include "./sys/modules/config/tree/zw3bModConfigTreeActions.class.php";
include "./sys/modules/config/modules/zw3bModConfigModules.class.php";  include "./sys/modules/config/modules/zw3bModConfigModulesActions.class.php";
include "./sys/modules/config/ga/zw3bModConfigGa.class.php";  include "./sys/modules/config/ga/zw3bModConfigGaActions.class.php";

// module utilisateurs
include "./sys/modules/usr/zw3bModUsr.class.php"; include "./sys/modules/usr/zw3bModUsrActions.class.php";
include "./sys/modules/usr/cookies/zw3bModUsrCookies.class.php"; include "./sys/modules/usr/cookies/zw3bModUsrCookiesActions.class.php";
include "./sys/modules/usr/session/zw3bModUsrSession.class.php"; include "./sys/modules/usr/session/zw3bModUsrSessionActions.class.php";
include "./sys/modules/usr/mysql/zw3bModUsrMysql.class.php"; include "./sys/modules/usr/mysql/zw3bModUsrMysqlActions.class.php";

// module structures
include "./sys/modules/structures/zw3bModStructures.class.php"; include "./sys/modules/structures/zw3bModStructuresActions.class.php";

// module skins
//include "./sys/modules/skins/zw3bModSkins.class.php"; include "./sys/modules/skins/zw3bModSkinsActions.class.php";

// module tree
include "./sys/modules/tree/zw3bModTree.class.php"; include "./sys/modules/tree/zw3bModTreeActions.class.php";

// module contents
include "./sys/modules/contents/zw3bModContents.class.php"; include "./sys/modules/contents/zw3bModContentsActions.class.php";
include "./sys/modules/contents/news/zw3bModContentsNews.class.php"; include "./sys/modules/contents/news/zw3bModContentsNewsActions.class.php";
include "./sys/modules/contents/docs/zw3bModContentsDocs.class.php"; include "./sys/modules/contents/docs/zw3bModContentsDocsActions.class.php";
include "./sys/modules/contents/links/zw3bModContentsLinks.class.php"; include "./sys/modules/contents/links/zw3bModContentsLinksActions.class.php";
include "./sys/modules/contents/vimeo/zw3bModContentsVimeo.class.php"; include "./sys/modules/contents/vimeo/zw3bModContentsVimeoActions.class.php";

// module commentaires
include "./sys/modules/comments/zw3bModComments.class.php"; include "./sys/modules/comments/zw3bModCommentsActions.class.php";

// module contact
include "./sys/modules/contact/zw3bModContact.class.php"; include "./sys/modules/contact/zw3bModContactActions.class.php";
include "./sys/modules/contact/form/zw3bModContactForm.class.php"; include "./sys/modules/contact/form/zw3bModContactFormActions.class.php";

//-----------------------------------------------------------

$zw3b = new zw3b();

$zw3b->display();

//-----------------------------------------------------------



?>
