<?php
######################################################################
# ZW3B.Site v5.8.2 : Web Sites Management
# --------------------------------------------------------------------
#
# Copyright (c) 2015 by LAB3W : O.Romain Jaillet-Ramey - (orj@lab3w.fr)
#
# Date Create : 2015/08/18
# Date Modify : 2015/08/18
#
# Web Site : http://www.zw3b.fr
#
# This module is to manage ---------------------------- :: Descripton
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################


class zw3b extends zw3bConfig {

	public $config = array(),
			$info = array(),
			$tree = null;

	//protected $comments = null;

	public $structure;

	public $bdd, $connexion;

	public function __construct() {
		
		$this->config = zw3bConfig::getConfig();
		
		$this->tree = new zw3bTree($this->config);
		$this->info = $this->tree->getUrlparse(); 

		//$this->redirection = $this->tree->checkRedirection($this->info);

		$this->actions(); 
		
		//$this->usr = $this->zwUsr(); //$this->checkUsrAuth();
		
		$this->usr = $this->zwUsr(); $this->zwUsrCheckAuth();
		
		$this->ajax(); 
		
		$this->zwTreeApp();
	}


	// DISPLAY ---------------------------------------------------	
	// 0r ||	
	public function display() {

		//echo '<pre>zw3b>display>config '.print_r($this->config,1).'</pre>';
		//echo '<pre>zw3b>display>info '.print_r($this->info,1).'</pre>';
		
		$this->initStructurePagelayout();
		//$this->initViewsComponents($this->info);
		//$this->initStructurePagelayout();

	}	
	// DISPLAY ---------------------------------------------------		


	// zw3bTreeApp ---------------------------------------------------
	public function zwTreeApp() {

		// o=o 0r soccupe de ladmin
		//$wwwadmin = substr("//admin.zw3b.fr/",2,-1); $wwwadmin = substr("/un-dossier/",1,-1);
		//$wwwadmin = substr($this->config['apps']['conf']['url'],2,-1);

		//if(isset($this->info['folder'][0]) && $this->info['folder'][0] == $wwwadmin
		//		|| $this->info['page']['zw3bsite'] == $wwwadmin  ) {

				//if($this->usr->auth() == true)
					$this->info = $this->tree->zw3bTreeAppCheck($this->info);
					
					//echo '<pre>zw3b>display>info '.print_r($this->info,1).'</pre>'; exit;
					
				//else {
				//	$this->info = $this->tree->zw3bTreeAppCheck($this->info);

					//if(isset($this->info['folder'][1]) && !empty($this->info['folder'][1]) )
					//	header("Location: //".$wwwadmin."/");
				//}
					//header("Location: ".$_SERVER["HTTP_REFERER"]);
					//header("Location: //".$this->info['page']['zw3bsite']);
		//}

	}
	// zw3bTreeApp ---------------------------------------------------
	
	// zw3bActions ---------------------------------------------------
	public function actions() {

		//echo '<pre>zw3b>actions</pre>';
		$this->usr  = $this->zwUsr(); $this->zwUsrCheckAuth();
		//echo '<pre>zw3b>display>config '.print_r($this->config,1).'</pre>';
		//echo '<pre>zw3b>display>info '.print_r($this->info,1).'</pre>';

		if( isset($this->info['folder']['0']) && !empty($this->info['folder']['0'])
			&& $this->info['folder']['0']  == "actions") {
				
			if( isset($this->info['folder']['1']) && !empty($this->info['folder']['1'])) 
			{
				
				$module = $this->info['folder']['1'];
				
				$type =  isset($type) && !empty($type) ? $type : null;
				$action = isset($action) && !empty($action) ? $action : null;

				$_get = null;
				$_post = (isset($_POST) && !empty($_POST)) ? $_POST : null;
				$_files = (isset($_FILES) && !empty($_FILES)) ? $_FILES : null;
								
				switch($module) {
					
					case 'config';
						$type = isset($this->info['folder']['2']) && !empty($this->info['folder']['2']) ? $this->info['folder']['2'] : null;
						$action = isset($this->info['folder']['3']) && !empty($this->info['folder']['3']) ? $this->info['folder']['3'] : (isset($this->info['file'][0]) && !empty($this->info['file'][0]) && $this->info['file'][0] != "index" ? $this->info['file'][0] : null);
						$this->action = zw3bActions::zw3bActionsConfig($type, $action, $_post, $_files);
					break;
					
					case 'usr';
						$type = isset($this->info['folder']['2']) && !empty($this->info['folder']['2']) ? $this->info['folder']['2'] : null;
						$action = isset($this->info['folder']['3']) && !empty($this->info['folder']['3']) ? $this->info['folder']['3'] : (isset($this->info['file'][0]) && !empty($this->info['file'][0]) && $this->info['file'][0] != "index" ? $this->info['file'][0] : null);
						$this->action = zw3bActions::zw3bActionsUsr($type, $action, $_post, $_files);
					break;
					
					case 'tree';
						$action = isset($this->info['folder']['2']) && !empty($this->info['folder']['2']) ? $this->info['folder']['2'] : null;
						$this->action = zw3bActions::zw3bActionsTree($action, $_post, $_files);
					break;
					
					case 'contents';
						$type = isset($this->info['folder']['2']) && !empty($this->info['folder']['2']) ? $this->info['folder']['2'] : null;
						$action = isset($this->info['folder']['3']) && !empty($this->info['folder']['3']) ? $this->info['folder']['3'] : null;
						$this->action = zw3bActions::zw3bActionsContents($type, $action, $_post, $_files);
					break;
					
					case 'contact';
						$type = isset($this->info['folder']['2']) && !empty($this->info['folder']['2']) ? $this->info['folder']['2'] : null;
						$action = isset($this->info['folder']['3']) && !empty($this->info['folder']['3']) ? $this->info['folder']['3'] : (isset($this->info['file'][0]) && !empty($this->info['file'][0]) && $this->info['file'][0] != "index" ? $this->info['file'][0] : null);
						$this->action = zw3bActions::zw3bActionsContact($type, $action, $_post, $_files);
					break;		
					
					case 'comments';
						$action = isset($this->info['folder']['2']) && !empty($this->info['folder']['2']) ? $this->info['folder']['2'] : (isset($this->info['file'][0]) && !empty($this->info['file'][0]) && $this->info['file'][0] != "index" ? $this->info['file'][0] : null);
						$this->action = zw3bActions::zw3bActionsComments($action, $_post, $_files);
					break;				
				}

			}
		
		}

	}
	// zw3bActions ---------------------------------------------------			

	// zw3bAjax ---------------------------------------------------
	public function ajax() {

		//echo '<pre>zw3b>actions</pre>';
		//$this->usr  = $this->zwUsr(); //$this->zwUsrCheckAuth();
		//echo '<pre>zw3b>display>config '.print_r($this->config,1).'</pre>';
		//echo '<pre>zw3b>display>info '.print_r($this->info,1).'</pre>';

		if( isset($this->info['folder']['0']) && !empty($this->info['folder']['0'])
			&& $this->info['folder']['0']  == "ajax") {
				
			if( isset($this->info['folder']['1']) && !empty($this->info['folder']['1'])) 
			{
				$module = $this->info['folder']['1'];
				
				$type =  isset($type) && !empty($type) ? $type : null;
				$action = isset($action) && !empty($action) ? $action : null;

				$_get = null;
				$_post = (isset($_POST) && !empty($_POST)) ? $_POST : null;
				$_files = (isset($_FILES) && !empty($_FILES)) ? $_FILES : null;
								
				switch($module) {
								
					case 'comments';
						$action = isset($this->info['folder']['2']) && !empty($this->info['folder']['2']) ? $this->info['folder']['2'] : (isset($this->info['file'][0]) && !empty($this->info['file'][0]) && $this->info['file'][0] != "index" ? $this->info['file'][0] : null);
						$this->ajax = zw3bAjax::zw3bAjaxComments($action, $_post, $_files);
					break;				

					case 'config';
						$action = isset($this->info['folder']['2']) && !empty($this->info['folder']['2']) ? $this->info['folder']['2'] : (isset($this->info['file'][0]) && !empty($this->info['file'][0]) && $this->info['file'][0] != "index" ? $this->info['file'][0] : null);
						$this->ajax = zw3bAjax::zw3bAjaxConfig($action, $_post, $_files);
					break;
				}

			}
		
		}

	}
	// zw3bAjax ---------------------------------------------------	
		
	// zw3bUsr ---------------------------------------------------
	public function zwUsr($config = null, $info = null) {

		$this->config = (isset($config) && !empty($config)) ? $config : $this->config;
		$this->info = (isset($info) && !empty($info)) ? $info : $this->info;

		//$this->usr = new zw3bModUsr(null, $this->config, $this->info);
		$this->usr = new zw3bModUsr($this->config, $this->info);

		return $this->usr;
	}

	public function zwUsrCheckAuth() {

			$this->usr->session();
			
			//echo '<pre>zw3b>zwUsrCheckAuth>info '.print_r($this->usr->session(),1).'</pre>';
			
			if($this->usr->session->valide() == true) {
				$this->usr->basetype()->refresh();
				return true;
			} else	 return false;
	}
	// zw3bUsr ---------------------------------------------------
	
	// zw3bTree ---------------------------------------------------
	public function zwTree() {

		$tree = new zw3bTree();

		return $tree;
	}
	// zw3bTree ---------------------------------------------------

	// zw3bStructures ---------------------------------------------------
	public function zwStructures() {

		$zwConfig = $this->config;
		$zwInfo = $this->info;

		$this->initSkinsComponents(); $zwSkin = $this->theme;

		$this->structure = new zw3bStructures($zwConfig, $zwInfo, $zwSkin);

		return $this->structure;

	}

	public function structure() {

			return $this->zwStructures();
			//return $this->structure;
	}

	public function initStructurePagelayout($zwConfig0verride = null) {

		//echo '<pre>zw3b>initStructurePagelayout>info '.print_r($this->info,1).'</pre>';


		// Config
		if($zwConfig0verride == null && (isset($this->config['structure']['override']) && $this->config['structure']['override'] == '')) $pagelayout = $this->info['infos']['pagelayout'];
		elseif($zwConfig0verride == null && (isset($this->config['structure']['override']) && $this->config['structure']['override'] != '')) $pagelayout = $this->config['structure']['override'];
		elseif($zwConfig0verride != null) $pagelayout = $zwConfig0verride;
		else $pagelayout = $this->info['infos']['pagelayout'];

		$this->initSkinsComponents();

		$this->info['pagelayout'] = $this->structure()->setPagelayout();

		// Modules
		$this->initViewsComponents($this->info); // err

		// 
		zw3bStructures::zw3bStructuresTreeInfosReverse();

		//echo '<pre>zw3b>initStructurePagelayout'.print_r($this->info, 1).'</pre>';

		$this->getStructurePagelayout($this->info);


	}
	
	public function getStructurePagelayout($info) {

			//$this->info = (isset($info) && !empty($info)) ? $info : $this->info;
			//$this->structure = $this->structure();
			//echo '<pre>zw3b>getStructurePagelayout>'.print_r($this, 1).'</pre>';
			echo zw3bStructures::getPagelayout($this->info, $components = array());
			//echo $this->zwStructures()->getPagelayout($this->info, $components = array());
			//echo '<pre>zw3b>getStructurePagelayout>'.print_r($this, 1).'</pre>';
			//echo $this->zwStructures()->getPagelayout($this->info, $components = array());
	}

	// zw3bStructures ---------------------------------------------------
	
	// zw3bViews ---------------------------------------------------
	public function zwViews($config = null, $info = null) {

		$this->config = (isset($config) && !empty($config)) ? $config : $this->config;
		$this->info = (isset($info) && !empty($info)) ? $info : $this->info;

		$this->usr  = $this->zwUsr();
	    //$this->structure  = "dsds zwViews";

		//echo '<pre>zwViews>info> '.print_r($this->info, 1).'</pre>';

		$this->view = new zw3bViews($this->config, $this->info, $this->usr);

		return $this->view;

	}
/*
	public function getViewsComponents($name = null) {

			return $this->zwViews($this->config, $this->info)->getViewsComponents($name);
	}*/

	public function initViewsComponents($info, $name = array('master', 'header','menu','main','footer')) {
		//if($this->usr->root()) {
		//	echo 'zw3b>initViewsComponents>><pre>'.print_r($this->info, 1).'</pre>'; //exit;	
		//}	
	//echo '<pre>zw3b>initViewsComponents> '.print_r($this->info, 1).'</pre>';
/*
		switch($content['content_id_type']):
			case 1: $content_type = "news"; break;
			case 2: $content_type = "docs"; break;
			case 3: $content_type = "pools"; break;
			case 47: $content_type = "links"; break;
			case 51: $content_type = "gallery"; break;
		endswitch;
*/
		//echo '>initViewsComponents>><pre>'.print_r($this->info['zones'], 1).'</pre>'; 

		$key = 0;
		//echo '<pre>'.print_r($this->info, 1).'</pre>';
		foreach($name as $squelette) {
		//echo '<p>'.$squelette.'</p>';
		if(is_array($this->info['zones']['zw-'.$squelette])):
		foreach($this->info['zones']['zw-'.$squelette] as $key => $zone) {
				//echo '<p>'.$key.' - '.$zone.'</p>';
				foreach($zone as $clef => $div) {
					//echo $key.$clef.''.' - '.$div['tpl'].' <-> '.$div['module'].' //<br />';
					$this->info['zones']['zw-'.$squelette][$key][$clef]['div'] = $key.$clef;
					$this->info['zones']['zw-'.$squelette][$key][$clef]['tpl'] = '/sys/modules/'.$div['module'].'/tpl/'.$div['tpl'];

					//if( strstr($div['module'], '_') ):
					$parse['module'] = explode('_', $div['module']);
					$mot = null;
					foreach($parse['module'] as $word) $mot = $mot.UcFirst($word);
					
					$this->info['zones']['zw-'.$squelette][$key][$clef]['tpl'] = './sys/modules/'.str_replace('_', '/', $div['module']).'/tpl/'.$div['tpl'];
					$this->info['zones']['zw-'.$squelette][$key][$clef]['module'] = 'zw3bMod'.UcFirst($mot);
					$this->info['zones']['zw-'.$squelette][$key][$clef]['function'] = $div['function'];


					// on change ici le template
					if( $div['module'] == 'config' 
						|| $div['module'] == 'usr' 
						|| $div['module'] == 'contents'
					)
					$this->info['zones']['zw-'.$squelette][$key][$clef]['tpl'] = './sys/modules/'.$div['module'].'/default/tpl/'.$div['tpl'];
					// off

					
					//-----------------------------------
					// ON - CHARGE LES TEMPLATES CONTENTS DETAIL

						//isset($this->info['dir'][0])
					if(
						$squelette == "main" 
						&& $key == "zw-main" 
						&& $div['module'] == 'contents' 
						&& $this->info['file'][0] != "index"):

/*						
					if(
						(
							!isset($this->info['folder'][0])

							&& !isset($this->info['page']['action']) 
							&& $squelette == "main" 
							&& $key == "zw-main"
							
							&& $this->info['file'][0] != "index" 
							&& $div['module'] != "tree"
						)
						or
						(
							isset($this->info['folder'][0]) && !empty($this->info['folder'][0]) 
							&& $this->info['folder'][0] != "usr" 
							&& $this->info['folder'][0] != "contents" 

							&& !isset($this->info['page']['action']) 
							&& $squelette == "main" 
							&& $key == "zw-main"
							
							&& $this->info['file'][0] != "index" 
							&& $div['module'] != "tree"
						)
					
					):
*/
						$type = $this->zwContents("get_content_type", $this->info['file'][0]);
						
						$this->info['zones']['zw-'.$squelette][$key][$clef]['tpl'] = './sys/modules/'.str_replace('_', '/', 'contents_'.$type).'/tpl/zw-contents.main.php';
						$this->info['zones']['zw-'.$squelette][$key][$clef]['module'] = 'zw3bModContents'.UcFirst($type);
						$this->info['zones']['zw-'.$squelette][$key][$clef]['function'] = 'detail_main';

						//$this->info['zones']['zw-'.$squelette]['zw-main-une'] = null;
						//$this->info['zones']['zw-'.$squelette]['zw-main-une']['zw-main-une'] = null;

					endif;			
					
					/*
					if(!isset($this->info['page']['action']) && $squelette == "main" && $key == "zw-main" && $this->info['file'][0] != "index" && $div['module'] == "tree"):

						$type = $this->zwContents("get_content_type", $this->info['file'][0]);

						$this->info['zones']['zw-'.$squelette][$key][$clef]['tpl'] = './sys/modules/tree/tpl/zw_admin-tree_index.tpl.php';
						$this->info['zones']['zw-'.$squelette][$key][$clef]['module'] = 'zw3bModTree';
						//$this->info['zones']['zw-'.$squelette][$key][$clef]['function'] = '';

						//$this->info['zones']['zw-'.$squelette]['zw-main-une'] = null;
						$this->info['zones']['zw-'.$squelette]['zw-main-une'][1] = (isset($this->info['zones']['zw-'.$squelette]['zw-main-une'][1]) && !empty($this->info['zones']['zw-'.$squelette]['zw-main-une'][1]) ) ? null : null;

					endif;
					*/
					// OFF - CHARGE LES TEMPLATES CONTENTS DETAIL
					//-----------------------------------

/*						else:
						$this->info['zones']['zw-'.$squelette][$key][$clef]['tpl'] = './sys/modules/'.str_replace('_', '/', $div['module']).'/tpl/'.$div['tpl'];
						$this->info['zones']['zw-'.$squelette][$key][$clef]['module'] = 'zw3bMod'.UcFirst($mot);
						$this->info['zones']['zw-'.$squelette][$key][$clef]['function'] = $div['function'];
						endif;
*/

					if(!isset($this->info['zones']['zw-'.$squelette][$key][$clef]['arguments'])) $this->info['zones']['zw-'.$squelette][$key][$clef]['arguments'] = array();

					//zw3bViews::getView($this->info['zone'][$key][$clef]['div'], $this->info['zone'][$key][$clef]['tpl'], $this->info['zone'][$key][$clef]['module'], $this->info['zone'][$key][$clef]['function'], $this->info['zone'][$key][$clef]['arguments']);
					//echo $key.$clef.''.' - '.$div['tpl'].' <-> '.$div['module'].' //<br />';
				}
				//return $this->viewtpl;
				//if( ($key+1) == array_count_values($div)) break;
		}
		endif;
		}


		if($this->usr->root()) {
			//echo 'zw3b>initViewsComponents>><pre>'.print_r($this->info, 1).'</pre>'; //exit;	
		}
		
		//echo '<pre>zw3b>initViewsComponents> '.print_r($this->info, 1).'</pre>';
		//$this->info['zone'] = zw3bViews::getTemplate($zwView, $arguments, $zwModule);
	}
	// zw3bViews ---------------------------------------------------


	// zw3bTree ---------------------------------------------------
	public function zwModTree() {

		$this->config = (isset($config) && !empty($config)) ? $config : $this->config;
		$this->info = (isset($info) && !empty($info)) ? $info : $this->info;

		//temp
		$this->tree = new zw3bModTree(null, $this->config, $this->info);

		return $this->tree;		
	}
	// zw3bTree ---------------------------------------------------
	

	// zw3bSkins ---------------------------------------------------
	public function zwSkins() {

		$this->config = (isset($config) && !empty($config)) ? $config : $this->config;
		$this->info = (isset($info) && !empty($info)) ? $info : $this->info;

		//temp
		$this->skin = new zw3bModConfigSkins(null, $this->config, $this->info);

		return $this->skin;		
	}

	public function initSkinsComponents() {

		$this->theme = (isset($this->info['infos']['skin']) && !empty($this->info['infos']['skin'])) ? $this->info['infos']['skin'] : $this->config['skin']['uri'];
	}
	// zw3bSkins ---------------------------------------------------
	

	// zw3bDb ---------------------------------------------------
	public function zwDb() {
		$this->config = zw3bConfig::getConfig();
	//echo '<pre>zw3b>zwDb>config '.print_r($this->config,1).'</pre>';
		$pServeur = $this->config['bdd']['host'];
		$pNom = $this->config['bdd']['usr'];
		$pMotPasse = $this->config['bdd']['pwd'];
		$pBase = $this->config['bdd']['db'];

		$this->bdd = new zw3bDb();
		$this->connexion = $this->bdd->Connexion ($pNom, $pMotPasse, $pBase, $pServeur);

		return $this->bdd;
	}
	// zw3bDb ---------------------------------------------------


	// zw3bContents ---------------------------------------------------
	public function zwContents($methode, $arg, $module = null) {

		if(isset($module) && !empty($module))
			$mod = 'zw3bModContents'.UcFirst($module);
		else
			$mod = 'zw3bModContents';

		$classe = new $mod($this->info);

		return $classe->$methode($arg);
	}
	// zw3bContents ---------------------------------------------------
		
	// zw3bComments ---------------------------------------------------
	public function zwComments() {

		$this->config = (isset($config) && !empty($config)) ? $config : $this->config;
		$this->info = (isset($info) && !empty($info)) ? $info : $this->info;

		$this->comments = new zw3bModComments($this->config, $this->info);

		return $this->comments;
	}

	public function comments() {

			return $this->zwComments();
	}
	// zw3bComments ---------------------------------------------------
		
	// zw3bTools ---------------------------------------------------
	public function zwTools() {

		$tools = new zw3bTools();

		return $tools;
	}
	// zw3bTools ---------------------------------------------------
			
}




?>