<?php
######################################################################
# ZW3B.Site v5.8.2 : Web Sites Management
# --------------------------------------------------------------------
#
# Copyright (c) 2015 by LAB3W : O.Romain Jaillet-Ramey - (orj@lab3w.fr)
#
# Date Create : 2014/10/20
# Date Modify : 2015/08/18
#
# Web Site : http://www.zw3b.fr
#
# This module is to manage ---------------------------- :: Descripton
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

class zw3bTree {

	public $vhost;
	public $urlparse;
	public $content;

	public function __construct($config = null) {

		$this->config = $config;
		$this->vhost();

	}

	public function vhost()
	{
		$https = @$_SERVER["HTTPS"];
		$port = @$_SERVER["SERVER_PORT"];

		if ($https == 'on') {
			if( !empty($port) && $port != 443 )
				$host = 'https://'.$_SERVER["HTTP_HOST"].':'.$port;
			else
				$host = 'https://'.$_SERVER["HTTP_HOST"];

		} else
			$host = 'http://'.$_SERVER["HTTP_HOST"];

		return $this->vhost = $host;
	}

	public function uri()
	{
			return $_SERVER['REQUEST_URI'];
	}

	public function url()
	{
			return $this->vhost.$_SERVER['REQUEST_URI'];
	}

	public function parse()
	{

		$urlparse = array();
		$uriparse = parse_url($this->url());
		//$uri = array();
		//$uri = parse_url( $_SERVER["REQUEST_URI"] );

		//$url = array();
		$urlparse['hote'] = $uriparse['scheme'].'://'.$uriparse['host'].'/';
		//$urlparse['root'] = $urlparse['hote'].$config['rootweb'];
		$urlparse['url'] = $uriparse['path'];

		$racine = '';

		$tmpfolder = array();
		$tmpfolder['root'] = $racine;
		$tmpfolder['url'] = array_slice(explode('/', $uriparse['path']), 0, -1);

		$urlparse['file'] = array_slice(explode('/', $uriparse['path']), -1);

		$key = 0;
		foreach( $tmpfolder['url'] as $folder):
		//if( ! in_array($folder, $tmpfolder['root'], true) )
		//if( ! in_array($folder, $tmpfolder['root'], true) )
		{
			if($key == 0 || !empty($folder))
			$urlparse['folder'][($key)] = $folder;
			$key++;
		}
		endforeach;
		$urlparse['folder'][0] = $uriparse['host'];

		$path = explode('/', $uriparse['path']);
		$cpt = count($path);

		//echo "<pre>".print_r($path,1)."</pre>";
/* 		
		$check = implode('/', array_slice($path, 4, 1, true));
		if($check == 'get' || $check == 'add' || $check == 'mod')
		{
			//echo implode('/', array_slice($path, 4, 1, true)).'/';
			$mod = array_slice($path, 3, 1, false);
			$opt = array_slice($path, 4, 1, false);
			$urlparse['page']['action'] = $opt[0];
			$urlparse['page']['module'] = $mod[0];
		}
		$check = implode('/', array_slice($path, 1, 1, true));
		if($check == 'add' || $check == 'mod' )
		{
			//echo implode('/', array_slice($path, 4, 1, true)).'/';
			$mod = array_slice($path, 3, 1, false);
			$opt = array_slice($path, 1, 1, false);
			$urlparse['page']['action'] = (isset($opt[0]) && !empty($opt[0])) ? $opt[0] : "";
			$urlparse['page']['module'] = (isset($mod[0]) && !empty($mod[0])) ? $mod[0] : "";
		}
*/
			$TMP_tree = explode('/', $urlparse['url']);
			if(empty($TMP_tree[count($TMP_tree)-1])) {
				//echo 'clef vide '.(count($TMP_tree)-1).' <br/>';
				unset($TMP_tree[count($TMP_tree)-1]);
			}

			if(count($TMP_tree) == count($urlparse['folder'])) {
				//echo 'C un dossier<br/>';
				$TMP_page = '';
				$TMP_tree = $TMP_tree;
			} else {
				//echo 'C un contenu<br/>';
				$TMP_page = array_slice($TMP_tree, -1);
				$TMP_tree = array_slice($TMP_tree, 0, -1);
				$TMP_page = $TMP_page[0];
				
				// ici on redirige vers le dossier parent
				//echo "<pre>".print_r($urlparse['folder'],1)."</pre>";
				$treetmp = null;
				foreach($urlparse['folder'] as $folder)
					$treetmp = $treetmp."/".$folder;
				
				$newurl = $treetmp."/".$TMP_page."/";
				$tree = "./var/tree".$newurl;
				
				if(file_exists($tree))  {
					$tmpurl = explode("/", $newurl);
					$newarrayurl = array_slice($tmpurl,2);
					$redirurl = "/".implode("/",$newarrayurl);
					header("Location: ".$redirurl);
				}
			}


			$tmps['folders'] = array_shift($urlparse['folder']);
			$urlparse['page']['dir'] = implode('/', $urlparse['folder']).'/';

			$urlparse['page']['uri'] = $TMP_page;

		$urlparse['dir'] = array_slice(explode('/', $uriparse['path']), 0, -1);
		$urlparse['dir'][0] = $uriparse['host'];

		$urlparse['file'] = array_slice(explode('/', $uriparse['path']), -1);

		if($urlparse['file'][0] == '')
			$urlparse['file'][0] = 'index';

		// QUERY
		$TMP_query = @explode("&", $uriparse['query']);
		if(is_array($TMP_query)):
		foreach($TMP_query as $c => $query):
			$req = @explode("=", $query);
			$requete[$c]['dat'] = (isset($req[0]) && !empty($req[0])) ? $req[0] : null;
			$requete[$c]['val'] = (isset($req[1]) && !empty($req[1])) ? $req[1] : null;
		endforeach;
		$urlparse['page']['query'] = $requete;
		endif;
		
		$this->urlparse = $urlparse;
		//echo "TREE PARSE<pre>".print_r($urlparse,1)."</pre>"; exit;
		return $urlparse;
		//return $urlparse;
	}



	public function zwparse($urlparse) {
		// on soccupe de ladmin : mod / add
		//$wwwadmin = substr($this->config['apps']['conf']['url'],2,-1); // si vhost
		$wwwadmin = substr($this->config['apps']['conf']['url'],2, (substr($this->config['apps']['conf']['url'],-1) == "/" ? "-1": strlen($this->config['apps']['conf']['url']) ) ).'';
		
		//echo "<pre>".print_r($urlparse,1)."</pre>";	
		//$urlparse = array();
		//$urlparse = $this->parse();
		//$dir = $urlparse['page']['dir'];
		$dir = $urlparse['folder'];

		$urlparse['page']['zw3bsite'] = $urlparse['dir'][0];
		$urlparse['page']['dir'] = '/'.$urlparse['page']['dir'];
		

		if(
			isset($urlparse['folder'][0]) && !empty($urlparse['folder'][0])
		&&  isset($urlparse['folder'][1]) && !empty($urlparse['folder'][1]) 
		):

			$module = (isset($dir[0])) ? $dir[0] : "";
			$folder =(isset($dir[1])) ? $dir[1] : "";

			//echo "<pre>".print_r($module,1)."</pre>";
			
			if(isset($module)) {
				//$urlparse['page']['dir'] = '/'.$urlparse['page']['dir'];
				switch($module) {
					//-------------------------------------------
					case 'usr':
					 	$urlparse['page']['module'] = ''.$module;
						$newdir = array_slice($dir, 0, 1, false);
						
						$newdir = implode('/', $newdir);
						//echo '<pre>zw3bTree>zwparse>usr '.print_r($newdir, 1).'</pre>';						 	
						if(!empty($newdir))
						$urlparse['page']['redirect'] = '/'.$newdir.'/';
						else
						$urlparse['page']['redirect'] = '/';						
					break;
					//-------------------------------------------
					
					//-------------------------------------------
					case 'tree':
					 	$urlparse['page']['module'] = ''.$module;
						$newdir = array_slice($dir, 0, 1, false);
						
						$newdir = implode('/', $newdir);
						//echo '<pre>zw3bTree>zwparse>tree '.print_r($newdir, 1).'</pre>';						 	
						if(!empty($newdir))
						$urlparse['page']['redirect'] = '/'.$newdir.'/';
						else
						$urlparse['page']['redirect'] = '/';							
					break;
					//-------------------------------------------
					
					//-------------------------------------------
					case 'contents':
						$urlparse['page']['module'] = ''.$module;
						//echo '<pre>zw3bTree>zwparse>contents '.print_r($newdir, 1).'</pre>';						 	

						if(isset($folder)) {
						switch($folder) {					
							
							case "lst": //case "add": case "mod":  
								$newdir = array_slice($dir, 0, 1, false);
								$newdir = implode('/', $newdir);
								if(!empty($newdir))
								$urlparse['page']['redirect'] = '/'.$newdir.'/';
								else
								$urlparse['page']['redirect'] = '/';									
								//echo "<pre>".print_r($urlparse['page']['module'],1)."</pre>";									
							break;

							case 'news': case 'docs': case 'pools': case 'links': case 'gallery':
								$urlparse['page']['module'] = ''.$module.'_'.$folder;
								//$newdir = array_slice($dir, 4, count($dir)-2, false);
								$newdir = array_slice($dir, 0, 2, false);
								$newdir = implode('/', $newdir);
								if(!empty($newdir))
								$urlparse['page']['redirect'] = '/'.$newdir.'/';
								else
								$urlparse['page']['redirect'] = '/';	
								
								//$opt = implode(array_slice($dir, 3, 1, false));
								/*
								switch($opt) {
									
									case "add": case "mod": case "lst": 
	
										//echo "<pre>".print_r($urlparse['page']['module'],1)."</pre>";									
									break;
									default:
								
									break;
								}	
								*/						
							break;
						}
						}
																
					break;
					//-------------------------------------------
					
					//-------------------------------------------
					case 'config':
						//echo '<pre>zw3bTree>zwparse>config '.print_r($newdir, 1).'</pre>';						 	
					
					if(isset($folder)){
						switch($folder) {
						
						case 'tree':
							$urlparse['page']['module'] = ''.$module.'_'.$folder;
							//$newdir = array_slice($dir, 4, count($dir)-2, false);
							$newdir = array_slice($dir, 0, 2, false);
							$newdir = implode('/', $newdir);
							if(!empty($newdir))
							$urlparse['page']['redirect'] = '/'.$newdir.'/';
							else
							$urlparse['page']['redirect'] = '/';
							
						break;
/*
						default: # / ou autres rubriques
							//echo $folder;
							$urlparse['page']['redirect'] = '/'.$urlparse['page']['dir'];
						break;
*/
					}
					}
					
					break;
					//-------------------------------------------
				}
				
				//echo "TREE ZWPARSE<pre>".print_r($urlparse,1)."</pre>";	
								
				}		
		
		
		endif;



		
	    //echo (("ZW3BAdmin" == $urlparse['folder'][0]) ? "<pre>".print_r($urlparse['page']['module'],1)."</pre>"  : "");	
		//echo "<pre>".print_r($urlparse['page'],1)."</pre>";
		
		/*
		if(isset($dir[0])){
			switch($dir[0]) {
				case 'docs':
				case 'news':
				case 'tree':
					$newdir = array_slice($dir, 2, count($dir)-2, false);
					$newdir = implode('/', $newdir);
					if(!empty($newdir))
					$urlparse['page']['dir'] = '/'.$newdir.'/';
					else
					$urlparse['page']['dir'] = '/';
				break;
				default: # / ou autres rubriques
					$urlparse['page']['dir'] = '/'.$urlparse['page']['dir'];
				break;
			}
		}
		*/
		return $urlparse;
	}


	public function zzzzzzzzzzzzwparse($urlparse) {
		// on soccupe de ladmin : mod / add
		$wwwadmin = substr($this->config['apps']['conf']['url'],2,-1); // si vhost
		//$wwwadmin = substr($this->config['apps']['conf']['url'],1,-1);
		
		//echo "<pre>".print_r($this->config,1)."</pre>";	
		//$urlparse = array();
		//$urlparse = $this->parse();
	
		//$dir = $urlparse['page']['dir'];
		$dir = $urlparse['folder'];

		$urlparse['page']['zw3bsite'] = $urlparse['dir'][0];
		$urlparse['page']['dir'] = '/'.$urlparse['page']['dir'];
		

		//echo "<pre>".print_r($urlparse,1)."</pre>";	
			if(isset($urlparse['folder'][0]) && $urlparse['folder'][0] == $wwwadmin
					|| $urlparse['page']['zw3bsite'] == $wwwadmin  ) {
		
				
				
				if(isset($urlparse['folder'][0]) && $urlparse['folder'][0] == $wwwadmin) {
					$folder =(isset($dir[1])) ? $dir[1] : "";
					$module = (isset($dir[2])) ? $dir[2] : "";
				}
				if(isset($urlparse['page']['zw3bsite'] ) && $urlparse['page']['zw3bsite']  == $wwwadmin) {
					$folder =(isset($dir[0])) ? $dir[0] : "";
					$module = (isset($dir[1])) ? $dir[1] : "";
				}
				//echo "<pre>".print_r($module,1)."</pre>";	
				if(isset($folder)){
								
					//$urlparse['page']['dir'] = '/'.$urlparse['page']['dir'];
					
					switch($folder) {
						case 'usr':
						 	$urlparse['page']['module'] = ''.$folder;
							$newdir = array_slice($dir, 0, 2, false);
							
							$newdir = implode('/', $newdir);
							//echo '<pre>zw3bTree>zwparse> '.print_r($newdir, 1).'</pre>';						 	
							if(!empty($newdir))
							$urlparse['page']['redirect'] = '/'.$newdir.'/';
							else
							$urlparse['page']['redirect'] = '/';						
						break;
						case 'tree':
						 	$urlparse['page']['module'] = ''.$folder;
							$newdir = array_slice($dir, 0, 2, false);
							
							$newdir = implode('/', $newdir);
							//echo '<pre>zw3bTree>zwparse> '.print_r($newdir, 1).'</pre>';						 	
							if(!empty($newdir))
							$urlparse['page']['redirect'] = '/'.$newdir.'/';
							else
							$urlparse['page']['redirect'] = '/';							
						break;
						case 'config':
						case 'contents':
						
						switch($module) {
							case 'tree':
								$urlparse['page']['module'] = ''.$folder.'_'.$module;
								//$newdir = array_slice($dir, 4, count($dir)-2, false);
								$newdir = array_slice($dir, 0, 3, false);
								$newdir = implode('/', $newdir);
								if(!empty($newdir))
								$urlparse['page']['redirect'] = '/'.$newdir.'/';
								else
								$urlparse['page']['redirect'] = '/';
								
								
							break;
							case 'news': case 'docs': case 'pools': case 'links': case 'gallery':
								$urlparse['page']['module'] = ''.$folder.'_'.$module;
								//$newdir = array_slice($dir, 4, count($dir)-2, false);
								$newdir = array_slice($dir, 0, 3, false);
								$newdir = implode('/', $newdir);
								if(!empty($newdir))
								$urlparse['page']['redirect'] = '/'.$newdir.'/';
								else
								$urlparse['page']['redirect'] = '/';	
								
								//$opt = implode(array_slice($dir, 3, 1, false));
								/*
								switch($opt) {
									
									case "add": case "mod": case "lst": 

										//echo "<pre>".print_r($urlparse['page']['module'],1)."</pre>";									
									break;
									default:
								
									break;
								}	
								*/						
							break;
							case "lst": //case "add": case "mod":  
								$newdir = array_slice($dir, 0, 2, false);
								$newdir = implode('/', $newdir);
								if(!empty($newdir))
								$urlparse['page']['redirect'] = '/'.$newdir.'/';
								else
								$urlparse['page']['redirect'] = '/';									
								//echo "<pre>".print_r($urlparse['page']['module'],1)."</pre>";									
							break;
							default:
							default: # / ou autres rubriques
								//echo $folder;
								$urlparse['page']['redirect'] = '/'.$urlparse['page']['dir'];
							break;
						}
						
						break;
					}
				
				
								
				}
			
			}

		
	    //echo (("ZW3BAdmin" == $urlparse['folder'][0]) ? "<pre>".print_r($urlparse['page']['module'],1)."</pre>"  : "");	
		//echo "<pre>".print_r($urlparse['page'],1)."</pre>";
		
		/*
		if(isset($dir[0])){
			switch($dir[0]) {
				case 'docs':
				case 'news':
				case 'tree':
					$newdir = array_slice($dir, 2, count($dir)-2, false);
					$newdir = implode('/', $newdir);
					if(!empty($newdir))
					$urlparse['page']['dir'] = '/'.$newdir.'/';
					else
					$urlparse['page']['dir'] = '/';
				break;
				default: # / ou autres rubriques
					$urlparse['page']['dir'] = '/'.$urlparse['page']['dir'];
				break;
			}
		}
		*/
		return $urlparse;
	}

	
	public function getUrlParse() {

		$urlparse = array();
		//$urlparse = $this->zeparse();
		//$urlparse = $this->parse();
		$urlparse = $this->zwparse($this->parse());

		$urlparse['child'] = $this->getChilds($urlparse['page']['zw3bsite'].(isset($urlparse['page']['redirect']) ? $urlparse['page']['redirect'] : $urlparse['page']['dir']));
		$urlparse['infos'] = $this->getInfos($urlparse['page']['zw3bsite'].(isset($urlparse['page']['redirect']) ? $urlparse['page']['redirect'] : $urlparse['page']['dir']));
		$urlparse['zones'] = $this->getZones($urlparse['page']['zw3bsite'].(isset($urlparse['page']['redirect']) ? $urlparse['page']['redirect'] : $urlparse['page']['dir']));
		
		//$urlparse['zones']['zw-main'][0] = ($this->checkAdmin($urlparse) == true ? $this->checkAdmin($urlparse) : $urlparse['zones']['zw-main'][0]);
		
		//$urlparse['zones']['zw-main'] = $this->checkAdmin($urlparse);
		
		//echo ((true == $urlparse['folder'][0]) ? "<pre>".print_r($urlparse,1)."</pre>"  : "");	

		//echo (zw3bModUsr::session()->auth() == true) ? "<pre>".print_r($urlparse['zones'],1)."</pre>"  : "";
		
		return $urlparse;
	}


	public function checkRedirectionNeee($info)
	{
		$wwwadmin = substr($this->config['apps']['conf']['url'],2,-1);
		//$wwwadmin = substr($this->config['apps']['conf']['url'],1,-1);
	
			//echo "<pre>".print_r($info,1)."</pre>";
			
			if(isset($this->info['page']['redirect']) && !isset($this->info['page']['action']) ) {
				
				header("Location: ".$this->info['page']['redirect']);
			}
	}	
			
	public function zw3bTreeAppCheck($info)
	{
		//echo "<pre>".print_r($info,1)."</pre>";
		//echo "zw3bTreeAppCheck <pre>".print_r($info,1)."</pre>";
		//echo ((isset($info['folder'][0]) && "ZW3BAdmin" == $info['folder'][0]) ? "<pre>".print_r($info,1)."</pre>"  : "");	
		
		$this->info = $info;
		
		//$wwwadmin = substr($this->config['apps']['conf']['url'],2,-1);
		//$wwwadmin = substr($this->config['apps']['conf']['url'],1,-1);
		$wwwadmin = substr($this->config['apps']['conf']['url'],2, (substr($this->config['apps']['conf']['url'],-1) == "/" ? "-1": strlen($this->config['apps']['conf']['url']) ) ).'';
		
		$mainadmin = null;
		
		if(
			//isset($this->info['folder'][0]) && $this->info['folder'][0] == $wwwadmin && 
			zw3bModUsr::session()->auth() == true) 
		{
			
			$parseurl = explode('/', $this->info['url']);
			$zwurl = $parseurl;
			$clef_dossier = 0;
			//echo "<pre>".print_r($this->info['folder'][0],1)."</pre>";
			if(isset($this->info['folder'][$clef_dossier])):
			switch($this->info['folder'][$clef_dossier]) {

		
				case 'tree';	
					
					$contentsurl = $zwurl;
					$zwurl = array_splice($zwurl, 3, count($zwurl));
					//$zwmodconfig[0] = $this->info['folder'][$clef_dossier];
					$zwmod[0] = $this->info['folder'][$clef_dossier];
					$zwmethod[0] = (isset($this->info['folder'][$clef_dossier+1]) ? $this->info['folder'][$clef_dossier+1] : "index");
										
					$zwurl = "/".implode('/', $zwurl);					
					
					//echo "<pre>".print_r($zwmethod[0],1)."</pre>"; exit;
					
				//if($zwurl == "/") {
				//	$zwurl = substr($this->config['host']['uri'], 1, strlen($this->config['host']['uri']));
				//}
											
					switch($zwmethod[0]) 
					{
						case 'add';
						case 'mod';
						case 'lst';						
								//echo "<pre>".print_r($this->info['zones']['zw-main'],1)."</pre>";
								
								//$zwurl = array_splice($parseurl, 5, count($parseurl));
								//$zwurl = array_splice($contentsurl, 5, count($contentsurl));
			
								//$zwmodconfig = array_splice($parseurl, 2, 1);	
								//$zwmod = array_splice($parseurl, 2, 1);
								
								//$zwmodule = $zwmodconfig[0]."_".$zwmod[0];
								//$zwmodule = $zwmodconfig[0];
							
								//$zwmethod = $zwmod;	
								//$zwurl = "/".implode('/', $zwurl);
					
								//echo "<pre>".print_r($zwurl,1)."</pre>"; exit;
								//unset($this->info['zones']['zw-main']['zw-main']);
								
								$this->info['zones']['zw-main']['zw-main'][0]['tpl'] = 'zw_app-tree_'.$zwmethod[0].'.tpl.php';
								//$this->info['zones']['zw-main']['zw-main'][0]['module'] = $zwmod[0];
								$this->info['zones']['zw-main']['zw-main'][0]['function'] = 'zw3bMod'.UcFirst($zwmod[0]).'App'.UcFirst($zwmethod[0]).'';
								
								$this->info['zones']['zw-main']['zw-main'][0]['arguments']['url'] = $zwurl;
							
								$this->info['page']['arguments']['url'] = $zwurl;			
								
								//echo "<pre>".print_r($this->info['zones'],1)."</pre>"; exit;
								
						break;				
						
					}
				break;	
								
				case 'config';
										
					if(isset($this->info['folder'][$clef_dossier+1]) && isset($this->info['folder'][$clef_dossier+2]) ):
					switch($this->info['folder'][$clef_dossier+1]) {

						case 'tree';
							//echo $this->info['folder'][$clef_dossier+2];
							$zwurl = array_splice($parseurl, 4, count($parseurl));
							$zwmodconfig = array_splice($parseurl, 1, 1);	
							$zwmod = array_splice($parseurl, 1, 1);
							$zwmodule = $zwmodconfig[0]."_".$zwmod[0];
							
							$zwmethod = array_splice($parseurl, 2, 1);	
							$zwurl = "/".implode('/', $zwurl);
				
							$this->info['zones']['zw-main']['zw-main'][0]['tpl'] = 'zw_admin-tree_'.$zwmethod[0].'.tpl.php';
							$this->info['zones']['zw-main']['zw-main'][0]['module'] = $zwmodule;
							$this->info['zones']['zw-main']['zw-main'][0]['function'] = 'zw3bMod'.UcFirst($zwmodconfig[0]).UcFirst($zwmod[0]).UcFirst($zwmethod[0]).'';
							
							$this->info['zones']['zw-main']['zw-main'][0]['arguments']['url'] = $zwurl;
						
							$this->info['page']['arguments']['url'] = $zwurl;
						
						break;

				
					}
					endif;
			
				break;

				case 'contents';	
					
					$contentsurl = $zwurl;
					$zwurl = array_splice($zwurl, 3, count($zwurl));
					$zwmodconfig[0] = $this->info['folder'][$clef_dossier];
					$zwmod[0] = "";
					$zwmethod[0] = (isset($this->info['folder'][$clef_dossier+1]) ? $this->info['folder'][$clef_dossier+1] : "default");
										
					//echo "<pre>".print_r($zwmethod[0],1)."</pre>";

				switch($zwmethod[0]) 
				{
					//case 'default';
					case 'add';
					case 'mod';
					case 'lst';
						
							//echo "<pre>".print_r($this->info['zones']['zw-main'],1)."</pre>";
							
							//$zwurl = array_splice($parseurl, 5, count($parseurl));

							$zwmodconfig = array_splice($parseurl, 1, 1);	
							$zwmod = array_splice($parseurl, 1, 1);
							
							$zwmodule = $zwmodconfig[0]."_".$zwmod[0];
							$zwmodule = $zwmodconfig[0];
						
							$zwmethod = $zwmod;	
							$zwurl = "/".implode('/', $zwurl);
				
							//unset($this->info['zones']['zw-main']['zw-main']);
							
							$this->info['zones']['zw-main']['zw-main'][0]['tpl'] = 'zw_app-contents_'.$zwmethod[0].'.tpl.php';
							//$this->info['zones']['zw-main']['zw-main'][0]['module'] = $zwmodule;
							$this->info['zones']['zw-main']['zw-main'][0]['function'] = 'zw3bMod'.UcFirst($zwmodconfig[0]).'App'.UcFirst($zwmethod[0]).'';
							
							$this->info['zones']['zw-main']['zw-main'][0]['arguments']['usr_id'] = $this->info['page']['uri'];
						
							$this->info['page']['arguments']['url'] = $zwurl;			
							
							//exit;	
							
					break;
					case 'news'; case 'docs'; case 'pools'; case 'links'; case 'gallery';
						
						//echo "<pre>".print_r($this->info,1)."</pre>";
						
						$zwurl = array_splice($contentsurl, 4, count($contentsurl));
						//echo "<pre>".print_r($zwurl,1)."</pre>";exit;
						$zwmodconfig = array_splice($parseurl, 1, 1);	
						$zwmod = array_splice($parseurl, 1, 1);
						$zwmodule = $zwmodconfig[0]."_".$zwmod[0];

						$zwmethod = array_splice($parseurl, 1, 1);	
						$zwmethod[0] = (isset($zwmethod[0]) && !empty($zwmethod[0]) ? $zwmethod[0] : "index");
						$zwurl = "/".implode('/', $zwurl);
						
						//echo "<pre>".print_r($zwmod[0],1)."</pre>";exit;
						
						if($zwurl == "/") {
							$zwurl = substr($this->config['host']['uri'], 1, strlen($this->config['host']['uri']));
						}
						
						//echo "<pre>INFOS".print_r($this->config['host']['uri'],1)."</pre>";
						
						$this->info['zones']['zw-main']['zw-main'][0]['tpl'] = 'zw_app-contents_'.$zwmod[0].'_'.$zwmethod[0].'.tpl.php';
						$this->info['zones']['zw-main']['zw-main'][0]['module'] = $zwmodule;
						$this->info['zones']['zw-main']['zw-main'][0]['function'] = 'zw3bMod'.UcFirst($zwmodconfig[0]).UcFirst($zwmod[0]).'App'.UcFirst($zwmethod[0]).'';
						
						$this->info['zones']['zw-main']['zw-main'][0]['arguments']['url'] = $zwurl;
					
						$this->info['page']['arguments']['url'] = $zwurl;	
						
						//echo "<pre>".print_r($this->info['zones']['zw-main']['zw-main'][0],1)."</pre>"; exit;
											
					break;		
				
				}
				
				break;
				
				
					
				case 'usr':
				$zwurl = array_splice($parseurl, 4, count($parseurl));
				$zwmodconfig[0] = $this->info['folder'][$clef_dossier];
				$zwmod[0] = "";
				$zwmethod[0] = "default";
/*				
				$this->info['zones']['zw-main']['zw-main'][1]['tpl'] = 'zw_app-usr.tpl.php';
				$this->info['zones']['zw-main']['zw-main'][1]['module'] = "usr";
				//$this->info['zones']['zw-main']['zw-main-hp'][1]['function'] = 'zw3bMod'.UcFirst($zwmodconfig[0]).UcFirst($zwmod[0]).UcFirst($zwmethod[0]).'';
				
				$this->info['zones']['zw-main']['zw-main'][1]['arguments']['url'] = $zwurl;
			
				$this->info['page']['arguments']['url'] = $zwurl;
*/
				
				//unset($this->info['zones']['zw-main']['zw-main']);			
				
				if(
					isset($this->info['folder'][$clef_dossier+1])
				):
				switch($this->info['folder'][$clef_dossier+1]) {

					case 'add';
					case 'mod';
					case 'lst';
							
							$zwurl = array_splice($parseurl, 3, count($parseurl));
							
							$zwmodconfig = array_splice($parseurl, 1, 1);	
							$zwmod = array_splice($parseurl, 1, 1);
							
							$zwmodule = $zwmodconfig[0]."_".$zwmod[0];
							$zwmodule = $zwmodconfig[0];
						
							$zwmethod = $zwmod;	
							$zwurl = "/".implode('/', $zwurl);
				
							unset($this->info['zones']['zw-main']['zw-main'][1]);
							
							$this->info['zones']['zw-main']['zw-main'][0]['tpl'] = 'zw_app-usr_'.$zwmethod[0].'.tpl.php';
							$this->info['zones']['zw-main']['zw-main'][0]['module'] = $zwmodule;
							$this->info['zones']['zw-main']['zw-main'][0]['function'] = 'zw3bMod'.UcFirst($zwmodconfig[0]).'App'.UcFirst($zwmethod[0]).'';
							
							$this->info['zones']['zw-main']['zw-main'][0]['arguments']['usr_id'] = $this->info['page']['uri'];
						
							$this->info['page']['arguments']['usr_id'] = $this->info['page']['uri'];			
							
							//echo "<pre>".print_r($this->info['zones']['zw-main']['zw-main'],1)."</pre>";
							//exit;	
							
					break;


			
				}
				endif;
					
				break;

				
							
				
			} 
			
			endif;
			
			

		}
/*		else 
		{
			
			$this->info['zones']['zw-main']['zw-main'][0]['tpl'] = 'zw_admin-usr_auth.tpl.php';
			$this->info['zones']['zw-main']['zw-main'][0]['module'] = "usr";
			$this->info['zones']['zw-main']['zw-main'][0]['function'] = 'zw3bModUsrBlocs';
			
			//$this->info['zones']['zw-main']['zw-main'][0]['arguments']['url'] = $zwurl;

		}
*/
		
		//echo (("zw3b-site" == $info['folder'][0]) ? "<pre>".print_r($this->info['zones'],1)."</pre>"  : "");	

		
		return $this->info;
	}	

	
	public function getInfos($tree = null)
	{
		$treedir = "./var/tree/";
		if(!isset($tree) || empty($tree)) {
			//$tree = $treedir.$tree;
			$tree = $treedir.$this->config['host']['uri'];
		}
		else
			$tree = $treedir.$tree;
		
		//echo "TREE -> ".$tree."<br/>"; //exit;
		
		$infos = null;
		if(isset($tree) && !empty($tree) && file_exists($tree)) {
			
			if ( file_exists($tree."info.gen.php") && filetype($tree."info.gen.php") == "file") { 		
				//echo $tree."info.gen.php OK<br/>";
				include $tree."info.gen.php";
				$infos = (isset($info) && !empty($info)) ? $info : "no info";
				
			} else {
				include "./config/config.inc.php";
				if(isset($conf)):
				$infos['name'] = $conf['host']['title'];
				$infos['description'] = $conf['host']['description'];
				$infos['text'] = "";
				$infos['keywords'] = $conf['host']['keywords'];
				$infos['uri'] = "";
				$infos['visibility'] = 1;
				$infos['photo'] = "";
				endif;
			}
			
		} else {
			
				//echo "ERR -> ".$tree."<br/>";
				$treearray = explode("/", $tree);
				array_pop($treearray);
				array_pop($treearray);
				$tree = implode("/", $treearray)."/";
				
				if(file_exists($tree)) {
					$newurlarray = array_slice($treearray, 4);
					$newurl = "/".implode("/", $newurlarray)."/";				
					//echo "REDIR -> ".$newurl."<br/>";
					//header("Location: ".$newurl);
					$this->info['page']['redirect'] = $newurl;
					//echo "LOAD -> ".$tree."<br/>";
					//include $tree."info.gen.php";
					//$infos = (isset($info) && !empty($info)) ? $info : "no info";
				} else {
					$newurlarray = array_slice($treearray, 4);
					$newurl = "/".implode("/", $newurlarray)."/";							
					
					//echo "RE ERR -> ".$newurl."<br/>";
					$this->info['page']['redirect'] = $newurl;
					//header('Location: '.$this->info['page']['redirect']);
				}
				
		}
		
		return $infos;
	}	

	public function getZones($tree = null)
	{
		$treedir = "./var/tree/";
		if(!isset($tree) || empty($tree)) {
			$tree = $treedir.$tree;
		}
		else
			$tree = $treedir.$tree;
		
		//echo "TREE -> ".$tree."<br/>"; //exit;
		
		if(isset($tree) && !empty($tree) && file_exists($tree)) {
			
			if (filetype($tree."zones.gen.php") == "file") {
				//echo $tree."zones.gen.php OK<br/>";
				include $tree."zones.gen.php";
				$zones = (isset($zone) && !empty($zone)) ? $zone : "no zone";
			}

		
			return $zones;
		}
	}	

	public function getChilds($tree=null, $recursive=true, $compte=0) {

			$current = $tree;
			$currenturl = explode("/",$current);
			$currenturl = array_slice($currenturl, 1);
			$currenturl = implode("/",$currenturl);
			$tree = "./var/tree/".$tree;
			//echo $tree;
			$clef = 0;
			$child = array();
			$file = null;
			$currentfilefake = null;
			$currentfile = null;
						
			if(file_exists($tree))
			{
				//echo " OK <br/>";
				$dirhandle = @opendir($tree);
				while(($file = @readdir($dirhandle)) !== false)
				{

					if ( ($file != ".") && ($file != "..") && (substr("$file", 0, 1) != ".") && ($file != "admin") )
					{
						if (filetype($tree.$file) == "dir" )
						{
							/*			
							if($recursive == true) {
							
								if($compte!=0) {
									$child[$clef] = $this->child($current."".$file."/", $recursive, ($compte+1));
								}
								if($compte==0) {
									$child[$clef] = $this->child($current."".$file."/", $recursive, ($compte+1));
								} else {
									$child[$clef] = $this->child($current."".$file."/", $recursive, ($compte+1));
								}

							 }
							 */
							$child[$clef]["name"] = UcFirst($file);
							$child[$clef]["url"] = "/".$currenturl."".$file."/";
							$child[$clef]["uri"] = $file;
							$clef++;
							
						}
					}
				}
				return $child;
			 }
	}

	


		
}


?>