<?php
######################################################################
# ZW3B.Site : Web Sites Management
# --------------------------------------------------------------------
#
# Copyright (c) 2015 by LAB3W : O.Romain Jaillet-Ramey - (orj@lab3w.fr)
#
# Date Create : 2014/10/20
# Date Modify : 2015/10/14
#
# Web Site : http://www.zw3b.fr
#
# This module is to manage ---------------------------- :: Descripton
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

//class zw3bModCommentsActions extends zw3bModComments {
class zw3bModCommentsActions extends zw3bActions {


		protected function zw3bModCommentsActionsAdd($_post = null, $_files = null)
		{
			// temp (style check les modules contents (module_id_module=contents / module_table))
			$content_type = isset($_post['comment']['content_type']) ? $_post['comment']['content_type'] : "11";
			$comment_right = isset($_post['comment']['right']) ? $_post['comment']['right'] : "1";
			$now = date('Y-m-d H:i:s');
			
			switch($content_type):
				case 11: $comment_type = "news"; break;
				case 12: $comment_type = "docs"; break;
				case 13: $comment_type = "links"; break;
				case 14: $comment_type = "pools"; break;
				case 15: $comment_type = "gallery"; break;
			endswitch;
			// temp
			
			//echo '<pre>POST Comment '.$comment_type.' -> '.print_r($_post, 1).'</pre>'; exit;
			//echo '<pre>SESS Comment '.$comment_type.' -> '.print_r($_SESSION, 1).'</pre>';// exit;

			$error = null;

			if($this->usr->session()->valide())
				$id_user = $this->usr->session()->uid; else $id_user = 0;

			if(isset($_post['comment']['content_type']) && !empty($_post['comment']['content_type'])
			&& isset($_post['comment']['page_id']) && !empty($_post['comment']['page_id'])
			) {
				$id_mod = $_post['comment']['content_type'];
				$page_id = $_post['comment']['page_id'];

			} else $error['kernel'] = 1;

			if(isset($_post['comment']['text']) && !empty($_post['comment']['text'])) {
				//$texte = $_post['comment']['text'];
				//$texte = addslashes(stripslashes(trim($_post['comment']['text'])));
    		    $texte = utf8_decode($this->zwTools()->search_replace(addslashes(stripslashes($_post['comment']['text']))));

			} else $error['texte'] = 1;

			if($this->usr->session()->valide() == false):
			
				if(isset($_post['field_captcha']) && !empty($_post['field_captcha'])
				&& isset($_SESSION['captcha']) && !empty($_SESSION['captcha'])
				&& $_post['field_captcha'] == $_SESSION['captcha']
				) {
					$captcha = $_post['field_captcha']; unset($_SESSION['captcha']);					
				} else { $error['captcha'] = 1; /*echo "error ".$_post['field_captcha']."";*/  echo "err";  exit; }
				
				if(isset($_post['field_identifiant']) && !empty($_post['field_identifiant'])
				&& isset($_post['field_email']) && !empty($_post['field_email'])) {					

					$internaute = (isset($_post['field_identifiant']) && !empty($_post['field_identifiant'])) ? addslashes(stripslashes(trim($_post['field_identifiant']))) : '';
					
					if(ereg('^[-!#$%&\'*+\\./0-9=?a-z^_`a-z {|} ~]+'.'@'.'[-!#$%&\'*+\\/0-9=?a-z^_`a-z {|} ~]+\.'.'[-!#$%&\'*+\\./0-9=?a-z^_`a-z {|} ~]+$', $_post['field_email']))
						$internaute_mail = (isset($_post['field_email']) && !empty($_post['field_email'])) ? addslashes(stripslashes(trim($_post['field_email']))) : '';					
				
				} else $error['anonyme'] = 1;
			
			$internaute_ip = (isset($_SERVER['HTTP_VIA']) && !empty($_SERVER['HTTP_VIA']) ) ? $_SERVER['HTTP_X_FORWARDED_FOR'] : $_SERVER['REMOTE_ADDR'];
			
			endif;

			if($error == null) {

				//echo '<pre>POST Comment '.$comment_type.' -> '.print_r($_post, 1).'</pre>'; exit;
			
				 $this->bdd = $this->zwDb();
				 
				 $insert   = $this->bdd->query("INSERT INTO zw_comments_".$comment_type." (comment_text) VALUES ('".$texte."')", $this->connexion);
				 $com_id   = $this->bdd->last_insert_id();
				 $insert_j = $this->bdd->query("INSERT INTO zw_comments (comment_id_comment, comment_id_type, comment_id_join, comment_id_usr, comment_date_pub, comment_right) VALUES ('".$com_id."', '".$content_type."', '".$page_id."', '".$id_user."', now(), '".$comment_right."' )", $this->connexion);
				 $comment_id = $this->bdd->last_insert_id();
				
				 if($this->usr->session()->valide() == false)
				 $insert_anonyme = $this->bdd->query("INSERT INTO zw_comments_anonymes (comment_id_comment, comment_anonyme_usr, comment_anonyme_mail, comment_anonyme_ip) VALUES ('".$comment_id."', '".$internaute."', '".$internaute_mail."', '".$internaute_ip."' )", $this->connexion);

/*				//if(!is_object($notification))
				$notification = new zw3bNotification();
				$_post['sc'] = 'add';
				//$_post['field_identifiant'] = $user[0]['log'];
				//$_post['field_email'] = $user[0]['mail'];
				$notif  = $notification->zw3bNotificationPush($_post,$type=20); // commentaire
*/				
				//echo '<pre>Comments NOTIF'.print_r($notif, 1).'</pre>'; //exit;
				//header('Location : '.$_SERVER['HTTP_REFERER']); exit;
				
				$ajax = true;
				if($ajax == true):
						$html_comments = "\n";
						$html_comments.= "\t\t".'<div class="comments" id="comment-'.$comment_id.'">'."\n";

							$html_comments.= '<div class="comment">';
								$html_comments.= '<h5>Re : '.nl2br(($_post['comment']['title'])).'</h5>';
							$html_comments.= '</div>';


							$html_comments.= '<div class="here text comment">';
								$html_comments.= nl2br(($_post['comment']['text']));
							$html_comments.= '</div>';

							//$html_comments.= '<pre>Comment : '.print_r($this->info, 1).'</pre>';//exit;
							## LA MODIFICATION
							$arguments['id_user'] = $id_user;
							//$arguments['commentaire'] = $com;
							
							//$modification_html = $this->zw3bModCommentsModificationHtml($arguments);
							//$html_comments.= $modification_html;

							## DATEs
							$html_comments.= '<p class="date" style="font-size:85%; font-style:italic; margin:0 30px; text-align:left;">';
							$html_comments.= $this->zwTools()->mk_time($now) <= $this->zwTools()->mk_time($now) ? $this->zwTools()->date_powa($now).' commentaire ajout&eacute; !' : '';
							//$html_comments.= $this->zwTools()->mk_time($now) >= $this->zwTools()->mk_time($now) ? $this->zwTools()->date_powa($now).' commentaire modifi&eacute; !' : '';
							$html_comments.= '</p>';
							
							## LA FICHE USER
							if($this->usr->session()->valide()):
							$arguments['id_user'] = $id_user;
							//$arguments['commentaire'] = $com;
							$fiche_usr_html = $this->zwUsr()->zw3bModUsrFicheHtml($arguments);
							$html_comments.= $fiche_usr_html;
							endif;
							
							$html_comments.= '<hr class="clear" />';

						$html_comments.= '</div>';
				
				echo $html_comments; exit;
				
				;else:
				header('Location: '.$_post['comment']['url'].'#comment-'.$comment_id); exit;
				endif;
				
				//return true;
			} else			
				header('Location: '.$_SERVER['HTTP_REFERER'].'#err'); exit;
			//exit;

		}

		protected function zw3bModCommentsActionsMod($_post = null, $_files = null)
		{
			// temp (style check les modules contents (module_id_module=contents / module_table))
			$content_type = isset($_post['comment_content_type']) ? $_post['comment_content_type'] : "11";
			$comment_right = isset($_post['comment_right']) ? $_post['comment_right'] : "1";
			
			switch($content_type):
				case 11: $comment_type = "news"; break;
				case 12: $comment_type = "docs"; break;
				case 13: $comment_type = "links"; break;
				case 14: $comment_type = "pools"; break;
				case 15: $comment_type = "gallery"; break;
			endswitch;
			// temp
	
		  	//$content_desc = $this->zwTools()->string_encode(addslashes(stripslashes($_post['content']['description'])));
    	
    		$texte = utf8_decode($this->zwTools()->search_replace(addslashes(stripslashes($_post['comment_text']))));
		
			//echo '<pre>POST'.print_r($_post, 1).'</pre>'; 
			
			if(!empty($_post['comment_id']) && $_post['comment_id'] != 0
				&& !empty($_post['comment_content_type']) && $_post['comment_content_type'] != 0 ) {

				$this->bdd = $this->zwDb();
				
				//echo '<pre>USE'.print_r($_post, 1).'</pre>'; exit;

				$update = $this->bdd->query("UPDATE zw_comments_".$comment_type." SET comment_text = '".$texte."' WHERE comment_id='".$_post['comment_id']."'", $this->connexion);
				$update_j = $this->bdd->query("UPDATE zw_comments SET comment_right = '".$comment_right."', comment_date_mod = now() WHERE comment_id_type = '".$_post['comment_content_type']."' AND comment_id_comment = '".$_post['comment_id']."'", $this->connexion);

				//$select = $this->bdd->query("SELECT FROM zw_comments_".$comment_type." WHERE comment_id='".$_post['comment_id']."'", $this->connexion);

				$return = "\t\t\t\t\t\t".$this->zwTools()->nl2br2(stripslashes(utf8_encode($texte)))."\n";

				//$notification = new zw3bNotification();
				//$_post['sc'] = 'mod';
				//$notif  = $notification->zw3bNotificationPush($_post,$type=20); // commentaire

				//vu que c de lajax on fait un echo et on exit;
				echo $return; exit;

				//header('Location: '.$_post['url']);

			}

		}

		protected function zw3bModCommentsActionsDel($_post = null, $_files = null)
		{

			//$now = date('Y-m-d H:i:s');
			$status = 8; // close

			if(isset($_post['comment_id']) && !empty($_post['comment_id'])
			&& isset($_post['comment_content_type']) && !empty($_post['comment_content_type'])
			&& isset($_post['page_id']) && !empty($_post['page_id'])			
			):
			
			//echo '<pre>zw3bModCommentsActionsDel>'.print_r($_post, 1).'</pre>'; exit;
			$cid =  $_post['comment_id'];
			$id_mod = $_post['comment_content_type'];
			$id_join = $_post['page_id'];
			$id_user = $_post['comment_id_usr'];

				#$delete   = $this->db->query("DELETE FROM comments WHERE id_join='".$select->id."' AND id_mod=2");
				#$delete_j = $this->db->query("DELETE FROM comments_join WHERE id='".$id_com_join."'");
	
				//if( $this->usr->iam() == $com['id_usr'] || ($this->get_session_domain() >= 1 || $this->get_session_domain() <= 20) )
				if( $this->usr->session()->uid == $_post['comment_id_usr']
			    || ($this->usr->session()->gid >= 1 || $this->usr->session()->gid <= 20) )
				{
					$this->bdd = $this->zwDb();
					//echo 'UPDATE';exit;
					$update_close = $this->bdd->query("UPDATE zw_comments SET comment_right = '".$status."', comment_date_mod = now(), comment_date_end = now() WHERE comment_id_join = '".$id_join."' AND comment_id_type = '".$id_mod."' AND comment_id_comment ='".$cid."' LIMIT 1", $this->connexion);
					//echo '<pre>POST'.print_r($_post, 1).'</pre>'; exit;
					//header('Location : '.$_SERVER['HTTP_REFERER']);

					//$notification = new zw3bNotification();
					//$_post['sc'] = 'del';
					//$notif  = $notification->zw3bNotificationPush($_post,$type=20); // commentaire
	

					return false;
				} 
				else
					header('Location : '.$_SERVER['HTTP_REFERER']);
					//return false;
			endif;		
		}
}
?>