<?php
######################################################################
# ZW3B.Site v5.8.2 : Web Sites Management
# --------------------------------------------------------------------
#
# Copyright (c) 2015 by LAB3W : O.Romain Jaillet-Ramey - (orj@lab3w.fr)
#
# Date Create : 2014/12/12
# Date Modify : 2015/08/20
#
# Web Site : http://www.zw3b.fr
#
# This module is to manage ---------------------------- :: Descripton
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

class zw3bModStructures extends zw3bModules {
//class zw3bModStructures extends zw3b {

		function init($view, $module, $component, $arguments) {

			// Parcours du tableau $arguments
			if(is_array($arguments)):
			foreach ($arguments as $key => $value){
				//$this->zwViews()->assign($key, $value);
				$this->zwViews()->assign($key, $value);
			}
			endif;

			// on appele la methode
			$component_method = $module::$component($arguments);

			// on ecrit
			return self::render($view, $component_method);

			//return $component_render;
		}

		function render($view, $fields) {

			//$this->fields['body'] .= '<br/> <pre>Fields : '.print_r($this->fields,1).'</pre>';

			// Template
			if(file_exists($view)):
				$modele = @fopen ($view, 'r');
				$render_content = @fread ($modele, @filesize ($view));
				@fclose ($modele);

				// Parcours du tableau $fields
				if(is_array($this->fields)):
				foreach ($this->fields as $key => $value){
					// Remplacement des valeurs dans le modle
					$result = @ereg_replace ("{".$key."}", $value, $render_content);
					// Initialisation du contenu du template
					$render_content = $result;

				}
				endif;
			else:
				$render_content = '<p style="color:white; background-color:red;"><span style="color:white;">&nbsp;Error:</span> Template "<span style="color:black;">'.$view.'</span>" n\'existe pas !</p>';
			endif;

			return $render_content;
		}



		public function zw3bMaster() {
			//echo '<pre>'.print_r($this, 1).'</pre>';

				//echo '<pre>zw3bModConfigStructures>zwMaster> '.print_r($this, 1).'</pre>';

				$zw3bsites = array(
									 0 => array('title' => "ZW3B", 'url' => "www.zw3b.fr",'visible' => true ),
									 1 => array('title' => "WWW", 'url' => "www.zw3b.fr",'visible' => false ),
									 2 => array('title' => "V5", 'url' => "v5.zw3b.fr",'visible' => false ),

									10 => array('title' => "APPS", 'url' => "apps.zw3b.fr",'visible' => true ),
									11 => array('title' => "APPZ", 'url' => "appz.zw3b.fr",'visible' => false ),

									20 => array('title' => "MY", 'url' => "my.zw3b.fr",'visible' => false ),
									21 => array('title' => "BL0GS", 'url' => "blogs.zw3b.fr",'visible' => false ),

									30 => array('title' => "HOWTO", 'url' => "howto.zw3b.fr",'visible' => true ),
									31 => array('title' => "H0WT0", 'url' => "h0wt0.zw3b.fr",'visible' => false ),

									40 => array('title' => "RADIO", 'url' => "radio.zw3b.fr",'visible' => true ),
									41 => array('title' => "RADI0", 'url' => "radi0.zw3b.fr",'visible' => false ),

				);


		    	$https = @$_SERVER["HTTPS"];
		    	$port = @$_SERVER["SERVER_PORT"];

				$zwsiteurl = "";
				$menuvhost = "";
				foreach($zw3bsites as $zw3bsite):

					$zwsit3 = $zw3bsite['url'];

					if ($https == 'on') {
						if( !empty($port) && ($port != 443 && $port != 80) )
							$zwsiteurl = 'https://'.$zwsit3.':'.$port;
						else
							$zwsiteurl = 'https://'.$zwsit3;
					} else
						$zwsiteurl = 'http://'.$zwsit3;

					if($zw3bsite['visible'] == true && $zw3bsite['url'] != "my.zw3b.fr")
					$menuvhost.=  '<li '.( ($this->info['page']['zw3bsite'] == $zw3bsite['url']) ? ' class="active"' : '').'><a href="'.$zwsiteurl.'">'.$zw3bsite['title'].'</a></li>';
					/*hack pour apps dev*/
					if($zw3bsite['visible'] == true && $zw3bsite['url'] == "my.zw3b.fr" && ($this->info['page']['zw3bsite'] == $zw3bsite['url'] || $this->usr->session()->valide == true) )
					$menuvhost.=  '<li '.( ($this->info['page']['zw3bsite'] == $zw3bsite['url']) ? ' class="active"' : '').'><a href="'.$zwsiteurl.'">'.$zw3bsite['title'].'</a></li>';


					//$this->fields['zwsitename'] = ''.( ($this->info['page']['zw3bsite'] == $zw3bsite['url']) ? $zw3bsite['title'] : '').'';
					//$this->fields['zwsiteurl'] = '//'.( ($this->info['page']['zw3bsite'] == $zw3bsite['url']) ? $zw3bsite['url'] : '').'';
				endforeach;

				$this->fields['menu_vhosts'] = $menuvhost;

			  	/// ZWSITE
		      	if (empty($this->zwsite)) $this->zwsite = "www.zw3b.fr";

				if ($https == 'on') {
		    		if( !empty($port) && ($port != 443 && $port != 80) )
		    			$this->zwsiteurl = 'https://'.$this->zwsite.':'.$port;
		    		else
		    			$this->zwsiteurl = 'https://'.$this->zwsite;
		    	} else
		    	  	$this->zwsiteurl = 'http://'.$this->zwsite;
				/// ZWSITE

			  	/// SITEWEB
			  	if(@$_SERVER["HTTPS"] == 'on')	$active = false;
			  	else							$active = true;

		      	if (empty($this->site)) $this->site = $_SERVER['HTTP_HOST'];
		    	if ($active == true)
		    	{
		    		if( !empty($port) && ($port != 443 && $port != 80) ) {
		    			$this->siteurlinv_url = 'https://'.$this->site.':'.$port;
		    			$this->siteurlinv_title = 'Activer la navigation HTTPS';
		    			$this->siteurlinv_texte = 'Navigation <acronym lang="en_EN" title="HyperText Transfer Protocol">HTTP</acronym>';
		    		}else {
		    			$this->siteurlinv_url = 'https://'.$this->site;
		    			$this->siteurlinv_title = 'Activer la navigation HTTPS';
		    			$this->siteurlinv_texte = 'Navigation <acronym lang="en_EN" title="HyperText Transfer Protocol">HTTP</acronym>';
		    		}
		    	} elseif($active == false) {
		    		$this->siteurlinv_url = 'http://'.$this->site;
		    		$this->siteurlinv_title = 'Activer la navigation HTTP';
		    		$this->siteurlinv_texte = 'Navigation <acronym lang="en_EN" title="HyperText Transfer Protocol Secure">HTTPS</acronym>';
		    	} else {
		    	  	$this->siteurlinv_url = 'http://'.$this->site;
		    	  	$this->siteurlinv_title = 'Activer la navigation HTTP';
		    	  	$this->siteurlinv_texte = 'Navigation <acronym lang="en_EN" title="HyperText Transfer Protocol Secure">HTTPS</acronym>';
		    	}
				/// SITEWEB

				//$this->fields['zwsitename'] = 'ZW3B ';
				//$this->fields['zwsiteurl'] = $this->zwsiteurl;

				$this->fields['siteurlinv_url'] = $this->siteurlinv_url.$this->info['url'];
				$this->fields['siteurlinv_title'] = $this->siteurlinv_title;
				$this->fields['siteurlinv_texte'] = $this->siteurlinv_texte;

				$txt_server = "";
				switch($server_addr = $_SERVER["SERVER_ADDR"])
				{
					case "10.92.120.10":
						$SERVER_NAME = "MTR";
					break;
					case "192.168.5.1":
						$SERVER_NAME = "STD";
					break;
				}

				$ip = getenv("HTTP_X_FORWARDED_FOR");
				//if ($ip == "10.92.120.200" || $ip == "172.16.5.254")
				//{
				// $ip = getenv("HTTP_X_FORWARDED_FOR");
				//}
				if (substr_count($ip,":") > 1) {
				     $ipv6 = true;
				  } else {
				     $ipv6 = false;
				  }

//				if(!strstr($ip, ':', true) && strlen($ip)<='15' && (substr($ip,0, 10) == '192.168.5.' || substr($ip,0, 10) == '192.168.8.' || substr($ip,0, 6) == '10.16.'))
//					$ip = getenv("REMOTE_ADDR");

				$txt_type_default = 'depuis le r&eacute;seau ';
				$txt_type = '<acronym title="Wide Area Network" lang="en_UK">WAN</acronym>';
				
				// ipv4
				if(!strstr($ip, ':', true) && strlen($ip)<='15' && substr($ip, 0, 8) != '192.168.' && substr($ip, 0, 3) != '10.' && substr($ip,0, 7) == '172.16.')
					$txt_type = '<acronym title="Wide Area Network" lang="en_UK">WAN</acronym>';
				if(!strstr($ip, ':', true) && strlen($ip)<='15' && (substr($ip, 0, 8) == '192.168.' || substr($ip, 0, 3) == '10.'))
					$txt_type = '<acronym title="Local Area Network" lang="en_UK">LAN</acronym>';
				if(!strstr($ip, ':', true) && strlen($ip)<='15' && (substr($ip,0, 7) == '172.16.' || substr($ip, 0, 10) == '192.168.5.' || substr($ip,0, 10) == '192.168.8.' || substr($ip,0, 6) == '10.16.') )
					$txt_type = '<acronym title="Virtual Private Network" lang="en_UK">VPN</acronym>';
				// ipv6
				if(strstr($ip, ':', true) && strlen($ip)<='38' && substr($ip, 0, 1) == 'f') // 2a02:8428:21b:4e00::254
					$txt_type = '<acronym title="Local Area Network" lang="en_UK">LOC</acronym>';
				if(strstr($ip, ':', true) && strlen($ip)<='38' && substr($ip, 0, 1) != 'f' && substr($ip, 0, 19) == '2a02:8428:21b:4e00:') // 2a02:8428:21b:4e00::254
					$txt_type = '<acronym title="Local Area Network" lang="en_UK">LAN</acronym>';
				if(strstr($ip, ':', true) && strlen($ip)<='38' && substr($ip, 0, 1) != 'f' && substr($ip, 0, 19) != '2a02:8428:21b:4e00:')
					$txt_type = '<acronym title="Wide Area Network" lang="en_UK">WAN</acronym>';

		      	$txt_ip = ' via ';

		      	$txt_ip_v4 = '<acronym title="Internet Protocol" lang="en_UK">IP</acronym>v4 ';
		      	$txt_ip_v6 = '<acronym title="Internet Protocol" lang="en_UK">IP</acronym>v6 ';

				$txt_ip_vs = strlen($ip);
		      	if(!strstr($ip, ':', true) && strlen($ip)<='15')
		      	$txt_ip_vs = $txt_ip_v4;
		      	if(strstr($ip, ':', true) && strlen($ip)>='16' && strlen($ip)<='38')
		      	$txt_ip_vs = $txt_ip_v6;


				$txt = $txt_type_default.$txt_type.$txt_ip.$txt_ip_vs;


				$this->fields['client_ip_text'] = $txt;
				$this->fields['client_ip_addr'] = '<span style="display:none;"> avec l\'adresse <a href="http://'.$ip.'">'.$ip.'</a></span>';

				//if($this->usr->session()->valide == true )
					$this->fields['client_ip_addr'].= '<span style="">'.$txt_server.'</span>';
/*
			if($this->usr->session()->valide == true ) {
				//$head = '<span class="user active">ZW3B User</span> <span class="info">Infos</span> ';
				//$body = $this->usr->bloc_user();
				//$body = $this->usr->bloc_master_auth();
				
				$body = $this->usr->zw3bModUsrNistMain();
			} else {
				//$head = '<span class="auth active">ZW3B Auth.</span> <span class="insc">Inscription</span> <span class="forgot">?!!</span> ';
				//$head = '<span class="auth active">ZW3B Auth.</span>';
				//$body = $this->usr->bloc_master_authform();
				$body = $this->usr->zw3bModUsrNautMain();
			}
*/
			$body = null;
			$this->fields['usr_xbloc'] = $body;

		}

		public function zw3bAdminHeader() {
			//-----------------------------------------
			$affUrl = (isset($this->info['url']['redirect'])) ? $this->info['url']['redirect'] : $this->info['url']['uri'];
			$affUrl = (empty($this->info['url']['redirect']) && !empty($this->info['page']['uri']) ) ? $this->info['page']['dir'] : $affUrl;
			//$affUrl = null;
			if($this->config['name'] == $this->info['name'])
				$this->zwHeaderAdmin = '<h1>'.$this->info['name'].'</h1>';
			elseif($this->info['name'] == 'Admin')
				$this->zwHeaderAdmin = '<h1><a href="'.$this->info['url']['root'].substr($affUrl,1, strlen($affUrl)).'">'.str_replace('ZW3BAdmin', 'ZW3BAdmin', $this->info['infos']['title']).'</a> - <a href="'.$this->info['url']['root'].'">'.$this->config['name'].'</a></h1>';
			else
				$this->zwHeaderAdmin = '<h1><a href="'.$this->info['url']['root'].substr($affUrl,1, strlen($affUrl)).'">'.$this->info['infos']['title'].'</a> - <a href="'.$this->info['url']['root'].'admin/">ZW3BAdmin</a> - <a href="'.$this->info['url']['root'].'">'.$this->config['host']['name'].'</a></h1>';

			//-----------------------------------------
			$this->fields['zwHeaderAdmin'] = $this->zwHeaderAdmin;
		}

		public function zw3bHeader() {

			//echo " FIL ".$this->info['page']['filarianne'];
			//$this->info['page']['filarianne'] = $this->info['infos']['name'];
			//-----------------------------------------
			$affUrl = (isset($this->info['url']['redirect'])) ? $this->info['url']['redirect'] : $this->info['url'];
			$affUrl = (empty($this->info['url']['redirect']) && !empty($this->info['page']['uri']) ) ? $this->info['page']['dir'] : $affUrl;
			//$affUrl = null;
			if($this->config['host']['title'] == $this->info['infos']['name'])
				$this->header = '<h1 onclick="document.location.href=\'/\';">'.$this->info['infos']['name'].'</h1>';
			else
				//$this->header = '<h1 onclick="document.location.href=\'/\';"><a href="'.$this->info['url']['root'].substr($affUrl,1, strlen($affUrl)).'">'.$this->info['name'].'</a> <span class="hidden">-</span> <a class="hidden" href="'.$this->info['url']['root'].'">'.$this->config['name'].'</a></h1>';
				$this->header = '<h1>'.str_replace('<a href="'.$this->info['hote'].'" class="filarianne">'.$this->config['host']['title'].'</a> - ', '', $this->info['page']['filarianne']).'</h1>';

			//-----------------------------------------
			$this->fields['header'] = $this->header;
		}


		public function zw3bHeaderAccroche() {
			//echo "<pre>".print_r($this->info,1)."</pre>";
			//-----------------------------------------
			$affUrl = (isset($this->info['url']['redirect'])) ? $this->info['url']['redirect'] : $this->info['url'];
			$affUrl = (empty($this->info['url']['redirect']) && !empty($this->info['page']['uri']) ) ? $this->info['page']['dir'] : $affUrl;
			//$affUrl = null;
			//echo $this->config['desc'];

			if(isset($this->config['metas']['description'])  && $this->config['metas']['description'] != '' && $this->config['metas']['description'] == $this->info['infos']['description'])
				$this->accroche = '<p class="description">'.$this->info['infos']['description'].'</p>';
			else {
				if($this->info['infos']['id'] == "1" && $this->info['file'][0] == "index")
					$this->accroche = '<p class="description">'.$this->info['infos']['description'].'</p>';
				else if ($this->info['infos']['id'] != "1" && $this->info['file'][0] == "index")
					$this->accroche = ''.(strlen($this->info['infos']['description']) >= "85") ? '<p class="description">'.substr($this->info['infos']['description'], 0, 85).'...</p>' : '<p class="description">'.$this->info['infos']['description'].'</p>';
				else
					$this->accroche = ''.(strlen($this->info['infos']['description']) >= "85") ? '<p class="description">'.substr($this->info['infos']['description'], 0, 85).'...</p>' : '<p class="description">'.$this->info['infos']['description'].'</p>';

			}
			//-----------------------------------------
			$this->fields['accroche'] = $this->accroche;
		}

		public function zw3bLoadAverage() {
			//-----------------------------------------

			$load = self::zwTools()->loadaverage_array();

			//-----------------------------------------
			//$this->fields['stats'] = '0.25 0.12 0.11';
			$this->fields['stats'] = self::zwTools()->loadaverage_print($load[0], 1);
			$this->fields['stats'].= self::zwTools()->loadaverage_print($load[1], 5);
			$this->fields['stats'].= self::zwTools()->loadaverage_print($load[2], 15);

			$this->fields['linkstats'] = $this->zwTools()->protocole()."/pub/mrtg/cpu.html";
		}

		public function zw3bFooter() {

			$www = ($this->info['page']['zw3bsite'] == "www.zw3b.fr") ? "www.zw3b.fr" : "www.zw3b.fr";

			$this->footer = '<p style="text-align:center;">';

			$this->footer.= '<span><a href="//'.$www.'">Generated with '.$this->config['apps']['conf']['title'].' '.$this->config['apps']['conf']['vs'].' : '.$this->config['apps']['conf']['desc'].'</a><br/><br/><a href="http://www.lab3w.fr">2003-'.date('Y').' - LAB3W&#8482; : Laboratoire Web et r&eacute;seaux</a><br/><br/>2011-'.date('Y').' &copy; ZW3B<br/>Tous droits r&eacute;serv&eacute;s</span>';

        	if($this->info['page']['zw3bsite'] == "radio.zw3b.fr" || $this->info['page']['zw3bsite'] == "radi0.zw3b.fr" )
        	$this->footer.= ' - <a href="https://www.facebook.com/Tomson-Media/" title="TOMSON-MEDIA">Photos Tomson-Media</a>';


        	$this->footer.= '</p>';
/*
			if($this->info['page']['zw3bsite'] != "radio.zw3b.fr" && $this->info['page']['zw3bsite'] != "radi0.zw3b.fr") {
			$this->footer.= '<ul class="list" id="zw-foot-lnk">';


					$this->footer.= '<li><a title="" href="//'.$www.'/contact/">contact</a> |</li>';
					$this->footer.= '<li><a title="" href="//'.$www.'/credits">cr&eacute;dits</a> |</li>';
					$this->footer.= '<li><a title="" href="//howto.zw3b.fr/edito">&eacute;dito</a> |</li>';
					$this->footer.= '<li><a title="" href="//'.$www.'/faq">foire aux questions</a> |</li>';
					$this->footer.= '<li><a title="" href="//'.$www.'/mentions-legales">mentions l&eacute;gales</a></li>';
//					$this->footer.= '<li><a title="" href="//'.$www.'/affiliation">affiliation</a> |</li>';
//					$this->footer.= '<li><a title="" href="//'.$www.'/annonceur">annonceur</a></li>';

			$this->footer.= '</ul>';
			}
*/			//-----------------------------------------
			$this->fields['footer'] = $this->footer;
		}

		public function zw3bAdminFooter() {

			$www = ($this->info['page']['zw3bsite'] == "www.zw3b.fr") ? "www.zw3b.fr" : "v5.zw3b.fr";

			$this->footer = '<p>';
			$this->footer.= '2003-'.date('Y').' <span>&copy; <a href="http://www.lab3w.fr">LAB3W : Ing&eacute;nierie de l\'InterNet</a> - &copy 2015 <a href="//'.$www.'">ZW3B : Portail de l\'InterNet</a></span> - Tous droits r&eacute;serv&eacute;s';


			//-----------------------------------------
			$this->fields['footer'] = $this->footer;
		}






}

?>