<?php
######################################################################
# ZW3B.Site v5.8.2 : Web Sites Management
# --------------------------------------------------------------------
#
# Copyright (c) 2015 by LAB3W : O.Romain Jaillet-Ramey - (orj@lab3w.fr)
#
# Date Create : 2014/10/20
# Date Modify : 2015/08/24
#
# Web Site : http://www.zw3b.fr
#
# This module is to manage ---------------------------- :: Descripton
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

class zw3bModTree extends zw3bModules {

		function init($view, $module, $component, $arguments) {

			// Parcours du tableau $arguments
			if(is_array($arguments)):
			foreach ($arguments as $key => $value){
				//$this->zwViews()->assign($key, $value);
				$this->zwViews()->assign($key, $value);
			}
			endif;

			// on appele la methode
			$component_method = $module::$component($arguments);

			// on ecrit
			return self::render($view, $component_method);

			//return $component_render;
		}

		function render($view, $fields) {

			//$this->fields['body'] .= '<br/> <pre>Fields : '.print_r($this->fields,1).'</pre>';

			// Template
			if(file_exists($view)):
				$modele = @fopen ($view, 'r');
				$render_content = @fread ($modele, @filesize ($view));
				@fclose ($modele);

				// Parcours du tableau $fields
				if(is_array($this->fields)):
				foreach ($this->fields as $key => $value){
					// Remplacement des valeurs dans le modle
					$result = @ereg_replace ("{".$key."}", $value, $render_content);
					// Initialisation du contenu du template
					$render_content = $result;

				}
				endif;
			else:
				$render_content = '<p style="color:white; background-color:red;"><span style="color:white;">&nbsp;Error:</span> Template "<span style="color:black;">'.$view.'</span>" n\'existe pas !</p>';
			endif;

			return $render_content;
		}


		
		/*
		 * 
		 * Faudrait mettre dans une autre class
		 */
		public function get_tree_reverse($id_tree = null) {
			$this->bdd  = $this->zwDb();
		
			$id_tree = (isset($id_tree) && !empty($id_tree) && $id_tree != 0) ? $id_tree : $this->info['infos']['id'];
			
			$rubrique = null;
			$rubrique['url'] = '//'.$this->info['page']['zw3bsite'].'/';
			$rubrique['url'] = null;
			$rubrique['filariane'] = null;
			$rubrique['contact'] = 0;
			if($id_tree != 0) 
			{
				$i=0;	
				$tree_req = "SELECT t.*, l.* FROM zw_tree AS t, zw_tree_language AS l WHERE t.tree_id = l.tree_id AND t.tree_id = ".$id_tree."";
				$tree_req = $this->bdd->query($tree_req, $this->connexion);
				//$tree_req = $this->bdd->query("SELECT * FROM zw_tree AS t, zw_tree_language AS l WHERE t.tree_parent = 0 AND t.tree_id = l.tree_id $select_tree_right ORDER BY t.tree_id ASC LIMIT 0, 1000", $this->connexion);
				while($tree = $this->bdd->fetch_object($tree_req))
				{
					//$tree->tree_caption = str_replace(array(".WWW", "."), array("", "&nbsp;"), $tree->tree_caption);
					//if($tree->tree_id != 1) 
					{
						$i++;
						//$rubrique[$i]['child'] = self::get_tree_reverse();
						//$rubrique['url'] = ($tree->tree_parent != 0) ? $rubrique['url'].'/'.$tree->tree_uri.'/' : $tree->tree_uri.'/';
						if($tree->tree_parent != 0) 
							$rubrique['url'] = $rubrique['url'].'/'.$tree->tree_uri.'/';
						elseif($tree->tree_parent == 0 && $tree->tree_id != $this->info['infos']['id']) 
							$rubrique['url'] = '/'.$tree->tree_uri.'/';
						else
							$rubrique['url'] = $tree->tree_uri.'/';
													
						$rubrique['filariane'] = '<a href="'.$tree->tree_uri.'/">'.$tree->tree_caption.'</a>';
						$rubrique['contact'] = 1;
						
						if($tree->tree_parent != 0 /*&& $tree->tree_parent != 1*/) 
						{
							$rtree_req = "SELECT t.*, l.* FROM zw_tree AS t, zw_tree_language AS l WHERE t.tree_id = l.tree_id AND t.tree_id = ".$tree->tree_parent."";
							$rtree_req = $this->bdd->query($rtree_req, $this->connexion);
							while($rtree = $this->bdd->fetch_object($rtree_req))
							{
								$rubrique['url'] = $rtree->tree_uri.'/'.$tree->tree_uri.'/';
								$rubrique['filariane'] = '';
								$rubrique['filariane'].= ($this->info['infos']['id'] != $rtree->tree_id) ? '<a href="'.$rtree->tree_uri.'/">'.$rtree->tree_caption.'</a>, ' : '';
								$rubrique['filariane'].= (true) ? '<a href="'.$rtree->tree_uri.'/'.$tree->tree_uri.'/">'.$tree->tree_caption.'</a>' : '';
								
								//$rubrique['filariane'] = preg_replace('/<(a|A) href="(.*?)"(.*?)>(.*?)<\/(a|A)>/e', "'\\4'", $rubrique['filariane']);

								$rubrique['contact'] = 2;
								if($rtree->tree_parent != 0 /*&& $tree->tree_parent != 1*/) 
								{
									$retree_req = "SELECT t.*, l.* FROM zw_tree AS t, zw_tree_language AS l WHERE t.tree_id = l.tree_id AND t.tree_id = ".$rtree->tree_parent."";
									$retree_req = $this->bdd->query($retree_req, $this->connexion);
									while($retree = $this->bdd->fetch_object($retree_req))
									{
										$rubrique['url'] = $retree->tree_uri.'/'.$rtree->tree_uri.'/'.$tree->tree_uri.'/';
										$rubrique['filariane'] = '';
										$rubrique['filariane'].= ($this->info['infos']['id'] != $retree->tree_id) ? '<a href="'.$retree->tree_uri.'/">'.$retree->tree_caption.'</a>, ' : '';
										$rubrique['filariane'].= (true) ? '<a href="'.$retree->tree_uri.'/'.$rtree->tree_uri.'/">'.$rtree->tree_caption.'</a>, ' : '';
										$rubrique['filariane'].= (true) ? '<a href="'.$retree->tree_uri.'/'.$rtree->tree_uri.'/'.$tree->tree_uri.'/">'.$tree->tree_caption.'</a>' : '';
	
										$rubrique['contact'] = 3;
									}
	
								}
							
							}
							
							
							//self::get_tree_reverse($rtree->tree_parent, $recursive = 1);
						}						
					}
					
				}
			
			}

			//if(!isset($rubrique))	$rubrique['url'] = "///";		
			
			return $rubrique;
			
		}


		// info sur la directory
		protected function zw3bModTreeInfos($arguments) {

			$dir = isset($arguments['tree']) ? $arguments['tree'] : '';

			if($dir == '') {
				if(isset($this->info['url']['redirect']) && $this->info['url']['redirect'] != '')
					$dir = $this->info['url']['redirect'];
				else
					$dir = $this->info['page']['dir'];
			}

			$directory = './var/tree/'.$dir;

			if (@filetype($directory) == "dir" && @file_exists($directory."info.gen.php") )
			{
					// on inclut le fichier info.php
					//include $directory."/info.php";
					@include $directory."/info.gen.php";
					$info = $info;
			}

			// infos
			//$info = self::getTreeInfo();

			//echo '<pre>'.print_r($dir, 1).'</pre>';

			$this->fields['head'] = '<a class="file16x16 '.(isset($dir) && !empty($dir) ? str_replace("/"," ", $dir) : "").'" href="'.$dir.'" title="'.$this->info['infos']['name'].'">'.$this->info['infos']['name'].'</a>';
			$this->fields['description'] = ($this->info['infos']['description']);

			if(@file_exists($directory.'image.jpg')) {
				$photo = '<div id="slideshow">'."\n";
				$photo.= '<div id="slidesContainer">';

				//foreach($this->info['content']['photo'] as $clef => $img)
				{
					$photo.= '<div class="slide">';
					$photo.= '<img src="'.substr($directory, 1, strlen($directory) ).'image.jpg" width="960" alt="" />';
					$photo.= '</div>'."\n";
				}

				$photo.= '</div>';
				$photo.= '</div>'."\n";

				//$this->fields['photo'] = $photo;
			} else
				$photo = '';

			//$this->fields['body'] = 'DIR:'.$directory.' - '.nl2br($info['description']);
			$this->fields['photo'] = $photo;

			########################################
			//if(isset($info['photo']) && is_array($info['photo']) ) {
			if(isset($this->info['infos']['photo']) && is_array($this->info['infos']['photo']) && isset($this->info['infos']['photo'][0]['file']) && !empty($this->info['infos']['photo'][0]['file'])) {

				$photo = '<div id="slideshow">'."\n";
				$photo.= '<div id="slidesContainer">';
				//$photo.= '<ul>';
				foreach($this->info['infos']['photo'] as $clef => $img) {
					if(isset($img['file']) && !empty($img['file']) && file_exists($this->config['host']['documentroot'].'var/tree/'.$this->info['page']['zw3bsite'].'/'.$img['file'])):
					$photo.= '<div class="slide">';
					$photo.= '<img src="/var/tree/'.$this->info['page']['zw3bsite'].'/'.$img['file'].'" alt="'.$img['name'].'" />';
					$photo.= '</div>'."\n";
					endif;
				}
				//$photo.= '</ul>';
				$photo.= '</div>';
				//$photo.= '<a href="#" class="prev"><img src="/lib/jquery/slides/img/arrow-prev.png" width="24" height="43" alt="Arrow Prev"></a>';
				//$photo.= '<a href="#" class="next"><img src="/lib/jquery/slides/img/arrow-next.png" width="24" height="43" alt="Arrow Next"></a>';
				$photo.= '</div>'."\n";
			}

			else
				$photo = '';

			$this->zwViews()->assign ("photo", $photo);
			$this->fields['photo'] = $photo;
			########################################


			$this->fields['body'] = nl2br($this->info['infos']['description']);
			$this->fields['text'] = (!empty($this->info['infos']['text'])) ? $this->info['infos']['text'] : '';
			$this->fields['foot'] = '';

		}


		protected function zw3bModTreeAppIndex() {
			
			self::zw3bModTreeInfos($args=null);

			$this->fields['body'] = '';
			//$this->fields['body'] = "<div>";

			$this->fields['body'].= '<div class="head">';
			$this->fields['body'].= '<h2>Gestion des rubriques</h2>';
			$this->fields['body'].= '</div>';
			
			$this->fields['body'].= '<div class="description">';
			$this->fields['body'].= '<p style="padding-left:10px;">';
			$this->fields['body'].= 'Cette page permet d\'ajouter, modifier, supprimer des rubriques au site.';
			$this->fields['body'].= '<br /><br />S&eacute;lectionner un r&eacute;pertoire dans le menu et cliquer sur le lien "<strong>Ajouter un dossier</strong>" ou cliquer sur "<strong>Gestion du r&eacute;pertoire..</strong>".';
			$this->fields['body'].= '<br /><br />';
			$this->fields['body'].= '</p>';
			$this->fields['body'].= '</div>';

			$this->fields['body'].= '<div class="foot">';
			$this->fields['body'].= '</div>';
			
						
			if($this->usr->auth() == true) 
			{
				

				
	
				
			} else  {
				
			}
	
		}
			
		protected function zw3bModTreeAppMod($arguments) {

			$adminrootdir = $this->config['apps']['conf']['url'];


			//$info = $this->tree->getInfos($arguments['url']);

			$this->fields['folder_id'] = null;
			$this->fields['folder_id_parent'] = isset($info['id']) && !empty($info['id']) ? ''.$info['id'].'' : '0';
							
			$this->fields['meta_uri'] = "";
			$this->fields['meta_title'] = "";
			$this->fields['meta_description'] = "";
			$this->fields['meta_keywords'] = "";
			
			$this->fields['folder_meta_title'] = '';
			$this->fields['folder_meta_description'] = '';
			$this->fields['tree_photo'] = '';

			$this->fields['folder_text'] = '';
			$this->fields['folder_meta_keywords'] = '';

			$this->fields['meta_url'] = "/".$arguments['url'];
			$this->fields['meta_uri'] = ""; //$info['uri'];
			$this->fields['info_visibility'] = '';
			$this->fields['info_skin'] = "";
			$this->fields['info_pagelayout'] = "";
			$this->fields['info_override'] = "";
			$this->fields['info_structure'] = "";
			
			$this->fields['folder_dir'] = ''.$this->info['page']['arguments']['url'].'';	

			$this->fields['tree_photo'] = '';
			
			$this->fields['folder_url'] = substr($arguments['url'], 1, strlen($this->info['page']['arguments']['url']));




			if($this->usr->auth() == true
				and 
				(
					$this->usr->root() == true	
					or $this->usr->admin() == true	
					or $this->usr->moderator() == true		
				)
			):

				// infos
				$info = $this->tree->getInfos($arguments['url']);
				//echo (true ? "<pre>".print_r($info,1)."</pre>"  : "");	
				/* temporaire
				$this->db = $this->zwDb();
				$modeleReq = "SELECT m.modele_caption, m.modele_id FROM zw_tree t, zw_modeles m WHERE t.tree_model = m.modele_id AND t.tree_id = ".$info['id'];
				$modeleReq = $this->db->query($modeleReq, $this->connexion);
				$modeleTmp = $this->db->fetch_array($modeleReq);
				
				$info['modele'] = $modeleTmp[0]['modele_caption'];
				*/
				//-------------
				$this->fields['folder_id'] = ''.$info['id'].'';
				$this->fields['folder_id_parent'] = ''.$info['id_parent'].'';	
				
				//echo '<pre>'.print_r($info, 1).'</pre>';
				//$this->fields['config_info_titlebox'] = '<h4><a href="" onclick="return false;">Info du rpertoire parent</a></h4>';
				$this->fields['meta_title'] = $info['name'];
				$this->fields['meta_description'] = $info['description'];
				$this->fields['meta_keywords'] = $info['keywords'];
				
				//$this->fields['meta_url'] = $info['url']['root'].$info['url']['uri'];
				$this->fields['meta_url'] = "/".$arguments['url'];
				$this->fields['meta_uri'] = $info['uri'];
				
				$this->fields['folder_dir'] = ''.str_replace($info['uri']."/", "", $arguments['url']).'';	
								
				if(file_exists('./var/tree/'.$info['uri'].'/image.jpg'))
				{
					$this->fields['tree_photo'] = '<img src="/var/tree/'.$info['uri'].'/image.jpg" alt="" class="folder"/>';
				}else
					$this->fields['tree_photo'] ='';
	
				//$this->fields['tree_photoin'] = 'image.jpg;';
				$this->fields['tree_photoin'] = str_replace("/".$info['uri']."/", "", isset($info['photo'][0]['file']) && !empty($info['photo'][0]['file']) ? $info['photo'][0]['file'] : '');
				
				//$this->fields['folder_text'] = $this->tinymce().$info['text'];
				$this->fields['folder_text'] = $info['text'];


				// ZW3B.TREE.VISIBILY ----------------------------------------------------								
				$zwTreeRight = isset($info['visibility']) && !empty($info['visibility']) ? $info['visibility'] : null;
				
				//$zwRightHtml = "<pre>".print_r($zwTreeRight,1)."</pre>";
				$zwRightHtml = "";
				$zwRightHtml.= '<select name="tree[info][right]" class="liz">';
				
					$zwRightHtml.= '<option value="0" '.($zwTreeRight == 0 ? 'selected="selected"' : '').'>Internautes : Visible de tous</option>';
					$zwRightHtml.= '<option value="1" '.($zwTreeRight == 1 ? 'selected="selected"' : '').'>Membres : Visible de tous les membres</option>';
					$zwRightHtml.= '<option value="8" '.($zwTreeRight == 8 ? 'selected="selected"' : '').'>Admins : Visible des admins</option>';
					
				$zwRightHtml.= '</select>';
								
				$this->fields['info_visibility'] = $zwRightHtml; 
				// --------------------------------------------------------------------				
						
				/************SKIN********

				$htmlskins = '<select name="tree_skin">'."\n";
				
				$htmlskins.= '<option></option>'."\n";
				
				$in_rubriqueReq = $this->bdd->query("SELECT * FROM tree WHERE tree_id = '0' ORDER BY tree_caption ASC", $this->bdd->connexion);
				while ($in_rubrique = MYSQL_FETCH_OBJECT($in_rubriqueReq)) {
					if($in_rubrique->id == $rubrique->id_rub)
						$htmlskins.= '<option value="'.$in_rubrique->id.'" selected="selected">'.UcFirst(strToLower($in_rubrique->tree_caption)).'</option>'."\n";
					else
						$htmlskins.= '<option value="'.$in_rubrique->id.'">'.UcFirst(strToLower($in_rubrique->tree_caption)).'</option>'."\n";
				}
			
				$htmlskins.= '</select>'."\n";

				//$this->fields['info_skin'] = (isset($info['skin'])&& !empty($info['skin']) ? $info['skin'] : $this->theme);
				$this->fields['info_skin'] = $htmlskins;
				***/

				// ZW3B.HOST.SKINS ----------------------------------------------------								
				// on liste les dossiers
				$zwSkinsDirectory = $this->config['host']['documentroot'].'skins/';
				$zwSkins = $this->zwSkins()->get_skins($zwSkinsDirectory);
				
				//$zwSkinsHtml = "<pre>".print_r($zwSkins,1)."</pre>";
				$zwSkinsHtml = "";
				$zwSkinsHtml.= '<select name="tree[skin][uri]" class="liz">';
				foreach($zwSkins as $zwSkin):
					//$zwSkinsHtml.= '<option value="'.$zwSkin['name'].'" '.(($zwSkin['name'] == $this->config['skin']['uri'] or $zwSkin['name'] == $info['skin']) ? 'selected="selected"' : '').'>'.$zwSkin['name'].'</option>';
					$zwSkinsHtml.= '<option value="'.$zwSkin['name'].'" '.(isset($info['skin']) && !empty($info['skin']) && $info['skin'] == $zwSkin['name'] ? (!isset($info['skin']) && $this->config['skin']['uri'] == $zwSkin['name'] ? 'selected="selected"': 'selected="selected"') : '').'>'.$zwSkin['name'].'</option>';
				endforeach;
				$zwSkinsHtml.= '</select>';
				//exit;
				
				$this->fields['info_skin'] = $zwSkinsHtml;				
				//$this->fields['config_skin_uri'] = isset($this->config['skin']['uri']) && !empty($this->config['skin']['uri']) ? $this->config['skin']['uri'] : 'zw3b-site';
				// --------------------------------------------------------------------				
	
				// ZW3B.HOST.STRUCTUTRES ----------------------------------------------------								
				// on liste les dossiers
				$zwStructuresDirectory = $this->config['host']['documentroot'].'var/zones/';
				$zwStructures = $this->zwStructures()->get_structures($zwStructuresDirectory);
				
				//$zwStructuresHtml = "<pre>".print_r($info['modele'],1)."</pre>";
				$zwStructuresHtml = "";
				$zwStructuresHtml.= '<select style="text-align:left;" name="tree[structure][modele]" class="liz">';
				$zwStructuresHtml.= '<option value="" ><-- selectionner un modele --></option>';
				foreach($zwStructures as $zwStructure):
					$zwStructuresHtml.= '<option value="'.$zwStructure['file'].'" '.(($zwStructure['file'] == $info['modele']) ? 'selected="selected"' : '').'>'.$zwStructure['name'].'</option>';
					//$zwStructuresHtml.= '<option value="'.$zwStructure['file'].'" >'.$zwStructure['name'].'</option>';
				endforeach;
				$zwStructuresHtml.= '</select>';
				//exit;
							
				$this->fields['info_structure'] = $zwStructuresHtml;				
				// --------------------------------------------------------------------				
			
				$this->fields['info_pagelayout'] = isset($this->config['structure']['pagelayout']) && !empty($this->config['structure']['pagelayout']) ? (isset($info['pagelayout']) && !empty($info['pagelayout']) ? $info['pagelayout'] : $this->config['structure']['pagelayout']) : 'pagelayout.tpl.php';

				$this->fields['info_override'] = isset($this->config['structure']['override']) ? $this->config['structure']['override'] : '';


				/************TEMP***********/
				
				//$this->fields['info_pagelayout'] = (isset($info['pagelayout'])&& !empty($info['pagelayout']) ? $info['pagelayout'] : "pagelayout.tpl.php");
				
				$pathphoto = substr(str_replace($info['uri']."/", "", $arguments['url']),0,-1);
				if(is_array($info['photo'][0])) {
					foreach($info['photo'] as $photo):
					$html_photo = '<img style="width:120px;float:left;margin:5px;padding:2px; border:1px solid gray;" src="/var/tree'.$pathphoto.''.$photo['file'].'" alt="'.$photo['name'].'" />';
					endforeach;
				} else $html_photo = '';
	
				$this->fields['tree_photo'] = $html_photo;
	
				if(isset($this->info['url']['redirect'])) $req = str_replace($this->info['url']['redirect'], '', $this->info['url']['uri']);
				else $req = 'get';
	
				if(substr($req, 0, 3) == 'add' || substr($req, 0, 3) == 'mod' || substr($req, 0, 3) == 'del')
					$this->fields['folder_url'] = substr($req, 3, strlen($req));
				else
					$this->fields['folder_url'] = $req.'';

				$this->fields['class_bloc'] = $this->info['folder'][0] == "tree" ? "hidden" : "";
				
				
			else:
				return false;
			endif;

		}		

		protected function zw3bModTreeAppAdd($arguments) {
			$adminrootdir = "//admin.zw3b.fr";
			$adminrootdir = $this->config['apps']['conf']['url'];

			//echo (("ZW3BAdmin" == $this->info['folder'][0]) ? "<pre>".print_r($this->info,1)."</pre>"  : "");	

			
		if($this->usr->auth() == true
			and 
			(
				$this->usr->root() == true	
				or $this->usr->admin() == true	
				or $this->usr->moderator() == true		
			)
		):
/*			

				//echo '<pre>'.print_r($info, 1).'</pre>';
				//$this->fields['config_info_titlebox'] = '<h4><a href="" onclick="return false;">Info du rpertoire parent</a></h4>';
				$this->fields['folder_url'] = $arguments['url'];
				$this->fields['folder_meta_title'] = $info['name'];
				$this->fields['folder_meta_description'] = $info['description'];
				if(file_exists('./var/tree/'.$info['uri'].'/image.jpg'))
				{
					$this->fields['tree_photo'] = '<img src="/var/tree/'.$info['uri'].'/image.jpg" alt="" class="folder"/>';
				}else
					$this->fields['tree_photo'] ='';
	
				//$this->fields['folder_text'] = $this->tinymce().$info['text'];
				$this->fields['folder_text'] = $info['text'];
				$this->fields['folder_meta_keywords'] = $info['keywords'];
				//$this->fields['meta_url'] = $info['url']['root'].$info['url']['uri'];
				$this->fields['meta_url'] = "/".$arguments['url'];
				$this->fields['meta_uri'] = $info['uri'];
				$this->fields['info_visibility'] = $info['visibility'];
	
				if(isset($info['photo'][0]) && is_array($info['photo'][0])) {
					foreach($info['photo'] as $photo):
					$html_photo = '<img style="width:120px;float:left;margin:5px;padding:2px; border:1px solid gray;" src="'.$photo['file'].'" alt="'.$photo['name'].'" />';
					endforeach;
				} else $html_photo = '';
	
				$this->fields['tree_photo'] = $html_photo;
	
				if(isset($this->info['url']['redirect'])) $req = str_replace($this->info['url']['redirect'], '', $this->info['url']['uri']);
				else $req = 'get';
	
				if(substr($req, 0, 3) == 'add' || substr($req, 0, 3) == 'mod' || substr($req, 0, 3) == 'del')
					$this->fields['folder_url'] = substr($req, 3, strlen($req));
				else
					$this->fields['folder_url'] = $req.'';
*/
				// infos
				$info = $this->tree->getInfos($arguments['url']);

				$this->fields['folder_id'] = null;
				$this->fields['folder_id_parent'] = isset($info['id']) && !empty($info['id']) ? ''.$info['id'].'' : '0';
								
				$this->fields['meta_uri'] = $info['uri'];
				$this->fields['folder_meta_title'] = '';
				$this->fields['folder_meta_description'] = '';
				$this->fields['tree_photo'] = '';
	
				$this->fields['folder_text'] = '';
				$this->fields['folder_meta_keywords'] = '';

				$this->fields['meta_url'] = "/".$arguments['url'];
				$this->fields['meta_uri'] = $info['uri'];
				$this->fields['info_visibility'] = '';

				$this->fields['folder_dir'] = ''.$this->info['page']['arguments']['url'].'';	
	
				$this->fields['tree_photo'] = '';
				
				$this->fields['folder_url'] = substr($arguments['url'], 1, strlen($this->info['page']['arguments']['url']));


				// ZW3B.TREE.VISIBILY ----------------------------------------------------								
				$zwTreeRight = isset($info['visibility']) && !empty($info['visibility']) ? $info['visibility'] : '8';
				$zwTreeRight = '8';
				
				//$zwRightHtml = "<pre>".print_r($zwTreeRight,1)."</pre>";
				$zwRightHtml = "";
				$zwRightHtml.= '<select name="tree[info][right]" class="liz">';
				
					$zwRightHtml.= '<option value="0" '.($zwTreeRight == 0 ? 'selected="selected"' : '').'>Internautes : Visible de tous</option>';
					$zwRightHtml.= '<option value="1" '.($zwTreeRight == 1 ? 'selected="selected"' : '').'>Membres : Visible de tous les membres</option>';
					$zwRightHtml.= '<option value="8" '.($zwTreeRight == 8 ? 'selected="selected"' : '').'>Admins : Visible des admins</option>';
					
				$zwRightHtml.= '</select>';
								
				$this->fields['info_visibility'] = $zwRightHtml; 
				// --------------------------------------------------------------------				

				// ZW3B.HOST.SKINS ----------------------------------------------------								
				// on liste les dossiers
				$zwSkinsDirectory = $this->config['host']['documentroot'].'skins/';
				$zwSkins = $this->zwSkins()->get_skins($zwSkinsDirectory);
				
				//$zwSkinsHtml = "<pre>".print_r($zwSkins,1)."</pre>";
				$zwSkinsHtml = "";
				$zwSkinsHtml.= '<select name="tree[skin][uri]" class="liz">';
				foreach($zwSkins as $zwSkin):
					$zwSkinsHtml.= '<option value="'.$zwSkin['name'].'" '.(($zwSkin['name'] == $this->config['skin']['uri'] or $zwSkin['name'] == $info['skin']) ? 'selected="selected"' : '').'>'.$zwSkin['name'].'</option>';
				endforeach;
				$zwSkinsHtml.= '</select>';
				//exit;
				
				
				$this->fields['info_skin'] = $zwSkinsHtml;				
				//$this->fields['config_skin_uri'] = isset($this->config['skin']['uri']) && !empty($this->config['skin']['uri']) ? $this->config['skin']['uri'] : 'zw3b-site';
				// --------------------------------------------------------------------				
	
				// ZW3B.HOST.STRUCTUTRES ----------------------------------------------------								
				// on liste les dossiers
				$zwStructuresDirectory = $this->config['host']['documentroot'].'var/zones/';
				$zwStructures = $this->zwStructures()->get_structures($zwStructuresDirectory);
				
				//$zwStructuresHtml = "<pre>".print_r($zwSkins,1)."</pre>";
				$zwStructuresHtml = "";
				$zwStructuresHtml.= '<select style="text-align:left;" name="tree[structure][modele]" class="liz">';
				foreach($zwStructures as $zwStructure):
					//$zwStructuresHtml.= '<option value="'.$zwStructure['name'].'" '.(($zwStructure['name'] == $this->config['structure']['uri'] or $zwStructure['name'] == $info['structure']) ? 'selected="selected"' : '').'>'.$zwStructure['name'].'</option>';
					$zwStructuresHtml.= '<option value="'.$zwStructure['file'].'" >'.$zwStructure['name'].'</option>';
				endforeach;
				$zwStructuresHtml.= '</select>';
				//exit;
				
				$this->fields['info_structure'] = $zwStructuresHtml;				
				//$this->fields['config_skin_uri'] = isset($this->config['skin']['uri']) && !empty($this->config['skin']['uri']) ? $this->config['skin']['uri'] : 'zw3b-site';
				// --------------------------------------------------------------------				
		

				$this->fields['info_pagelayout'] = isset($this->config['structure']['pagelayout']) && !empty($this->config['structure']['pagelayout']) ? (isset($info['pagelayout']) && !empty($info['pagelayout']) ? $info['pagelayout'] : $this->config['structure']['pagelayout']) : 'pagelayout.tpl.php';
				$this->fields['info_override'] = isset($this->config['structure']['override']) ? $this->config['structure']['override'] : '';


				
			else:
				return false;
			endif;
			
		}	



				
						

		protected function zw3bModTreeAppMenuConfig() {

			$wwwadmin = substr("//admin.zw3b.fr/",1,-1);
			$wwwadmin = substr($this->config['apps']['conf']['url'],1,-1);
			$wwwadmin = substr($this->config['apps']['conf']['url'],1, (substr($this->config['apps']['conf']['url'],-1) == "/" ? "-1": strlen($this->config['apps']['conf']['url']) ) ).'';

			$this->menu = '<div id="menu-admin" class="menu">';
			$this->menu.= '<ul class="menu">';
			if($this->usr->session->valide() == true){

				$this->menu.= '<li class=""><span class="config"><a href="/'.$wwwadmin.'/config/">Configuration</a></span>';
					$this->menu.= '<ul>';
					$this->menu.= '<li class=""><span class="admin config tree"><a href="/'.$wwwadmin.'/config/tree/">Conf.Arborescence</a></span>';
					$this->menu.= '<li class=""><span class="admin config structures"><a href="/'.$wwwadmin.'/config/structures/">Conf.Structures</a></span>';
					$this->menu.= '<li class=""><span class="admin config skins"><a href="/'.$wwwadmin.'/config/skins/">Conf.Skins</a></span>';
					$this->menu.= '<li class=""><span class="admin config metas"><a href="/'.$wwwadmin.'/config/metas/">Conf.Mtas</a></span>';
					$this->menu.= '<li class=""><span class="admin config modules"><a href="/'.$wwwadmin.'/config/modules/">Conf.Modules</a></span>';
					$this->menu.= '</ul>';
				$this->menu.= '</li>';

				$this->menu.= '<li class=""><span class="admin usr"><a href="/'.$wwwadmin.'/usr/">Utilisateurs</a></span></li>';
				$this->menu.= '<li class=""><span class="admin contents"><a href="/'.$wwwadmin.'/contents/">Contenus (news, docs, videos...)</a></span></li>';
				$this->menu.= '<li class=""><span class="admin contact"><a href="/'.$wwwadmin.'/contact/">Contact</a></span></li>';
//				$this->menu.= '<li class=""><span class="admin streaming"><a href="/'.$wwwadmin.'/streaming/">Streaming</a></span></li>';
			}
			$this->menu.= '</ul>';
			$this->menu.= '</div>';

			$this->fields['menu'] = $this->menu;
		}
	

		public function zw3bModTreeAppSelectLst($tree_id = null) {

		$tree_id = isset($tree_id) && !empty($tree_id) ? $tree_id : "1";
		
		$this->select = "";
		
		if(
			$this->usr->auth() == true
			and 
			(
				$this->usr->root() == true	
				or $this->usr->admin() == true	
				or $this->usr->moderator() == true		
			)
		):
		
			$wwwadmin = substr($this->config['apps']['conf']['url'],1, (substr($this->config['apps']['conf']['url'],-1) == "/" ? "-1": strlen($this->config['apps']['conf']['url']) ) ).'';
		
		//if($this->usr->auth() == true)
			$select_tree_right = "";
		//else
		//	$select_tree_right = " AND t.tree_right = 1";

		$this->bdd = $this->zwDb();
		//$this->connexion = $this->bdd->Connexion(NOM, PASSE, BASE, SERVEUR);
		$tree_req = $this->bdd->query("SELECT * FROM zw_tree AS t, zw_tree_language AS l WHERE t.tree_parent = 0 AND t.tree_id = l.tree_id $select_tree_right ORDER BY t.tree_id ASC LIMIT 0, 1000", $this->connexion);

		$this->select.= '<select name="content[id_rub]" style="width:98%;">'."\n";
		while($tree = $this->bdd->fetch_object($tree_req))
		{
			//$this->select.= '<option value="'.$tree->tree_id.'" title="'.$tree->tree_uri.'/" '.($tree_id == $tree->tree_id ? 'selected="selected"' : '').'>'.$tree->tree_caption.'</option>';
			//$this->select.= '<option value="'.$tree->tree_id.'" title="'.$tree->tree_caption.'" '.($tree_id == $tree->tree_id ? 'selected="selected"' : '').'>'.$tree->tree_uri.'/</option>';
			$this->select.= '<option value="'.$tree->tree_id.':'.$tree->tree_uri.'/" title="'.$tree->tree_uri.'/" '.($tree_id == $tree->tree_id ? 'selected="selected"' : '').'>'.$tree->tree_caption.'</option>';

			$tree_rub_req = $this->bdd->query("SELECT * FROM zw_tree AS t, zw_tree_language AS l WHERE t.tree_parent = $tree->tree_id AND t.tree_id = l.tree_id $select_tree_right ORDER BY l.tree_caption ASC LIMIT 0, 1000", $this->connexion);
			$this->select.= "\t\t\t".""."\n";
			while($tree_rub = $this->bdd->fetch_object($tree_rub_req))
			{
				//$this->select.= '<option value="'.$tree_rub->tree_id.'" title="'.$tree->tree_uri.'/'.$tree_rub->tree_uri.'/" '.($tree_id == $tree_rub->tree_id ? 'selected="selected"' : '').'>'.$tree->tree_caption.' : '.$tree_rub->tree_caption.'</option>';
				//$this->select.= '<option value="'.$tree_rub->tree_id.'" title="'.$tree->tree_caption.' : '.$tree_rub->tree_caption.'" '.($tree_id == $tree_rub->tree_id ? 'selected="selected"' : '').'>'.$tree->tree_uri.'/'.$tree_rub->tree_uri.'/</option>';
				$this->select.= '<option value="'.$tree_rub->tree_id.':'.$tree->tree_uri.'/'.$tree_rub->tree_uri.'/" title="'.$tree->tree_uri.'/'.$tree_rub->tree_uri.'/" '.($tree_id == $tree_rub->tree_id ? 'selected="selected"' : '').'>'.$tree->tree_caption.' : '.$tree_rub->tree_caption.'</option>';
				
				$tree_srub_req = $this->bdd->query("SELECT * FROM zw_tree AS t, zw_tree_language AS l WHERE t.tree_parent = $tree_rub->tree_id AND t.tree_id = l.tree_id $select_tree_right ORDER BY l.tree_caption ASC LIMIT 0, 1000", $this->connexion);
				if($this->bdd->num_rows($tree_srub_req) >= 1)
				$this->select.= "\t\t\t\t\t".""."\n";
				while($tree_srub = $this->bdd->fetch_object($tree_srub_req))
				{
					//$this->select.= '<option value="'.$tree_srub->tree_id.'" title="'.$tree->tree_uri.'/'.$tree_rub->tree_uri.'/'.$tree_srub->tree_uri.'/" '.($tree_id == $tree_srub->tree_id ? 'selected="selected"' : '').'>'.$tree->tree_caption.' : '.$tree_rub->tree_caption.' -> '.$tree_srub->tree_caption.'</option>';				
					//$this->select.= '<option value="'.$tree_srub->tree_id.'" title="'.$tree->tree_caption.' : '.$tree_rub->tree_caption.' -> '.$tree_srub->tree_caption.'" '.($tree_id == $tree_srub->tree_id ? 'selected="selected"' : '').'>'.$tree->tree_uri.'/'.$tree_rub->tree_uri.'/'.$tree_srub->tree_uri.'/</option>';				
					$this->select.= '<option value="'.$tree_srub->tree_id.':'.$tree->tree_uri.'/'.$tree_rub->tree_uri.'/'.$tree_srub->tree_uri.'/" title="'.$tree->tree_uri.'/'.$tree_rub->tree_uri.'/'.$tree_srub->tree_uri.'/" '.($tree_id == $tree_srub->tree_id ? 'selected="selected"' : '').'>'.$tree->tree_caption.' : '.$tree_rub->tree_caption.' -> '.$tree_srub->tree_caption.'</option>';				
				}
			}
		}
		$this->select.= '</select>';
		
		
		return $this->select;

		endif;
		
		
		}
					
		protected function zw3bModTreeAppMenuLst() {

		$this->menu = "";
		if(
			$this->usr->auth() == true
			and 
			(
				$this->usr->root() == true	
				or $this->usr->admin() == true	
				or $this->usr->moderator() == true		
			)
		):
		
		//$wwwadmin = substr($this->config['apps']['conf']['url'],1,-1);
		$wwwadmin = substr($this->config['apps']['conf']['url'],1, (substr($this->config['apps']['conf']['url'],-1) == "/" ? "-1": strlen($this->config['apps']['conf']['url']) ) ).'';

		//if($this->usr->auth() == true)
			$select_tree_right = "";
		//else
		//	$select_tree_right = " AND t.tree_right = 1";

		$this->bdd = $this->zwDb();
		//$this->connexion = $this->bdd->Connexion(NOM, PASSE, BASE, SERVEUR);
		$tree_req = $this->bdd->query("SELECT * FROM zw_tree AS t, zw_tree_language AS l WHERE t.tree_parent = 0 AND t.tree_id = l.tree_id $select_tree_right ORDER BY t.tree_id ASC LIMIT 0, 1000", $this->connexion);

		$this->menu = "<style type=\"text/css\">ul li span.tree { display:none;} ul li span.nb { font-size:80%; } strong.caption { font-weight:normal; }</style>";
		//$this->menu = '<pre>'.print_r($this->info, 1).'</pre>';
		$this->menu.= "\t"."<ul id=\"zw-menu-main\">"."\n";
		$rubrique = "";
		$class = "";
		//$adminrubrique = "/contents/lst";
		$adminrubrique = "/tree/mod";
/*		
		if(isset($this->info['folder'][1]) && $this->info['folder'][1] == "config")
		$adminrubrique = "/config/tree/mod";	
		if(isset($this->info['folder'][1]) && $this->info['folder'][1] == "contents") {
		$adminrubrique = "/contents";
			if(isset($this->info['folder'][2]) && $this->info['folder'][2] == "lst")
				$adminrubrique.= "/lst";
			elseif(isset($this->info['folder'][2]) && $this->info['folder'][2] != "lst")	
				$adminrubrique.= "/".$this->info['folder'][2]."/lst";
			else $adminrubrique.= "/lst";	
		}
*/
//		if(isset($this->info['folder'][0]) && $this->info['folder'][0] == "config")
//		$adminrubrique = "/config/tree/mod";	
		if(isset($this->info['folder'][0]) && $this->info['folder'][0] == "tree")
		$adminrubrique = "/tree/mod";
		if(isset($this->info['folder'][0]) && $this->info['folder'][0] == "contents")
//		$adminrubrique = "/contents/lst";
		$adminrubrique = "/tree/mod";
				
		while($tree = $this->bdd->fetch_object($tree_req))
		{
			$tree->tree_caption = str_replace(array(".WWW", "."), array("", "&nbsp;"), $tree->tree_caption);
			//$fleche = ((isset($this->info['folder'][0]) && strpos($this->info['folder'][0], $tree->tree_uri) == $tree->tree_uri) || (isset($this->info['url']) && $this->info['url'] == "/")) ? "-" : "+"; //
			$rubrique = "/".substr($tree->tree_uri,2)."/";
			$class = (isset($this->info['page']['arguments']['url']) && $this->info['page']['arguments']['url'] == $rubrique) ? " active" : "";
			//$fleche = (isset($this->info['page']['arguments']['url']) && $this->info['page']['arguments']['url'] == $rubrique) ? "-" : "+"; //
			$fleche = "-"; //
			
			$this->menu.= "\t\t"."<li id=\"zw-menu-tid-".$tree->tree_id."\" class=\"zw-menu-vhost-item\">"."\n";
			//$this->menu.= "\t\t\t"."<a href=\"".$tree->tree_uri."\"><span class=\"tree\">TREE ".$tree->tree_id." :</span> <strong class=\"caption\">".utf8_decode($tree->tree_caption)."</strong> <span class=\"nb\">(".count_docs($tree->tree_id, $this->connexion).")</span></a>"."\n";
			$this->menu.= "\t\t\t"."<a title=\"/".$rubrique."\" class=\"file16x16 ".$class." folder root\" href=\"/".$wwwadmin."".$adminrubrique."".$rubrique."\"><span class=\"tree\">TID ".$tree->tree_id." :</span> <strong class=\"caption\">".utf8_decode($tree->tree_uri)."</strong></a>"."\n";
			$this->menu.= "\t\t\t"."<strong class=\"ops\">".$fleche."</strong>"."\n";

			$tree_rub_req = $this->bdd->query("SELECT * FROM zw_tree AS t, zw_tree_language AS l WHERE t.tree_parent = $tree->tree_id AND t.tree_id = l.tree_id $select_tree_right ORDER BY l.tree_caption ASC LIMIT 0, 1000", $this->connexion);
			$this->menu.= "\t\t\t"."<ul class=\"zw-menu-rub\">"."\n";
			while($tree_rub = $this->bdd->fetch_object($tree_rub_req))
			{
				//$fleche = ((isset($this->info['folder'][0]) && strpos($this->info['folder'][0], $tree_rub->tree_uri) == $tree_rub->tree_uri) || (isset($this->info['url']) && $this->info['url'] == "/")) ? "-" : "+"; //
				$rubrique = "/".substr($tree->tree_uri,2)."/".$tree_rub->tree_uri."/";
				$class = (isset($this->info['page']['arguments']['url']) && $this->info['page']['arguments']['url'] == $rubrique) ? "active " : "";
				$fleche = ((isset($this->info['folder'][5]) && strpos($this->info['folder'][5], $tree_rub->tree_uri) == $tree_rub->tree_uri) || isset($this->info['page']['arguments']['url']) && $this->info['page']['arguments']['url'] == $rubrique) ? "-" : "+";
				
				$this->menu.= "\t\t\t\t"."<li id=\"zw-menu-tid-".$tree_rub->tree_id."\" class=\"zw-menu-rub-item\">"."\n";
				$this->menu.= "\t\t\t\t\t"."<a title=\"/".$rubrique."\" class=\"file16x16 ".$class." folder\" href=\"/".$wwwadmin."".$adminrubrique."".$rubrique."\"><span class=\"tree rub\">TID ".$tree_rub->tree_id." :</span> <strong class=\"caption\">".utf8_decode($tree_rub->tree_uri)."</strong></a>"."\n";
				$this->menu.= "\t\t\t\t\t\t\t"."<strong class=\"ops\">".$fleche."</strong>"."\n";
				
				$clef = "4";
				if(isset($this->info['folder'][0]) && $this->info['folder'][0] == "contents") {					
					if(isset($this->info['folder'][1]) && $this->info['folder'][1] == "lst")
					$clef = "3";
				}
				//echo $this->info['folder'][1]." ";
				
				if(isset($this->info['folder'][0]) && $this->info['folder'][0] == "contents")
				$cache = ((isset($this->info['folder'][$clef]) && strpos($this->info['folder'][$clef], $tree_rub->tree_uri) == $tree_rub->tree_uri) || (isset($this->info['url']) && $this->info['url'] == "/")) ? "" : "hidden";
				if(isset($this->info['folder'][0]) && $this->info['folder'][0] == "tree")
				$cache = ((isset($this->info['folder'][$clef-1]) && strpos($this->info['folder'][$clef-1], $tree_rub->tree_uri) == $tree_rub->tree_uri) || (isset($this->info['url']) && $this->info['url'] == "/")) ? "" : "hidden";
				
				//$cache = ((isset($this->info['folder'][0]) && strpos($this->info['folder'][0], $tree_rub->tree_uri) == $tree_rub->tree_uri) || (isset($this->info['page']['arguments']['url']) && $this->info['page']['arguments']['url'] == $rubrique) ) ? "" : "hidden";
				$tree_srub_req = $this->bdd->query("SELECT * FROM zw_tree AS t, zw_tree_language AS l WHERE t.tree_parent = $tree_rub->tree_id AND t.tree_id = l.tree_id $select_tree_right ORDER BY l.tree_caption ASC LIMIT 0, 1000", $this->connexion);
				if($this->bdd->num_rows($tree_srub_req) >= 1)
				$this->menu.= "\t\t\t\t\t"."<ul class=\"zw-menu-srub ".$cache."\">"."\n";
				while($tree_srub = $this->bdd->fetch_object($tree_srub_req))
				{
					$rubrique = "/".substr($tree->tree_uri,2)."/".$tree_rub->tree_uri."/".$tree_srub->tree_uri."/";
					$class = (isset($this->info['page']['arguments']['url']) && $this->info['page']['arguments']['url'] == $rubrique) ? "active " : "";
					
					$this->menu.= "\t\t\t\t\t\t"."<li id=\"zw-menu-tid-".$tree_srub->tree_id."\" class=\"zw-menu-srub-item\">"."\n";
					//$this->menu.= "\t\t\t\t\t\t\t"."<a title=\"/".$rubrique."\" class=\"file16x16 ".$class." folder\" href=\"/".$wwwadmin."".$adminrubrique."".$rubrique."\"><span class=\"tree srub\">TID ".$tree_srub->tree_id." :</span> <strong class=\"caption\">".($tree_srub->tree_uri)."</strong></a>"."\n";
					$this->menu.= "\t\t\t\t\t\t\t"."<a title=\"/".$rubrique."\" class=\"file16x16 ".$class." folder\" href=\"/".$wwwadmin."".$adminrubrique."".$rubrique."\"><strong class=\"caption\">".($tree_srub->tree_uri)."</strong></a>"."\n";
					$this->menu.= "\t\t\t\t\t\t"."</li>"."\n";
				}
				if($this->bdd->num_rows($tree_srub_req) >= 1)
				$this->menu.= "\t\t\t\t\t"."</ul>"."\n";

				$this->menu.= "\t\t\t\t"."</li>"."\n";
			}
			$this->menu.= "\t\t\t"."</ul>"."\n";

			$this->menu.= "\t\t"."</li>"."\n";

		}
		$this->menu.= "\t"."</ul>";

		mysql_close($this->connexion);

		endif;
		
			//-----------------------------------------
			$this->fields['menumain'] = $this->menu;
			$this->fields['head'] = '';
			$this->fields['foot'] = '';

		}

/*		
		public function zw3bAdminTree() {

		$wwwadmin = substr("//admin.zw3b.fr/",1,-1);
		$wwwadmin = substr($this->config['apps']['conf']['url'],1,-1);

		//if($this->usr->auth() == true)
			$select_tree_right = "";
		//else
		//	$select_tree_right = " AND t.tree_right = 1";

		$this->bdd = $this->zwDb();
		//$this->connexion = $this->bdd->Connexion(NOM, PASSE, BASE, SERVEUR);
		$tree_req = $this->bdd->query("SELECT * FROM zw_tree AS t, zw_tree_language AS l WHERE t.tree_parent = 0 AND t.tree_id = l.tree_id $select_tree_right ORDER BY t.tree_id ASC LIMIT 0, 1000", $this->connexion);

		$this->menu = "<style type=\"text/css\">ul li span.tree { display:none;} ul li span.nb { font-size:80%; } strong.caption { font-weight:normal; }</style>";
		//$this->menu = '<pre>'.print_r($this->info, 1).'</pre>';
		$this->menu.= "\t"."<ul id=\"zw-menu-main\">"."\n";
		while($tree = $this->bdd->fetch_object($tree_req))
		{
			$tree->tree_caption = str_replace(array(".WWW", "."), array("", "&nbsp;"), $tree->tree_caption);
			$fleche = ((isset($this->info['folder'][0]) && strpos($this->info['folder'][0], $tree->tree_uri) == $tree->tree_uri) || (isset($this->info['url']) && $this->info['url'] == "/")) ? "-" : "+"; //

			$this->menu.= "\t\t"."<li id=\"zw-menu-tid-".$tree->tree_id."\" class=\"zw-menu-vhost-item\">"."\n";
			//$this->menu.= "\t\t\t"."<a href=\"".$tree->tree_uri."\"><span class=\"tree\">TREE ".$tree->tree_id." :</span> <strong class=\"caption\">".utf8_decode($tree->tree_caption)."</strong> <span class=\"nb\">(".count_docs($tree->tree_id, $this->connexion).")</span></a>"."\n";
			$this->menu.= "\t\t\t"."<a class=\"folder root\" href=\"/".$wwwadmin."/config/tree/mod/".substr($tree->tree_uri,2)."/\"><span class=\"tree\">TID ".$tree->tree_id." :</span> <strong class=\"caption\">".utf8_decode($tree->tree_uri)."</strong></a>"."\n";
			$this->menu.= "\t\t\t"."<strong class=\"ops\">".$fleche."</strong>"."\n";

			$tree_rub_req = $this->bdd->query("SELECT * FROM zw_tree AS t, zw_tree_language AS l WHERE t.tree_parent = $tree->tree_id AND t.tree_id = l.tree_id $select_tree_right ORDER BY l.tree_caption ASC LIMIT 0, 1000", $this->connexion);
			$this->menu.= "\t\t\t"."<ul class=\"zw-menu-rub\">"."\n";
			while($tree_rub = $this->bdd->fetch_object($tree_rub_req))
			{
				$fleche = ((isset($this->info['folder'][0]) && strpos($this->info['folder'][0], $tree_rub->tree_uri) == $tree_rub->tree_uri) || (isset($this->info['url']) && $this->info['url'] == "/")) ? "-" : "+"; //
				$this->menu.= "\t\t\t\t"."<li id=\"zw-menu-tid-".$tree_rub->tree_id."\" class=\"zw-menu-rub-item\">"."\n";
				$this->menu.= "\t\t\t\t\t"."<a class=\"folder\" href=\"/".$wwwadmin."/config/tree/mod/".substr($tree->tree_uri,2)."/".$tree_rub->tree_uri."/\"><span class=\"tree rub\">TID ".$tree_rub->tree_id." :</span> <strong class=\"caption\">".utf8_decode($tree_rub->tree_uri)."</strong></a>"."\n";
				$this->menu.= "\t\t\t\t\t\t\t"."<strong class=\"ops\">".$fleche."</strong>"."\n";

				$cache = ((isset($this->info['folder'][0]) && strpos($this->info['folder'][0], $tree_rub->tree_uri) == $tree_rub->tree_uri) || (isset($this->info['url']) && $this->info['url'] == "/")) ? "" : "hidden";
				$tree_srub_req = $this->bdd->query("SELECT * FROM zw_tree AS t, zw_tree_language AS l WHERE t.tree_parent = $tree_rub->tree_id AND t.tree_id = l.tree_id $select_tree_right ORDER BY l.tree_caption ASC LIMIT 0, 1000", $this->connexion);
				$this->menu.= "\t\t\t\t\t"."<ul class=\"zw-menu-srub ".$cache."\">"."\n";
				while($tree_srub = $this->bdd->fetch_object($tree_srub_req))
				{
					$this->menu.= "\t\t\t\t\t\t"."<li id=\"zw-menu-tid-".$tree_srub->tree_id."\" class=\"zw-menu-srub-item\">"."\n";
					$this->menu.= "\t\t\t\t\t\t\t"."<a class=\"folder\" href=\"/".$wwwadmin."/config/tree/mod/".substr($tree->tree_uri,2)."/".$tree_rub->tree_uri."/".$tree_srub->tree_uri."/\"><span class=\"tree srub\">TID ".$tree_srub->tree_id." :</span> <strong class=\"caption\">".($tree_srub->tree_uri)."</strong></a>"."\n";
					$this->menu.= "\t\t\t\t\t\t"."</li>"."\n";
				}
				$this->menu.= "\t\t\t\t\t"."</ul>"."\n";

				$this->menu.= "\t\t\t\t"."</li>"."\n";
			}
			$this->menu.= "\t\t\t"."</ul>"."\n";

			$this->menu.= "\t\t"."</li>"."\n";

		}
		$this->menu.= "\t"."</ul>";

		mysql_close($this->connexion);


			//-----------------------------------------
			$this->fields['menumain'] = $this->menu;
			$this->fields['head'] = 'Arborescence';
			$this->fields['foot'] = '';

		}
*/

		protected function zw3bModTreeMenu() {

		if($this->usr->auth() == true
			and 
			(
				$this->usr->root() == false	
				and $this->usr->admin() == false	
				and $this->usr->moderator() == false		
			)		
		) 
		$select_tree_right = " AND (t.tree_right = 0 OR t.tree_right = 8)"; // 0 == internaute - 1 == membre - 8 == admin
		elseif($this->usr->auth() == true
			and 
			(
				$this->usr->root() == true	
				or $this->usr->admin() == true	
				or $this->usr->moderator() == true		
			)
		
		)
			$select_tree_right = "";
		else
			$select_tree_right = " AND t.tree_right = 0"; // 0 == internaute - 1 == membre - 8 == admin

		$this->bdd = $this->zwDb();
		//$this->connexion = $this->bdd->Connexion(NOM, PASSE, BASE, SERVEUR);
		$tree_req = $this->bdd->query("SELECT * FROM zw_tree AS t, zw_tree_language AS l WHERE t.tree_parent = 0 AND t.tree_id = l.tree_id $select_tree_right ORDER BY t.tree_id ASC LIMIT 0, 1000", $this->connexion);

		$this->menu = "";
		//$this->menu = '<pre>'.print_r($this->info, 1).'</pre>';
		$this->menu.= "\t"."<ul id=\"zw-menu-main\">"."\n";
		while($tree = $this->bdd->fetch_object($tree_req))
		{
			$tree->tree_caption = str_replace(array(".WWW", "."), array("", "&nbsp;"), $tree->tree_caption);

			#$this->menu.= "\t\t"."<li id=\"zw-menu-tid-".$tree->tree_id."\" class=\"zw-menu-vhost-item\">"."\n";
			//$this->menu.= "\t\t\t"."<a href=\"".$tree->tree_uri."\"><span class=\"tree\">TREE ".$tree->tree_id." :</span> <strong class=\"caption\">".utf8_decode($tree->tree_caption)."</strong> <span class=\"nb\">(".count_docs($tree->tree_id, $this->connexion).")</span></a>"."\n";
			#$this->menu.= "\t\t\t"."<a class=\"file16x16\" href=\"".$tree->tree_uri."\"><span class=\"tree\">TID ".$tree->tree_id." :</span> <strong class=\"caption\">".utf8_decode($tree->tree_caption)."</strong></a><br/>"."\n";

			$tree_rub_req = $this->bdd->query("SELECT * FROM zw_tree AS t, zw_tree_language AS l WHERE t.tree_parent = $tree->tree_id AND t.tree_id = l.tree_id $select_tree_right ORDER BY l.tree_caption ASC LIMIT 0, 1000", $this->connexion);
			#$this->menu.= "\t\t\t"."<ul class=\"zw-menu-rub\">"."\n";
			while($tree_rub = $this->bdd->fetch_object($tree_rub_req))
			{
				$fleche = ((isset($this->info['folder'][0]) && strpos($this->info['folder'][0], $tree_rub->tree_uri) == $tree_rub->tree_uri) || (isset($this->info['url']) && $this->info['url'] == "/")) ? "-" : "+"; //
				$this->menu.= "\t\t\t\t"."<li id=\"zw-menu-tid-".$tree_rub->tree_id."\" class=\"zw-menu-rub-item\">"."\n";
				$this->menu.= "\t\t\t\t\t"."<a class=\"file16x16 ".$tree_rub->tree_uri."\" href=\"".$tree->tree_uri."/".$tree_rub->tree_uri."/\">";
				//$this->menu.= "<span class=\"tree rub\">TID ".$tree_rub->tree_id." :</span> ";
				$this->menu.= "<strong class=\"caption\">".($tree_rub->tree_caption)."</strong>";
				$this->menu.= "</a>"."\n";
				
				$this->menu.= "\t\t\t\t\t\t\t"."<strong class=\"ops\">".$fleche."</strong>"."\n";

				$cache = ((isset($this->info['folder'][0]) && strpos($this->info['folder'][0], $tree_rub->tree_uri) == $tree_rub->tree_uri) || (isset($this->info['url']) && $this->info['url'] == "/")) ? "" : "hidden";
				$tree_srub_req = "SELECT * FROM zw_tree AS t, zw_tree_language AS l WHERE t.tree_parent = $tree_rub->tree_id AND t.tree_id = l.tree_id $select_tree_right ORDER BY l.tree_caption ASC LIMIT 0, 1000";
				//echo "<br/>".$tree_srub_req;
				$tree_srub_req = $this->bdd->query($tree_srub_req, $this->connexion);
				if($this->bdd->num_rows($tree_srub_req) >= 1)
				$this->menu.= "\t\t\t\t\t"."<ul class=\"zw-menu-srub ".$cache."\">"."\n";
				while($tree_srub = $this->bdd->fetch_object($tree_srub_req))
				{
					$this->menu.= "\t\t\t\t\t\t"."<li id=\"zw-menu-tid-".$tree_srub->tree_id."\" class=\"zw-menu-srub-item\">"."\n";
					$this->menu.= "\t\t\t\t\t\t\t"."<a class=\"file16x16 ".$tree_rub->tree_uri." ".$tree_srub->tree_uri."\" href=\"".$tree->tree_uri."/".$tree_rub->tree_uri."/".$tree_srub->tree_uri."/\">";
					//$this->menu.= "<span class=\"tree srub\">TID ".$tree_srub->tree_id." :</span>";
					//$this->menu.= "<strong class=\"caption\">".($tree_rub->tree_caption)."</strong> &gt; ";
					$this->menu.= "<strong class=\"caption\">".($tree_srub->tree_caption)."</strong>";
					$this->menu.= "</a>"."\n";
					$this->menu.= "\t\t\t\t\t\t"."</li>"."\n";
				}
				if($this->bdd->num_rows($tree_srub_req) >= 1)
				$this->menu.= "\t\t\t\t\t"."</ul>"."\n";

				$this->menu.= "\t\t\t\t"."</li>"."\n";
			}
			#$this->menu.= "\t\t\t"."</ul>"."\n";

			#$this->menu.= "\t\t"."</li>"."\n";

		}
		$this->menu.= "\t"."</ul>";

		mysql_close($this->connexion);


			//-----------------------------------------
			$this->fields['menu'] = $this->menu;
			$this->fields['head'] = 'Acc&eacute;s rapide au site';
			$this->fields['head'] = '';
			$this->fields['foot'] = '';

		}

/*
		protected function zw3bMenu() {

		if($this->usr->auth() == true
			and 
			(
				$this->usr->root() == true	
				or $this->usr->admin() == true	
				or $this->usr->moderator() == true		
			)
		)
			$select_tree_right = "";
		else
			$select_tree_right = " AND t.tree_right = 1";

		$this->bdd = $this->zwDb();
		//$this->connexion = $this->bdd->Connexion(NOM, PASSE, BASE, SERVEUR);
		$tree_req = $this->bdd->query("SELECT * FROM zw_tree AS t, zw_tree_language AS l WHERE t.tree_parent = 0 AND t.tree_id = l.tree_id $select_tree_right ORDER BY t.tree_id ASC LIMIT 0, 1000", $this->connexion);

		$this->menu = "";
		//$this->menu = '<pre>'.print_r($this->info, 1).'</pre>';
		$this->menu.= "\t"."<ul id=\"zw-menu-main\">"."\n";
		while($tree = $this->bdd->fetch_object($tree_req))
		{
			$tree->tree_caption = str_replace(array(".WWW", "."), array("", "&nbsp;"), $tree->tree_caption);

			#$this->menu.= "\t\t"."<li id=\"zw-menu-tid-".$tree->tree_id."\" class=\"zw-menu-vhost-item\">"."\n";
			//$this->menu.= "\t\t\t"."<a href=\"".$tree->tree_uri."\"><span class=\"tree\">TREE ".$tree->tree_id." :</span> <strong class=\"caption\">".utf8_decode($tree->tree_caption)."</strong> <span class=\"nb\">(".count_docs($tree->tree_id, $this->connexion).")</span></a>"."\n";
			#$this->menu.= "\t\t\t"."<a class=\"file16x16\" href=\"".$tree->tree_uri."\"><span class=\"tree\">TID ".$tree->tree_id." :</span> <strong class=\"caption\">".utf8_decode($tree->tree_caption)."</strong></a><br/>"."\n";

			$tree_rub_req = $this->bdd->query("SELECT * FROM zw_tree AS t, zw_tree_language AS l WHERE t.tree_parent = $tree->tree_id AND t.tree_id = l.tree_id $select_tree_right ORDER BY l.tree_caption ASC LIMIT 0, 1000", $this->connexion);
			#$this->menu.= "\t\t\t"."<ul class=\"zw-menu-rub\">"."\n";
			while($tree_rub = $this->bdd->fetch_object($tree_rub_req))
			{
				$fleche = ((isset($this->info['folder'][0]) && strpos($this->info['folder'][0], $tree_rub->tree_uri) == $tree_rub->tree_uri) || (isset($this->info['url']) && $this->info['url'] == "/")) ? "-" : "+"; //
				$this->menu.= "\t\t\t\t"."<li id=\"zw-menu-tid-".$tree_rub->tree_id."\" class=\"zw-menu-rub-item\">"."\n";
				$this->menu.= "\t\t\t\t\t"."<a class=\"file16x16 ".$tree_rub->tree_uri."\" href=\"".$tree->tree_uri."/".$tree_rub->tree_uri."/\">";
				//$this->menu.= "<span class=\"tree rub\">TID ".$tree_rub->tree_id." :</span> ";
				$this->menu.= "<strong class=\"caption\">".utf8_decode($tree->tree_caption)." : ".($tree_rub->tree_caption)."</strong>";
				$this->menu.= "</a>"."\n";
				
				$this->menu.= "\t\t\t\t\t\t\t"."<strong class=\"ops\">".$fleche."</strong>"."\n";

				$cache = ((isset($this->info['folder'][0]) && strpos($this->info['folder'][0], $tree_rub->tree_uri) == $tree_rub->tree_uri) || (isset($this->info['url']) && $this->info['url'] == "/")) ? "" : "hidden";
				$tree_srub_req = $this->bdd->query("SELECT * FROM zw_tree AS t, zw_tree_language AS l WHERE t.tree_parent = $tree_rub->tree_id AND t.tree_id = l.tree_id $select_tree_right ORDER BY l.tree_caption ASC LIMIT 0, 1000", $this->connexion);
				if($this->bdd->num_rows($tree_srub_req) >= 1)
				$this->menu.= "\t\t\t\t\t"."<ul class=\"zw-menu-srub ".$cache."\">"."\n";
				while($tree_srub = $this->bdd->fetch_object($tree_srub_req))
				{
					$this->menu.= "\t\t\t\t\t\t"."<li id=\"zw-menu-tid-".$tree_srub->tree_id."\" class=\"zw-menu-srub-item\">"."\n";
					$this->menu.= "\t\t\t\t\t\t\t"."<a class=\"file16x16 ".$tree_rub->tree_uri." ".$tree_srub->tree_uri."\" href=\"".$tree->tree_uri."/".$tree_rub->tree_uri."/".$tree_srub->tree_uri."/\"><span class=\"tree srub\">TID ".$tree_srub->tree_id." :</span> <strong class=\"caption\">".($tree_rub->tree_caption)." &gt; ".($tree_srub->tree_caption)."</strong></a>"."\n";
					$this->menu.= "\t\t\t\t\t\t"."</li>"."\n";
				}
				if($this->bdd->num_rows($tree_srub_req) >= 1)
				$this->menu.= "\t\t\t\t\t"."</ul>"."\n";

				$this->menu.= "\t\t\t\t"."</li>"."\n";
			}
			#$this->menu.= "\t\t\t"."</ul>"."\n";

			#$this->menu.= "\t\t"."</li>"."\n";

		}
		$this->menu.= "\t"."</ul>";

		mysql_close($this->connexion);


			//-----------------------------------------
			$this->fields['menumain'] = $this->menu;
			$this->fields['head'] = 'Acc&eacute;s rapide au site';
			$this->fields['head'] = '';
			$this->fields['foot'] = '';

		}
*/
		protected function zw3bModTreeSiteOnglets() {

			//-----------------------------------------
			$this->menu = '<ul>';

#			$this->menu.= '<li><a '.((!isset($this->info['url']['dir'][1])) ? 'class="active"' : '').' href="/" title="Home">Home</a></li>';
			$this->menu.= '<li class="apple"><a '.((isset($this->info['folder'][0]) && $this->info['folder'][0] == 'apple') ? 'class="active"' : '').' href="//howto.zw3b.fr/apple/" title="Apple">Apple</a></li>';
			$this->menu.= '<li class="linux"><a '.((isset($this->info['folder'][0]) && $this->info['folder'][0] == 'linux') ? 'class="active"' : '').' href="//howto.zw3b.fr/linux/" title="Linux">Linux</a></li>';
			$this->menu.= '<li class="windows"><a '.((isset($this->info['folder'][0]) && $this->info['folder'][0] == 'windows') ? 'class="active"' : '').' href="//howto.zw3b.fr/windows/" title="Windows">Windows</a></li>';

/*
			$this->menu.= '<li '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'infogerance') ? 'class="active"' : '').'><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'infogerance') ? 'class="active"' : '').' href="/infogerance/" title="Infog&eacute;rance">INFOG&Eacute;RANCE</a>';
			$this->menu.= '</li>';


			//if($this->usr->session->valide() == true):
			$this->menu.= '<li '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'hebergement') ? 'class="active"' : '').'><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'hebergement') ? 'class="active"' : '').' href="/hebergement/" title="Gestion">H&eacute;bergement</a>';
			$this->menu.= '<ul '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'hebergement') ? 'class="active"' : '').'>';
			$this->menu.= '<li><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'hebergement' && isset($this->info['url']['dir'][2]) && $this->info['url']['dir'][2] == 'domain') ? 'class="active"' : '').' href="/hebergement/domain/" title="Nom de domaine">Nom de domaine</a></li>';
			$this->menu.= '<li><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'hebergement' && isset($this->info['url']['dir'][2]) && $this->info['url']['dir'][2] == 'vhosts') ? 'class="active"' : '').' href="/hebergement/vhosts/" title="Sites Web">Sites Web</a></li>';
			$this->menu.= '<li><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'hebergement' && isset($this->info['url']['dir'][2]) && $this->info['url']['dir'][2] == 'mx') ? 'class="active"' : '').' href="/hebergement/mx/" title="Comptes MX">Comptes MX</a></li>';
			$this->menu.= '<li><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'hebergement' && isset($this->info['url']['dir'][2]) && $this->info['url']['dir'][2] == 'ftp') ? 'class="active"' : '').' href="/hebergement/ftp/" title="Comptes FTP">Comptes FTP</a></li>';
			$this->menu.= '<li><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'hebergement' && isset($this->info['url']['dir'][2]) && $this->info['url']['dir'][2] == 'mysql') ? 'class="active"' : '').' href="/hebergement/mysql/" title="Base de donnes MySQL">Base de donnes</a></li>';
			$this->menu.= '</ul>';
			$this->menu.= '</li>';
			//endif;

			$this->menu.= '<li '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'web') ? 'class="active"' : '').'><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'web') ? 'class="active"' : '').' href="/web/" title="WEB">WEB</a>';
			$this->menu.= '</li>';

			if($this->usr->session->valide() == true):
			$this->menu.= '<li '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'zw3b') ? 'class="active"' : '').'><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'zw3b') ? 'class="active"' : '').' href="/zw3b/" title="ZW3B">ZW3B</a>';
			$this->menu.= '<ul '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'zw3b') ? 'class="active"' : '').'>';
			$this->menu.= '<li><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'zw3b' && isset($this->info['url']['dir'][2]) && $this->info['url']['dir'][2] == 'configuration') ? 'class="active"' : '').' href="/zw3b/configuration/" title="Configuration">Configuration</a></li>';
			$this->menu.= '<li><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'zw3b' && isset($this->info['url']['dir'][2]) && $this->info['url']['dir'][2] == 'contents') ? 'class="active"' : '').' href="/zw3b/contents/" title="Contenus">Contenus</a></li>';
			//$this->menu.= '<li><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'zw3b' && isset($this->info['url']['dir'][2]) && $this->info['url']['dir'][2] == 'modules') ? 'class="active"' : '').' href="/zw3b/modules/" title="Modules">Modules</a></li>';
			//$this->menu.= '<li><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'zw3b' && isset($this->info['url']['dir'][2]) && $this->info['url']['dir'][2] == 'pagetypes') ? 'class="active"' : '').' href="/zw3b/pagetypes/" title="Pagetypes">Pagetypes</a></li>';
			//$this->menu.= '<li><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'zw3b' && isset($this->info['url']['dir'][2]) && $this->info['url']['dir'][2] == 'structures') ? 'class="active"' : '').' href="/zw3b/structures/" title="Structures">Structures</a></li>';
			//$this->menu.= '<li><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'zw3b' && isset($this->info['url']['dir'][2]) && $this->info['url']['dir'][2] == 'themes') ? 'class="active"' : '').' href="/zw3b/themes/" title="Thmes">Thmes</a></li>';
			$this->menu.= '</ul>';
			$this->menu.= '</li>';
			endif;

*/
/*			if($this->usr->session->valide() == true):
			$this->menu.= '<li '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'admin') ? 'class="active"' : '').'><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'admin') ? 'class="active"' : '').' href="/admin/" title="Admin">Admin</a>';
			$this->menu.= '<ul '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'admin') ? 'class="active"' : '').'>';
			$this->menu.= '<li><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'admin' && isset($this->info['url']['dir'][2]) && $this->info['url']['dir'][2] == 'config') ? 'class="active"' : '').' href="/admin/config/" title="Configuration">Configuration</a></li>';
			$this->menu.= '<li><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'admin' && isset($this->info['url']['dir'][2]) && $this->info['url']['dir'][2] == 'content') ? 'class="active"' : '').' href="/admin/content/" title="Contenus">Contenus</a></li>';
			$this->menu.= '<li><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'admin' && isset($this->info['url']['dir'][2]) && $this->info['url']['dir'][2] == 'modules') ? 'class="active"' : '').' href="/admin/modules/" title="Modules">Modules</a></li>';
			$this->menu.= '<li><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'admin' && isset($this->info['url']['dir'][2]) && $this->info['url']['dir'][2] == 'pagetypes') ? 'class="active"' : '').' href="/admin/pagetypes/" title="Pagetypes">Pagetypes</a></li>';
			$this->menu.= '<li><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'admin' && isset($this->info['url']['dir'][2]) && $this->info['url']['dir'][2] == 'structures') ? 'class="active"' : '').' href="/admin/structures/" title="Structures">Structures</a></li>';
			$this->menu.= '<li><a '.((isset($this->info['url']['dir'][1]) && $this->info['url']['dir'][1] == 'admin' && isset($this->info['url']['dir'][2]) && $this->info['url']['dir'][2] == 'themes') ? 'class="active"' : '').' href="/admin/themes/" title="Thmes">Thmes</a></li>';
			$this->menu.= '</ul>';
			$this->menu.= '</li>';
			endif;
*/


			//if($this->usr->session->valide() == true) //auth ok
			//$this->menu.= '<li class="default" style="float:right;"><span class="user">'.$this->usr->session->uname.' ('.$this->usr->session->umail.') &nbsp; <a href="/actions/usr/unlogin">D&eacute;connexion</a></span></li>';
			//$this->menu.= '<li class="default" style="float:right;"><span style="color:#303030;">Navigation HTTP WAN IPv4</span></li>';

			$this->menu.= '</ul>';


			//-----------------------------------------
			$this->fields['menu'] = $this->menu;
		}


		protected function zw3bModTreeSiteNavigationRapide() {

				$zw3bsites = array(
									 0 => array('title' => "ZW3B", 'url' => "www.zw3b.fr",'visible' => true ),
									 1 => array('title' => "ZW3B", 'url' => "v5.zw3b.fr",'visible' => false ),

#									10 => array('title' => "APPS", 'url' => "apps.zw3b.fr",'visible' => true ),
#									11 => array('title' => "APPZ", 'url' => "appz.zw3b.fr",'visible' => false ),

									20 => array('title' => "MY", 'url' => "my.zw3b.fr",'visible' => false ),
									21 => array('title' => "BL0GS", 'url' => "blogs.zw3b.fr",'visible' => false ),

									30 => array('title' => "HOWTO", 'url' => "howto.zw3b.fr",'visible' => true ),
									31 => array('title' => "H0WT0", 'url' => "h0wt0.zw3b.fr",'visible' => false ),

									40 => array('title' => "RADIO", 'url' => "radio.zw3b.fr",'visible' => true ),
									41 => array('title' => "RADI0", 'url' => "radi0.zw3b.fr",'visible' => false ),

				);


			$this->wwwsite = $zw3bsites[0]['visible'] == true ? $zw3bsites[0]['url'] : "";
			$this->wwwsite = $zw3bsites[1]['visible'] == true ? $zw3bsites[1]['url'] : $zw3bsites[0]['url'];

			$this->howtosite = $zw3bsites[30]['visible'] == true ? $zw3bsites[30]['url'] : "";
			$this->howtosite = $zw3bsites[31]['visible'] == true ? $zw3bsites[31]['url'] : $zw3bsites[30]['url'];


			$this->fields['wwwsite'] = $this->wwwsite;
			$this->fields['howtosite'] = $this->howtosite;
		}




		private function zw3bModTreeCreateSite($arguments = null){
				
				//$info = self::zw3bModTreeInfos($arguments);
				
				$this->fields['head'] = '';
				$this->fields['foot'] = '';
				
				$this->fields['name'] = '';
				$this->fields['desc'] = '';
				$this->fields['text'] = '';
				$this->fields['photo'] = '';
				
				
				$this->fields['name'] = !empty($this->info['infos']['name']) ? $this->info['infos']['name'] : '';
				$this->fields['desc'] = !empty($this->info['infos']['description']) ? $this->info['infos']['description'] : '';
				$this->fields['text'] = !empty($this->info['infos']['text']) ? $this->info['infos']['text'] : '';
				$this->fields['photo'] = '';
		}







}

?>