/***************
 *
 * Cookies Validate
 *
 ****/

var tagIntZW3B = {}

tagIntZW3B.CookieConsent = function() {
    // Remplacez la valeur UA-XXXXXX-Y par l'identifiant analytics de votre site.
    //var gaProperty_default = 'UA-36011703-2'; // www
     var contentProperty = "ZW3B";

    // Dsactive le tracking si le cookie d'Opt-out existe dj .
    var disableStr = 'tag-disable-' + contentProperty;
    var firstCall = false;

    //Cette fonction retourne la date d’expiration du cookie de consentement

    function getCookieExpireDate() {
     // Le nombre de millisecondes que font 13 mois
     var cookieTimeout = 33696000000;
     var date = new Date();
     date.setTime(date.getTime()+cookieTimeout);
     var expires = "; expires="+date.toGMTString();
     return expires;
    }


    //Cette fonction vrifie si on  a dja  obtenu le consentement de la personne qui visite le site.
    function checkFirstVisit() {
       var consentCookie =  getCookie('ZW3B_hasConsentCookies');
       if ( !consentCookie ) return true;
    }

    //Affiche une  bannire d'information en haut de la page
     function showBanner(){
        var bodytag = document.getElementsByTagName('body')[0];
        var div = document.createElement('div');
        div.setAttribute('id','cookie-banner');
        div.setAttribute('width','70%');
        // Le code HTML de la demande de consentement
        div.innerHTML =  '<div style="color:#000;background-color:#FFF;text-align:center;padding:5px;font-size:12px;\
        border-bottom:1px solid #eeeeee;" id="cookie-banner-message" align="center">Ce site utilise des cookies. En continuant &agrave; naviguer, vous nous autorisez &agrave; d&eacute;poser des cookies &agrave; des fins de mesure\
        d\'audience et pour vos pr&eacute;f&eacute;rences personnelles. <a href="javascript:tagIntZW3B.CookieConsent.showInform()" \
        style="text-decoration:underline;"> En savoir plus ou s\'opposer</a>.</div>';
        // Vous pouvez modifier le contenu ainsi que le style
        // Ajoute la bannire juste au dbut de la page
        bodytag.insertBefore(div,bodytag.firstChild);
        document.getElementsByTagName('body')[0].className+=' cookiebanner';
        createInformAndAskDiv();
     }


    // Fonction utile pour rcuprer un cookie  partir de son nom
    function getCookie(NameOfCookie)  {
        if (document.cookie.length > 0) {
            begin = document.cookie.indexOf(NameOfCookie+"=");
            if (begin != -1)  {
                begin += NameOfCookie.length+1;
                end = document.cookie.indexOf(";", begin);
                if (end == -1) end = document.cookie.length;
                return unescape(document.cookie.substring(begin, end));
            }
         }
        return null;
    }

    //Rcupre la version d'Internet Explorer, si c'est un autre navigateur la fonction renvoie -1
    function getInternetExplorerVersion() {
      var rv = -1;
      if (navigator.appName == 'Microsoft Internet Explorer')  {
        var ua = navigator.userAgent;
        var re  = new RegExp("MSIE ([0-9]{1,}[\.0-9]{0,})");
        if (re.exec(ua) != null)
          rv = parseFloat( RegExp.$1 );
      }  else if (navigator.appName == 'Netscape')  {
        var ua = navigator.userAgent;
        var re  = new RegExp("Trident/.*rv:([0-9]{1,}[\.0-9]{0,})");
        if (re.exec(ua) != null)
          rv = parseFloat( RegExp.$1 );
      }
      return rv;
    }

    //Effectue une demande de confirmation de DNT pour les utilisateurs d'IE
    function askDNTConfirmation() {
        var r = confirm("La signal DoNotTrack de votre navigateur est activ, confirmez-vous activer la fonction DoNotTrack?")
        return r;
    }

    //Vrifie la valeur de navigator.DoNotTrack pour savoir si le signal est activ et est   1
    function notToTrack() {
        if ( (navigator.doNotTrack && (navigator.doNotTrack=='yes' || navigator.doNotTrack=='1'))
            || ( navigator.msDoNotTrack && navigator.msDoNotTrack == '1') ) {
            var isIE = (getInternetExplorerVersion()!=-1)
            if (!isIE){
                 return true;
            }
            return false;
        }
    }

    //Si le signal est   0 on considre que le consentement a dj  t obtenu
    function isToTrack() {
        if ( navigator.doNotTrack && (navigator.doNotTrack=='no' || navigator.doNotTrack==0 )) {
            return true;
        }
    }

    // Fonction d'effacement des cookies
    function delCookie(name )   {
        var path = ";path=" + "/";
        var hostname = document.location.hostname;
        if (hostname.indexOf("www.") === 0)
            hostname = hostname.substring(4);
        var domain = ";domain=" + "."+hostname;
        var expiration = "Thu, 01-Jan-1970 00:00:01 GMT";
        document.cookie = name + "=" + path + domain + ";expires=" + expiration;
    }

    // Efface tous les types de cookies utiliss par Google Analytics
    function deleteAnalyticsCookies() {
        var cookieNames = ["__utma","__utmb","__utmc","__utmt","__utmv","__utmz","_ga","_gat"]
        for (var i=0; i<cookieNames.length; i++)
            delCookie(cookieNames[i])
    }

    //La fonction qui informe et demande le consentement. Il s'agit d'un div qui apparait au centre de la page
    function createInformAndAskDiv() {
        var bodytag = document.getElementsByTagName('body')[0];
        var div = document.createElement('div');
        div.setAttribute('id','inform-and-ask');
        div.style.width= window.innerWidth+"px" ;
        div.style.height= window.innerHeight+"px";
        div.style.display= "none";
        div.style.position= "fixed";
        // Le code HTML de la demande de consentement
        // Vous pouvez modifier le contenu ainsi que le style
        div.innerHTML =  '<div style="color:#000; width: 300px; background-color: white; repeat scroll 0% 0% white;\
        border: 1px solid #cccccc; padding :10px 10px;text-align:center; position: fixed; top:30px; \
        left:50%; margin-top:0px; margin-left:-150px; z-index:100000; opacity:1" id="inform-and-consent">\
        <div><span><b>Les cookies Google Analytics</b></span></div><br><div>Ce site utilise  des cookies\
        de Google Analytics,    ces cookies nous aident   identifier le contenu qui vous interesse le plus\
        ainsi qu\'  reprer certains dysfonctionnements. Vos donnes de navigations sur ce site sont\
        envoyes   Google Inc</div><div style="padding :10px 10px;text-align:center;"><button\
        style="margin-right:50px;text-decoration:underline;" name="S\'opposer" onclick="tagIntZW3B.CookieConsent.gaOptout();\
        tagIntZW3B.CookieConsent.hideInform();" id="optout-button" >S\'opposer</button>\
        <button style="text-decoration:underline;" name="cancel" onclick="tagIntZW3B.CookieConsent.hideInform()"\
        >Accepter</button></div></div>';
        // Ajoute la bannire juste au dbut de la page
        bodytag.insertBefore(div,bodytag.firstChild);
    }


    function isClickOnOptOut(evt) {
        // Si le noeud parent ou le noeud parent du parent est la bannire, on ignore le clic
        return(evt.target.parentNode.id == 'cookie-banner' || evt.target.parentNode.parentNode.id =='cookie-banner'
        || evt.target.id == 'optout-button')
    }

    function consent(evt) {
        // On vrifie qu'il ne s'agit pas d'un clic sur la bannire
        if (!isClickOnOptOut(evt) ) {
            if ( !clickprocessed) {
                evt.preventDefault();
                document.cookie = 'ZW3B_hasConsentCookies=true; '+ getCookieExpireDate() +' ; path=/';
                callFunctionsWithCookies();
                clickprocessed = true;
                window.setTimeout(function() {evt.target.click();}, 1000);
            }
        }
    }

    // Tag Google Analytics, cette version est avec le tag Universal Analytics
    function callFunctionsWithCookies(id, zwsite) {
        if (firstCall) return;
        else firstCall = true;
    }


    return {

        // La fonction d'opt-out
         gaOptout: function() {
            document.cookie = disableStr + '=true;'+ getCookieExpireDate() +' ; path=/';
            document.cookie = 'ZW3B_hasConsentCookies=false;'+ getCookieExpireDate() +' ; path=/';
            var div = document.getElementById('cookie-banner');
            // Ci dessous le code de la banniere affichee une fois que l'utilisateur s'est oppose au depot
            // Vous pouvez modifier le contenu et le style
            if ( div!= null ) div.innerHTML = '<div style="background-color:#fff;text-align:center;padding:5px;font-size:12px;\
            border-bottom:1px solid #eeeeee;" id="cookie-message"> Vous vous tes oppos au dpt de cookies de mesures d\'audience\
            dans votre navigateur </div>'
            window[disableStr] = true;
            clickprocessed = true;
            deleteAnalyticsCookies();
        },


         showInform: function() {
            var div = document.getElementById("inform-and-ask");
            div.style.display = "";
        },


         hideInform: function() {
            var div = document.getElementById("inform-and-ask");
            div.style.display = "none";
            var div = document.getElementById("cookie-banner");
            div.style.display = "none";
        },

        start: function(id,zwsite) {
            //Ce bout de code verifie que le consentement n'a pas deja  ete obtenu avant d'afficher
            // la banniere

            var consentCookie =  getCookie('ZW3B_hasConsentCookies');
            clickprocessed = false;
            if (!consentCookie) {
                //L'utilisateur n'a pas encore de cookie, on affiche la banniere.
                //Si il clique sur un autre element que la banniere on enregistre le consentement
                if ( notToTrack() ) {
                    //L'utilisateur a active DoNotTrack. Do not ask for consent and just opt him out
                    tagIntZW3B.CookieConsent.gaOptout();
                    alert("You've enabled DNT, we're respecting your choice");
                } else {
                    if (isToTrack() ) {
                        //consent();
                    } else {
                        if (window.addEventListener) {
                          window.addEventListener("load", showBanner, false);
                          document.addEventListener("click", consent, false);
                        } else {
                          window.attachEvent("onload", showBanner);
                          document.attachEvent("onclick", consent);
                        }
                    }
                }
            } else {
                if (document.cookie.indexOf('ZW3B_hasConsentCookies=false') > -1)
                    window[disableStr] = true;
                else
                    callFunctionsWithCookies();
            }
        }
    }

}();

// Tag Google Analytics, cette version est avec le tag Universal Analytics
function callGoogleAnalytics(id, zwsite) {

	  // Inserez votre tag Google Analytics ou Universal Analytics ici
	  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
	  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
	  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
	  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

	  ga('create', id, zwsite);
	  ga('require', 'displayfeatures');
	  ga('require', 'linkid', 'linkid.js');
	  ga('send', 'pageview');

	  console.log("callGoogleAnalytics ... " + id + "," + zwsite + " Ok ?!");
}

tagIntZW3B.CookieConsent.start();

//tagIntZW3B.CookieConsent.start("UA-36011703-1","www.lab3w.fr");
//tagIntZW3B.CookieConsent.start("UA-36011703-2","www.zw3b.fr");
//tagIntZW3B.CookieConsent.start("UA-36011703-3","portfolio.lab3w.fr");
//tagIntZW3B.CookieConsent.start("UA-36011703-4","radio.zw3b.fr");
//tagIntZW3B.CookieConsent.start("UA-36011703-5","zarka.zw3b.fr");
//tagIntZW3B.CookieConsent.start("UA-36011703-6","radio-balma.zw3b.fr");
//tagIntZW3B.CookieConsent.start("UA-36011703-7","howto.zw3b.fr");
//tagIntZW3B.CookieConsent.start("UA-36011703-8","apps.zw3b.fr");
//tagIntZW3B.CookieConsent.start("UA-36011703-9","videos.zw3b.fr");







