<?php
######################################################################
# ZW3B.Site v5.8.2 : Web Sites Management
# --------------------------------------------------------------------
#
# Copyright (c) 2015 by LAB3W : O.Romain Jaillet-Ramey - (orj@lab3w.fr)
#
# Date Create : 2015/08/19
# Date Modify : 2015/08/25
#
# Web Site : http://www.zw3b.fr
#
# This module is to manage ---------------------------- :: Descripton
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

class zw3bActions extends zw3b {

    public function __construct() {
    	//echo "zw3bActions";
    	//echo "<pre>".print_r($this->infos,1)."</pre>";   
    	
    }


	/*
	 * Methode qui pointe sur la class UsrActions
	 * 
	 * On doit pointer apres sur une action
	 */
    protected function zw3bActionsUsr($type, $action = null, $_post = null, $_files = null) {
    	//echo "zw3bActions>usr ";
    	
    	$type = isset($type) && !empty($type) ? $type : null;
		$action = isset($action) && !empty($action) ? $action : "mod";
		
		switch($type) {
			
			case "naut"; case "nist"; //case "insc"; case "mod"; case "add"; case "del";
				//echo "zw3bActions>zw3bModUsrActions>".$action." == "; //exit;
				($action != null) ? zw3bModUsrActions::zw3bModUsrActionsType($type, $action, $_post, $_files) : false;
			break;


		}    	
    } 
    
	/*
	 * Methode qui pointe sur la class TreeActions
	 * 
	 * $action = add || mod || del
	 */
    protected function zw3bActionsTree($action, $_post = null, $_files = null) {
		//echo "zw3bActions>tree ";
		
		$action = isset($action) && !empty($action) ? $action : null;
		
		switch($action) {
			
			case "add";
				zw3bModTreeActions::zw3bModTreeActionsAdd($_post, $_files);
			break;
			
			case "mod";
				zw3bModTreeActions::zw3bModTreeActionsMod($_post, $_files);
			break;
			
			case "del";
				zw3bModTreeActions::zw3bModTreeActionsDel($_post, $_files);
			break;
		}
    }   
    
    
	/*
	 * Methode qui pointe sur la class ConfigActions
	 * 
	 * On doit pointer apres sur une action
	 */
    protected function zw3bActionsConfig($type, $action = null, $_post = null, $_files = null) {
    	//echo "zw3bActions>usr ";
    	
    	$type = isset($type) && !empty($type) ? $type : null;
		$action = isset($action) && !empty($action) ? $action : "mod";
		
		switch($type) {
			
			case "default"; case "modules"; case "structures"; case "skins"; case "ga";
				//echo "zw3bActions>zw3bActionsConfig>".$type." == ";
				($action != null) ? zw3bModConfigActions::zw3bModConfigActionsType($type, $action, $_post, $_files) : false;
			break;


		}    	
    }       
    
	/*
	 * Methode qui pointe sur la class ContentsActions
	 * 
	 * $type = news || links || ....
	 * $action = add || mod || del
	 * 
	 */
    protected function zw3bActionsContents($type, $action, $_post = null, $_files = null) {
    	//echo "zw3bActions>contents ";
    	
    	$type = isset($type) && !empty($type) ? $type : null;
		$action = isset($action) && !empty($action) ? $action : null;
		
		switch($type) {
			
			case "news";
				//echo "zw3bActions>contents>news == ";
				($action != null) ? zw3bModContentsActions::zw3bModContentsActionsType($type, $action, $_post, $_files) : false;
			break;
			
			case "docs";
				//echo "zw3bActions>contents>docs == ";
				($action != null) ? zw3bModContentsActions::zw3bModContentsActionsType($type, $action, $_post, $_files) : false;
			break;	
					
			case "links";
				//echo "zw3bActions>contents>links == ";
				($action != null) ? zw3bModContentsActions::zw3bModContentsActionsType($type, $action, $_post, $_files) : false;
			break;
			
			case "vimeo";
				//echo "zw3bActions>contents>vimeo == ";
				($action != null) ? zw3bModContentsActions::zw3bModContentsActionsType($type, $action, $_post, $_files) : false;
			break;
		}    	
    }    



	/*
	 * Methode qui pointe sur la class ContactActions
	 * 
	 * On doit pointer apres sur une action
	 */
    protected function zw3bActionsContact($type, $action = null, $_post = null, $_files = null) {
    	//echo "zw3bActions>contact ";
    	
    	$type = isset($type) && !empty($type) ? $type : null;
		$action = isset($action) && !empty($action) ? $action : null;
		
		switch($type) {
			
			case "form"; 
				//echo "zw3bActions>zw3bModContactActions>".$action." == "; //exit;
				($action != null) ? zw3bModContactActions::zw3bModContactActionsType($type, $action, $_post, $_files) : false;
			break;


		}    	
    } 



	/*
	 * Methode qui pointe sur la class CommentsActions
	 * 
	 * On doit pointer apres sur une action
	 */
    protected function zw3bActionsComments($action = null, $_post = null, $_files = null) {
    	//echo "zw3bActions>comments ";
    	
    	//$type = isset($type) && !empty($type) ? $type : null;
		$action = isset($action) && !empty($action) ? $action : null;
		
		switch($action) {
			
			case "add"; case "mod"; case "del"; 
				//echo "zw3bActions>zw3bActionsComments>".$action." == "; //exit;
				$method = "zw3bModCommentsActions".UcFirst($action);
				($action != null) ? zw3bModCommentsActions::$method($_post, $_files) : false;
			break;


		}    	
    } 
       
}
?>