<?php
######################################################################
# ZW3B.Site v5.8.2 : Web Sites Management
# --------------------------------------------------------------------
#
# Copyright (c) 2015 by LAB3W : O.Romain Jaillet-Ramey - (orj@lab3w.fr)
#
# Date Create : 2014/09/30
# Date Modify : 2015/08/25
#
# Web Site : http://www.zw3b.fr
#
# This module is to manage ---------------------------- :: Descripton
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

class zw3bModConfigStructures extends zw3bModConfig {
		public $data = array();

		public function index() {
			$html =  '<p>';
			$html.=  '<a href="'.$this->config['apps']['conf']['url'].'config/structures/">';
			$html.=  'Sur cette page vous g&eacute;rez les mises en page du site (PageLayouts et gestion des zones).';
			$html.=  '</a>';
			$html.=  '</p>';

			$this->fields['head'] = 'Page de configuration des Structures';
			$this->fields['description'] = '';
			$this->fields['body'] = $html;
			$this->fields['foot'] = '';

		}



		public function zw3bModConfigStructuresAppIndex() {
			
			$this->fields['head'] = 'Configurer les structures du site';
			$this->fields['description'] = '';
			$this->fields['body'] = "<p>Vous devez etre authentifiez</p>";				
			$this->fields['foot'] = '';
			
			if($this->usr->auth() == true
				and 
				(
					$this->usr->root() == true	
					or $this->usr->admin() == true	
					or $this->usr->moderator() == true		
				)
			) {
								
				$html = '<p>';
				$html.= '<a href="'.$this->config['apps']['conf']['url'].'config/structures/">';
				$html.= 'Sur cette page vous configurez les structures (pagelayout) du site.';
				$html.= '</a>';
				$html.= '</p>';
	
				$html.= '<h4>Ajouter un bloc</h4>';
				
				$html.= '<p>';
				// get_class_methods('myclass');
				$html.= '</p>';
				
				$html.= '<select id="config_methode" name="bloc[0][method]" size="1" style="width:40%">';
				
				$html.= '<optgroup label="Structure">';
				$methods = get_class_methods(new zw3bModStructures());
				foreach($methods as $methode) {
					if(strstr($methode,'zw3b'))
					$html.= '<option label="'.$methode.'">'.$methode.'</option>';
				}
				$html.= '</optgroup>';
				
				$html.= '<optgroup label="Tree">';
				$methods = get_class_methods(new zw3bModTree());
				foreach($methods as $methode) {
					if(strstr($methode,'zw3b'))
					$html.= '<option label="'.$methode.'">'.$methode.'</option>';
				}
				$html.= '</optgroup>';
				
				$html.= '<optgroup label="User">';
				$methods = get_class_methods(new zw3bModUsr());
				foreach($methods as $methode) {
					if(strstr($methode,'zw3b'))
					$html.= '<option label="'.$methode.'">'.$methode.'</option>';
				}
				$html.= '</optgroup>';
				
				$html.= '<optgroup label="Contents">';
				$methods = get_class_methods(new zw3bModContents());
				foreach($methods as $methode) {
					if(strstr($methode,'zw3b'))
					$html.= '<option label="'.$methode.'">'.$methode.'</option>';
				}
				$html.= '</optgroup>';
								
				$html.= '</select>';

				
				$html.= '<select id="config_tpl" name="bloc[0][tpl]" size="1" style="width:40%">';
				
				$html.= '<optgroup label="Structure">';
				$templates = self::get_tpl($this->config['host']['documentroot'].'sys/modules/structures/tpl');
				foreach($templates as $tpl) {
					//if(strstr($methode,'zw3b'))
					$html.= '<option label="'.$tpl.'">'.$tpl.'</option>';
				}				
				$html.= '</optgroup>';
				
				$html.= '<optgroup label="Tree">';
				$templates = self::get_tpl($this->config['host']['documentroot'].'sys/modules/tree/tpl');
				foreach($templates as $tpl) {
					//if(strstr($methode,'zw3b'))
					$html.= '<option label="'.$tpl.'">'.$tpl.'</option>';
				}
				$html.= '</optgroup>';

				$html.= '<optgroup label="User">';
				$templates = self::get_tpl($this->config['host']['documentroot'].'sys/modules/usr/default/tpl');
				foreach($templates as $tpl) {
					//if(strstr($methode,'zw3b'))
					$html.= '<option label="'.$tpl.'">'.$tpl.'</option>';
				}
				$html.= '</optgroup>';
				
				$html.= '<optgroup label="Contents">';
				$templates = self::get_tpl($this->config['host']['documentroot'].'sys/modules/contents/default/tpl');
				foreach($templates as $tpl) {
					//if(strstr($methode,'zw3b'))
					$html.= '<option label="'.$tpl.'">'.$tpl.'</option>';
				}
				$html.= '</optgroup>';
								
				$html.= '</select>';
								
				$html.= '';
				
				$this->fields['description'] = '';
				$this->fields['body'] = $html;
				$this->fields['foot'] = '';
			}
			
			return $this->fields;
		}
		
		public function get_tpl($from = null) {
			
				$zwSkinsDirectory = ($from == null) ? $this->config['host']['documentroot'].'sys/modules/tree/tpl' : $from;
			    
			    if(!is_dir($from))
			        return false;
			    
			    $files = array();
			    $i = 0;
			    if( $dh = opendir($from))
			    {
			        while( false !== ($file = readdir($dh)))
			        {			        	
			            // Skip '.' and '..'
			            if( $file == '.' || $file == '..')
			                continue;
			            
			            $i++;
			            $path = $from . '' . $file;
			            /*if( is_dir($path) )
			                $files += self::get_skins($path);
			            else*/
			                //$files[$i]['name'] = $file;
			                //$files[$i]['imgs'] = $file.".png";
			                //$files[$i]['path'] = $path;
			                
			                $files[$i] = $file;
			        }
			        closedir($dh);
			    }
			    return $files;
		}


		public function header() {

			//echo " FIL ".$this->info['page']['filarianne'];
			//$this->info['page']['filarianne'] = $this->info['infos']['name'];
			//-----------------------------------------
			$affUrl = (isset($this->info['url']['redirect'])) ? $this->info['url']['redirect'] : $this->info['url'];
			$affUrl = (empty($this->info['url']['redirect']) && !empty($this->info['page']['uri']) ) ? $this->info['page']['dir'] : $affUrl;
			//$affUrl = null;
			if($this->config['host']['title'] == $this->info['infos']['name'])
				$this->header = '<h1 onclick="document.location.href=\'/\';">'.$this->info['infos']['name'].'</h1>';
			else
				//$this->header = '<h1 onclick="document.location.href=\'/\';"><a href="'.$this->info['url']['root'].substr($affUrl,1, strlen($affUrl)).'">'.$this->info['name'].'</a> <span class="hidden">-</span> <a class="hidden" href="'.$this->info['url']['root'].'">'.$this->config['name'].'</a></h1>';
				$this->header = '<h1>'.str_replace('<a href="'.$this->info['hote'].'" class="filarianne">'.$this->config['host']['title'].'</a> - ', '', $this->info['page']['filarianne']).'</h1>';

			//-----------------------------------------
			$this->fields['header'] = $this->header;
		}


		public function accroche() {
			//echo "<pre>".print_r($this->info,1)."</pre>";
			//-----------------------------------------
			$affUrl = (isset($this->info['url']['redirect'])) ? $this->info['url']['redirect'] : $this->info['url'];
			$affUrl = (empty($this->info['url']['redirect']) && !empty($this->info['page']['uri']) ) ? $this->info['page']['dir'] : $affUrl;
			//$affUrl = null;
			//echo $this->config['desc'];

			if(isset($this->config['metas']['description'])  && $this->config['metas']['description'] != '' && $this->config['metas']['description'] == $this->info['infos']['description'])
				$this->accroche = '<p class="description">'.$this->info['infos']['description'].'</p>';
			else {
				if($this->info['infos']['id'] == "1" && $this->info['file'][0] == "index")
					$this->accroche = '<p class="description">'.$this->info['infos']['description'].'</p>';
				else if ($this->info['infos']['id'] != "1" && $this->info['file'][0] == "index")
					$this->accroche = '<p class="description">'.(strlen($this->info['infos']['description']) >= "85") ? substr($this->info['infos']['description'], 0, 85).'...' : $this->info['infos']['description'].'</p>';
				else
					$this->accroche = '<p class="description">'.(strlen($this->info['infos']['description']) >= "85") ? substr($this->info['infos']['description'], 0, 85).'...' : $this->info['infos']['description'].'</p>';

			}
			//-----------------------------------------
			$this->fields['accroche'] = $this->accroche;
		}

		public function stats() {
			//-----------------------------------------
			//include "sys/modules/config/structures/tpl/master.bloc.php";

			//echo "\t\t\t\t".'<div class="stats-img">'."\n";

			$load = self::zwTools()->loadaverage_array();

			//echo loadaverage_print($load[0], 1);
			//echo loadaverage_print($load[1], 5);
			//echo loadaverage_print($load[2], 15);

			//echo "\t\t\t\t".'</div>'."\n";

			//-----------------------------------------
			//$this->fields['stats'] = '0.25 0.12 0.11';
			$this->fields['stats'] = self::zwTools()->loadaverage_print($load[0], 1);
			$this->fields['stats'].= self::zwTools()->loadaverage_print($load[1], 5);
			$this->fields['stats'].= self::zwTools()->loadaverage_print($load[2], 15);
		}

}
?>
