<?php
######################################################################
# ZW3B.Site v5.8.2 : Web Sites Management
# --------------------------------------------------------------------
#
# Copyright (c) 2015 by LAB3W : O.Romain Jaillet-Ramey - (orj@lab3w.fr)
#
# Date Create : 2014/11/21
# Date Modify : 2015/10/21
#
# Web Site : http://www.zw3b.fr
#
# This module is to manage ---------------------------- :: Descripton
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

class zw3bModContentsDocs extends zw3bModContents {
	
		
		function __construct($config, $info) {
			$this->config = $config;
			$this->info = $info;
		}


		/*
		 * POUR UN CONTENT
		 */
		public function get_content($id_content, $id_tree = null) {

			$content = null;
/*			$content = self::content_db_req(2, $id_content);
*/
			$id_tree = (isset($id_tree) && !empty($id_tree) && $id_tree != 0) ? $id_tree : $this->info['infos']['id'];

			$this->bdd  = $this->zwDb();

			//$with_status = ($this->usr->auth() == true) ? false : true;
			$with_status = false;
			
			$status = 1; 
			$req_status = ($with_status == true) ? " AND jc.content_right = ".$status."" : '';
			
			$requete = "SELECT jc.*, c.*, jt.*, t.*, m.* FROM zw_contents jc, zw_contents_docs c, zw_tree jt, zw_tree_language t, zw_modules m WHERE jc.content_id_tree = jt.tree_id AND jt.tree_id = ".$id_tree." AND jt.tree_id = t.tree_id AND jc.content_id_join = c.content_id AND jc.content_id_type = 12 AND jc.content_id_type = m.module_id AND c.content_id = ".$id_content." ".$req_status." ORDER BY jc.content_date_mod DESC";
			$exereq = $this->bdd->query($requete, $this->connexion);
			$result = $this->bdd->fetch_array($exereq);
			
			$content = $result[0];	
						
			if(isset($content)) {
				return $content;
			} else
				return array();
		}

		protected function zw3bModContentsDocsGet($id_content) {

			$content = null;

			$this->bdd  = $this->zwDb();

			//$with_status = ($this->usr->auth() == true) ? false : true;
			$with_status = false;
			
			$status = 1;
			$req_status = ($with_status == true) ? " AND jc.content_right = ".$status."" : '';
			
			$requete = "SELECT jc.*, c.*, jt.*, t.* FROM zw_contents jc, zw_contents_docs c, zw_tree jt, zw_tree_language t WHERE jc.content_id_tree = jt.tree_id AND jt.tree_id = t.tree_id AND jc.content_id_join = c.content_id AND jc.content_id_type = 12 AND c.content_id = ".$id_content." ".$req_status." ORDER BY jc.content_date_mod DESC";
			$exereq = $this->bdd->query($requete, $this->connexion);
			$result = $this->bdd->fetch_array($exereq);
			
			$content = $result[0];	
						
			if(isset($content)) {
				return $content;
			} else
				return array();
		}		

		public function zw3bModContentsDocsSearch($uri, $tree_id = null) {

			$content = null;

			$this->bdd  = $this->zwDb();

			//$with_status = ($this->usr->auth() == true) ? false : true;
			$with_status = false;
			
			$status = 1;
			$req_status = ($with_status == true) ? " AND jc.content_right = ".$status."" : '';
			
			$requete = "SELECT jc.*, c.*, jt.*, t.* FROM zw_contents jc, zw_contents_docs c, zw_tree jt, zw_tree_language t WHERE jc.content_id_tree = jt.tree_id AND jt.tree_id = t.tree_id AND jc.content_id_join = c.content_id AND jc.content_id_type = 12 AND c.content_uri = \"".$uri."\" ".$req_status." ORDER BY jc.content_date_mod DESC";
			$exereq = $this->bdd->query($requete, $this->connexion);
			$result = $this->bdd->fetch_array($exereq);
			
			$content = $result[0];	
						
			if(isset($content)) {
				return $content;
			} else
				return array();
		}
		
		/*
		 * POUR LES LISTES DE CONTENTS
		 */
		public function get_contents($id_tree=null,$offset=null,$limit=null) {
	
			$id_tree = (isset($id_tree) && !empty($id_tree) && $id_tree != 0) ? $id_tree : $this->info['infos']['id'];

			//echo $id_tree;
			
			$this->bdd  = $this->zwDb();
		
			//$with_status = ($this->usr->auth() == true) ? false : true;
			$with_status = false;
			$with_hp_vhost = ($this->info['infos']['id'] == 1 or $this->info['infos']['uri'] == "/") ? true : false;
			$with_hp_vhost = false;
			// temp test substr :/
			//$with_hp_site = (substr($this->info['infos']['uri'],0,2) == "//") ? true : false;
			$with_hp_site = (substr($this->info['infos']['uri'],0,2) == "//" or $this->info['infos']['uri'] == "/") ? true : false;
			//$with_hp_site = ($this->info['infos']['page']['zw3bsite'] == "//") ? true : false;
			//$with_hp_site = false;
			
			$req_status = ($with_status == true) ? " AND jc.content_right = 1" : '';
			//$req_status = ($this->usr->root() == true or $this->usr->admin() == true or $this->usr->moderator() == true) ? '' : $req_status;

			$req_vhost = ($with_hp_vhost == true) ? " OR jc.content_hp_vhost = 1" : '';
			$req_site = ($with_hp_site == true) ? " OR jc.content_hp_site = 1" : '';
			
			$requete = $this->bdd->query("SELECT jc.*, c.content_title, c.content_uri, c.content_desc, c.content_img, jt.*, t.*, m.* FROM zw_contents jc, zw_contents_docs c, zw_tree jt, zw_tree_language t, zw_modules m WHERE jc.content_id_tree = jt.tree_id AND jt.tree_id = t.tree_id AND jc.content_id_join = c.content_id AND jc.content_id_type = 12 AND jc.content_id_type = m.module_id ".$req_status." AND (jt.tree_id = ".$id_tree." ".$req_vhost." ".$req_site.") ORDER BY jc.content_date_mod DESC", $this->connexion);

			$result = $this->bdd->fetch_array($requete);
			$contents = $result;			


			if(isset($contents)) {
			foreach($contents as $key => $content) {
				
				// par default
				$contents[$key] = $content;
				
				//on creait lurl
				//if($content['tree_parent'] != 0) 
				{
					
					/*
					$rub_req = "SELECT t.*, l.* FROM zw_tree AS t, zw_tree_language AS l WHERE t.tree_id = l.tree_id AND t.tree_id = ".$content['tree_parent']."";
					$rub_req = $this->bdd->query($rub_req, $this->connexion);
					while($rub = $this->bdd->fetch_object($rub_req)) {
					
						if($rub->tree_parent == 0) $wrt = $this->zwTools()->protocole(substr($rub->tree_uri,2,strlen($rub->tree_uri)));
						else {
							
							$wrt = $rub->tree_uri;
						}
						
						$contents[$key]['content_url'] = "".$wrt."/".$content['tree_uri']."/".$content['content_uri'];
					}
					*/
					$rubrique = $this->zwModTree()->get_tree_reverse($content['tree_id']);
					$contents[$key]['content_url'] = (@$_SERVER['HTTPS'] == 'on') ? substr($this->zwTools()->protocole(substr($rubrique['url'],2,strlen($rubrique['url'])))."".$content['content_uri'], 6, strlen($this->zwTools()->protocole(substr($rubrique['url'],2,strlen($rubrique['url'])))."".$content['content_uri'])) : substr($this->zwTools()->protocole(substr($rubrique['url'],2,strlen($rubrique['url'])))."".$content['content_uri'], 5, strlen($this->zwTools()->protocole(substr($rubrique['url'],2,strlen($rubrique['url'])))."".$content['content_uri']));
					$contents[$key]['tree_url'] = $this->zwTools()->protocole(substr($rubrique['url'],2,strlen($rubrique['url'])));
					$contents[$key]['tree_filariane'] = $rubrique['filariane'];
					$contents[$key]['tree_contact'] = $rubrique['contact'];

					//$contents[$key]['tree_filariane'] = preg_replace('/<(a|A) href="(.*?)"(.*?)>(.*?)<\/(a|A)>/e', "'\\4'", $this->info['page']['filarianne']);

				}	
				//else {
				//	$contents[$key]['content_url'] = $this->zwTools()->protocole(substr($content['tree_uri'],2,strlen($content['tree_uri'])))."/".$content['content_uri'];
				//}
			}
			}


			if(isset($contents)) {
				return $contents;
			} else
				return array();

		}	

		/*
		 * POUR LES CONTENTS DE LARBO ET DES ENFANTS
		 
		public function get_contents_global($id_rub) {
			
		}	
		*/
		
		protected function zw3bModContentsDocsTemplateList($content) {
			$c = 1;
			$i = 0;

			// auth
			if( 
				($content['content_right'] == 1)
				or (
					$this->usr->auth()
					and(
						$this->usr->root() == true
						or $this->usr->admin() == true
						or $this->usr->moderator() == true
					)
				)
			) {	
			
			if( strstr($content['content_url'], $this->info['page']['zw3bsite']) 
				or (
					$content['content_hp_vhost'] == 1 and $this->info['infos']['id'] == 1
				)
			)
			{
						
			$this->usr = new zw3bModUsr();
			$arguments['id_user'] = $content['content_id_usr'];
			$user_content = $this->usr->get_user($arguments);

            $usr_blog = ($user_content['usr_pseudo'] == "ZW3B" ? $this->zwTools()->protocole(str_replace('.', '-', strToLower("www")).'.zw3b.fr') : $this->zwTools()->protocole(str_replace('.', '-', strToLower($user_content['usr_pseudo'])).'.zw3b.fr'));	

			$nbr2_comment = 0;
            //$nbr2_comment = $comment->SQLgetNbComments($items[$i]['id_module'], $items[$i]['id']);

			$arguments['id_mod'] = $content['content_id_type'];
			$arguments['id_content'] = $content['content_id_join'];
			$comments = new zw3bModComments($this->config, $this->info);
            $nbr2_comment = $comments->get_nb_comments($arguments);
            
            $class = ($content['content_right'] == 0) ? "close" : null;
            $class = ($content['content_right'] == 8) ? "membre" : $class;
            			            			
			//$content['content_url'] = $this->info['url']."".$content['content_uri'];
			
			$parse = explode("/", $content['content_url']);
			//echo '<pre>'.print_r($this->info, 1).'</pre>';
			$count = count($parse);
			
				$body = "";
				//$body = '<pre>'.print_r($user_content, 1).'</pre>';
				$body.= '<div class="item docs ct'.$content['content_id_type'].' '.$class.'" id="itm_'.$content['content_id_type'].'_'.$content['content_id'].'">';

					$body.= '<div class="user">';
					$body.= '<div class="avatar">';
					
                 if( file_exists($this->config['host']['documentroot'].''.$this->zwTools()->getpathFromSTRING($user_content['usr_pseudo'], 'var/usr/').'/photos/'.$user_content['usr_avatar']) )
                    $body.= "\t\t\t\t\t".'<img src="'.$this->zwTools()->getpathFromSTRING($user_content['usr_pseudo'], '/var/usr/').'/photos/'.$user_content['usr_avatar'].'" alt="'.$user_content['usr_pseudo'].'" style="width:50px; height:50px;"/>'."\n";
                 else
                    $body.= "\t\t\t\t\t".'<img src="/var/usr/avatar.png" alt="avatar" />'."\n";
                 
                    $body.= '</div>';
					$body.= '</div>';

					$body.= '<div class="bulle">';

						$body.= '<div class="bulle_header"></div>';
						$body.= '<div class="bulle_corps file16x16 list docs">';
							$body.= '<span class="bulle_date file16x16 ';
							if($count>1):
							$body.= ''.str_replace(".zw3b.fr",'',$parse[1]).' ';
							if($count>2)
							$body.= ''.str_replace(".zw3b.fr",'',$parse[2]).' ';
							if($count>3)
							$body.= ''.str_replace(".zw3b.fr",'',$parse[3]).' ';
							if($count>4)
							$body.= ''.str_replace(".zw3b.fr",'',$parse[4]).' ';
							endif;
							$body.= '" style="">';
							//$body.= '<span class="date">il y a bientt 5 mois, le 31/08/13  19h10<span style="display:none;"> (2013/08/31 19:10)</span></span>';

                        if($content['content_date_pub'] != '0000-00-00 00:00:00' && $this->zwTools()->mk_time($content['content_date_pub']) == $this->zwTools()->mk_time($content['content_date_mod']) )
                            $body.= ''.$this->zwTools()->date_powa($content['content_date_pub']);
                        elseif($content['content_date_pub'] != '0000-00-00 00:00:00' && $this->zwTools()->mk_time($content['content_date_pub']) < $this->zwTools()->mk_time($content['content_date_mod']) )
                            $body.= ''.$this->zwTools()->date_powa($content['content_date_mod']);
                        else $body.= ''.$this->zwTools()->date_powa($content['content_date_pub']);

							$body.= '</span>';
							$body.= '<div class="del orj-245"></div>';
							$body.= '<span class="bulle_auth">';
							$body.= '<a style="border:none;" href="'.$usr_blog.'" title="Voir le profil de '.$user_content['usr_pseudo'].'">'.$user_content['usr_pseudo'].'</a>';

                            if($content['content_date_pub'] != '0000-00-00 00:00:00' && $this->zwTools()->mk_time($content['content_date_pub']) == $this->zwTools()->mk_time($content['content_date_mod']) )
                                $body.= ' a publi&eacute; ';
                            elseif($content['content_date_pub'] != '0000-00-00 00:00:00' && $this->zwTools()->mk_time($content['content_date_pub']) < $this->zwTools()->mk_time($content['content_date_mod']) )
                                $body.= ' a modifi&eacute; ';
                            else $body.= ' a publi&eacute; ';

                            if($content['content_id_type'] == '12')
                              $type_content = ' la doc ';
/*                            if($content['content_id_type'] == '12')
                              $type_content = ' l\'article ';
                            if($content['content_id_type'] == '13')
                              $type_content = ' le sondage ';                              
                            if($content['content_id_type'] == '14')
                              $type_content = ' le lien web ';
                            if($content['content_id_type'] == '15')
                              $type_content = ' la galerie d\'images ';
                            //if($content['content_id_type'] == '16')
                            //  $type_content = ' la galerie vid&eacute;os ';
*/
							$body.= ' '.$type_content.' ';

							$body.= '</span>';
							$body.= '<h3><a href="'.$content['content_url'].'" style="border:none;">'.($content['content_title']).'</a></h3>';

							// hack :/
							//$site->page['out']['id'] = $this->info['id'];
							//$content['tree_id'] = $content['content_tree_id'];
							// hack :/

                            if( !empty($content['content_id_tree']) && $content['content_id_tree'] != $this->info['infos']['id'] && $content['content_date_pub'] != '0000-00-00 00:00:00' && $this->zwTools()->mk_time($content['content_date_pub']) == $this->zwTools()->mk_time($content['content_date_mod']))
                            	$body.= '<span class="bulle_rub"> &agrave; la rubrique ';
                            elseif( !empty($content['content_id_tree']) && $content['content_id_tree'] != $this->info['infos']['id'] && $content['content_date_pub'] != '0000-00-00 00:00:00' && $this->zwTools()->mk_time($content['content_date_pub']) < $this->zwTools()->mk_time($content['content_date_mod']))
                            	$body.= '<span class="bulle_rub"> de la rubrique ';
                            else
                                $body.= '<span class="bulle_rub"> de cette rubrique';

                            if( !empty($content['content_id_tree']) && $content['content_id_tree'] != $this->info['infos']['id'])
								$body.= ''.$content['tree_filariane'].'';

                            $body.= '.';


							$body.= '</span>';

                            $body.= "\t\t\t\t\t".'<span class="bulle_texte">'."\n";
                            //$body.= "<pre>".print_r($user ,1)."</pre>";
							$hauteur = null; $height = null;
							$largeur = null; $width = null;
                            if( $content['content_id_type'] == 12 ) 
                            {
                                if( !empty($content['content_img']) 
                                	&& file_exists($this->config['host']['documentroot'].'var/contents/docs/'.$content['content_id_join'].'/'.$content['content_img']) 
                                ) 
                                {

                                    list($width, $height, $type, $attr) = @getimagesize('./var/contents/docs/'.$content['content_id_join'].'/'.$content['content_img']);
									
									//echo $width."x".$height." ";
                                    if($width >= $height) {
                                        $largeur = 130;
                                        $res = round($width / $largeur);
                                        $hauteur = round($height / $res);
                                    }
                                    if($width <= $height) {
                                        $largeur = 130;
                                        $res = round($width / $largeur);
                                        $hauteur = round($height / $res);
                                    }
                                    //if(!isset($largeur)) $largeur = 132;
                                    //if(!isset($hauteur)) $hauteur = 92; 

                             		//$body.= "<pre>".print_r($this->config['host']['documentroot'].'var/contents//'.$content['content_id_join'].'/imgs/'.$content['content_img'] ,1)."</pre>";
                                    //$body.= "\t\t\t\t\t".'<img src="/resize.php?src=/var/images/'.$content['content_img'].'&amp;w='.$largeur.'&amp;h='.$hauteur.'&amp;zc=1" alt="'.htmlentities($content['content_title']).'" />'."\n";
                                    //$body.= "\t\t\t\t\t".'<img src="/var/contents//'.$content['content_id_join'].'/imgs/'.$content['content_img'].'" style="width:'.$largeur.'px; height:'.$hauteur.'px;" alt="'.htmlentities($content['content_title']).'" />'."\n";
                                     $body.= "\t\t\t\t\t".'<a class="img" href="'.$content['content_url'].'"><img src="/var/contents/docs/'.$content['content_id_join'].'/'.$content['content_img'].'" alt="'.htmlentities($content['content_title']).'" /></a>'."\n";
                                }
                                $body.= "\t\t\t\t\t\t"./*nl2br*/(strlen($content['content_desc']) <= 180 ? $content['content_desc'] : trim(substr($content['content_desc'], 0, 180))."...")."\n";
                            }




                            $body.= "\t\t\t\t\t".'</span>'."\n";

                        //echo "\t\t\t\t".'</p>'."\n";
                        //echo "\t\t\t\t\t".'<span class="bulle_date">'.(date_powa($items[$i]['date_pub'])).'</span>'."\n";
                    $body.= "\t\t\t\t".'</div>'."\n";

						$body.= '<div class="bulle_footer" style="">';
//
						$body.= '<ul id="action-'.$content['content_id_type'].'-'.$content['content_id'].'" class="action">'."\n";

                            $likeMe[$i] = $this->usr->basetype()->getLike($content['content_id_type'], $content['content_id']);
                            $countLike[$i] = $this->usr->basetype()->countLike($content['content_id_type'], $content['content_id']);

                            //echo '<li><a class="action-nolike" href="">J\'n\'aime pas</a></li>';
                            //if( $countLike[$i] >=1 || $this->usr->session_check() )
                            //if( $countLike[$i] >=1 || $this->usr->auth() )
/*                            if( $countLike[$i] >=1
                             || $this->usr->session()->auth() == true
                            )
*/                            {
                                $body.= '<li class="action-like">';
                                $body.= '<span>';
                                  if($countLike[$i] >=1)
                                    $body.= ($countLike[$i] > 1 ) ? ''.$countLike[$i].' personnes' : ''.$countLike[$i].' personne';
                                $body.= '</span>';
                                  if($this->usr->session()->auth() == true)
                                    $body.= ($likeMe[$i] == true) ? '<a href="#/unlike" class="unlike" title="Je n\'aime plus &ccedil;&agrave;">Je n\'aime plus</a>' : '<a href="#/like" class="like" title="J\'aime &ccedil;&agrave;">J\'aime</a>';
                                  	if($this->usr->session()->auth() == false)
                                    $body.= '<a href="#/like" class="like" title="J\'aime &ccedil;&agrave;">J\'aime</a>';

                                $body.= '</li>';
                            }
                            //if(in_array($this->server['HTTP_X_FORWARDED_FOR'], $this->debug['REMOTE_ADDR']) )
                            {

                                 $body.= '<li class="action-comment"><a href="'.str_replace('protocole://www.zw3b.fr/', '', $content['content_url']).'#comments-add">';
                                 if($nbr2_comment >= 1)
                                 $body.= ($nbr2_comment <= 1) ? $nbr2_comment.' r&eacute;action' : $nbr2_comment.' r&eacute;actions';
                                 if($nbr2_comment == 0)
                                 $body.= 'Soyez le 1er &agrave; r&eacute;agir !';
                                 $body.= '</a></li>';

                            }
                            //$body.= '<li class="action-abuse"><a href="">Signaler un abus</a></li>';

                        $body.= '</ul>'."\n";

//
/*
                        $body.= '<ul class="share">'."\n";

                            $body.= '<li class="share-txt">Partager sur : </li>'."\n";
                            $body.= '<li class="share-fb" onclick="window.open(\'http://www.facebook.com/sharer.php?u='.$content['content_url'].'\', \'_blank\', \'scrollbars=yes,menubar=no,border=0,height=600,width=750,resizable=yes,toolbar=no,location=no,status=no\'); return false;" title="Partager sur Facebook"><a href="#/fb">Facebook</a></li>'."\n";
                            $body.= '<li class="share-twitter"><a title="Partager sur Twitter" style="display:block; text-indent:0; height:20px; width:20px;" href="http://twitter.com/home?status='.$this->zwTools()->string_encode(urlencode($content['content_title'])).' >> '.$content['content_url'].'" onclick="javascript:pageTracker._trackPageview (\'/outbound/twitter.com\');"></a></li>'."\n";
//                            $body.= '<li class="share-google-buzz" onclick="window.open(\'https://www.google.com/reader/link?url='.urlencode($content['content_url']).'&amp;title='.$this->zwTools()->string_encode(urlencode($content['content_title'])).'&amp;srcURL='.$content['content_url'].'\', \'_blank\', \'scrollbars=yes,menubar=no,border=0,height=600,width=750,resizable=yes,toolbar=no,location=no,status=no\'); return false;" title="Partager sur Google Buzz"><a href="#/gbuzz">Google Buzz</a></li>'."\n";

                        $body.= '</ul>'."\n";
*/
						//$content['content_url'] = substr($this->info['hote'],0,-1).$content['content_url'];
		
						$page['url'] = $content['content_url'];
						$page['title'] = $content['content_title'];
						$body.= $this->zwTools()->share($page);


						$body.= '</div>';

					$body.= '</div>';

					//$body.= '<h4>'.$content['title'].'</h4>';
					//$body.= '<p>'.$content['description'].'</p>';


				$body.= '</div>';
				
		
			
			
			//$this->zwViews()->assign['content'] = $body;
			
			return $body;
			
			}
			
			} //auth
		}	




		protected function zw3bModContentsDocsAppIndex($content) {
			
			$head = "";
			$head.= "<h3 class=\"file-32x32 docs\"><a href=\"".$this->config['apps']['conf']['url']."/contents/docs/\">Gestion des Docs</a></h3>";

			
			$body = '<p>'."\n";
			$body.= ''."\n";
			$body.= '<br>Cette page permet d\'administrer les contenus de type docs.<br><br>Cliquer sur "ajouter" ou "lister les docs" apr&egrave;s avoir s&eacute;lectionner une rubrique dans le menu.<br><br>'."\n";
			$body.= '</p>'."\n";
			
			$body.= '<ul class="contents opts">';
			$body.= '<li><a href="'.$this->config['apps']['conf']['url'].'/contents/docs/add/">Ajouter une doc</a></li>';
			$body.= '<li><a href="'.$this->config['apps']['conf']['url'].'/contents/docs/lst/">Lister les docs</a></li>';
			$body.= "</ul>";	
						
			$this->fields['body'] = $body; 
			
			return $this->fields;
		}


		protected function zw3bModContentsDocsAppMod($content) {

			if($this->usr->auth() == true 
				and (
					$this->usr->root() == true
					or $this->usr->admin() == true
					or $this->usr->moderator() == true
				)
				or (
					$this->usr->uid() == $content['content_id_usr']
				) 
			):
			
			$content = parent::zw3bModContentsGet($this->info['file'][0]);
			
			//$content['content_text'] = "<pre>".print_r($content,1)."</pre>"; exit;

			$this->fields['folder_url'] = $this->info['page']['arguments']['url']; 
			
			$this->fields['content_id'] = $content['content_id']; 	
			$this->fields['content_tree_select'] = $this->zwModTree()->zw3bModTreeAppSelectLst($content['content_id_tree']);
			$this->fields['content_uri'] = $content['content_uri']; 		
			$this->fields['content_url'] = "/".$this->fields['folder_url'];
			$this->fields['content_id_rub'] = $content['content_id_tree']; 
			$this->fields['content_title'] = ($content['content_title']); 
			$this->fields['content_description'] = ($content['content_desc']); 
			$this->fields['content_photo'] = (!empty($content['content_img'])) ? '<img src="/var/contents/docs/'.$content['content_id_join'].'/'.$content['content_img'].'" alt="" class="content sma!!" />' : ''; 
			//$this->fields['content_photo_infos'] = (!empty($content['content_img'])) ? filestats('/var/contents/docs/'.$content['content_id_join'].'/'.$content['content_img'].'') : ''; 
			$this->fields['content_photo_infos'] =  '';
			$this->fields['content_text'] = $content['content_text']; 
			$this->fields['content_datetime_add'] = $this->zwTools()->form_select_date_array("content[date][add]", $content['content_date_add'] ); 
			$this->fields['content_datetime_mod'] = $this->zwTools()->form_select_date_array("content[date][mod]", ($content['content_date_mod'] != "0000-00-00 00:00:00") ? $content['content_date_mod'] : $this->zwTools()->now() ); 			
			$this->fields['content_datetime_pub'] = $this->zwTools()->form_select_date_array("content[date][pub]", $content['content_date_pub'] );
			$this->fields['content_datetime_end'] = $this->zwTools()->form_select_date_array("content[date][end]", $content['content_date_end'] ); 		
			$this->fields['content_right'] = '<select name="content[right]">' .
						  					 '<option value="1" '.(($content['content_right'] == 1) ? 'selected="selected"' : '').'>Internautes : Visible de tous</option>' .
						  					 '<option value="8" '.(($content['content_right'] == 8) ? 'selected="selected"' : '').'>Membres : Visible de tous les membres</option>' .
						  					 '<option value="0" '.(($content['content_right'] == 0) ? 'selected="selected"' : '').'>Admins : Visible des admins</option>' .
											 '</select>'; 
			//$this->fields['content_right_grp'] = '<input type="checkbox" name="content[right_grp]" '.(($content['content_right_grp'] == 1) ? 'checked="selected"' : '').'/>'; 
			$this->fields['content_hp_une'] = '<input type="checkbox" name="content[hp_une]" '.(($content['content_hp_une'] == 1) ? 'checked="selected"' : '').'/>'; 
			$this->fields['content_hp_vhost'] = '<input type="checkbox" name="content[hp_vhost]" '.(($content['content_hp_vhost'] == 1) ? 'checked="selected"' : '').'/>'; 
			$this->fields['content_hp_site'] = '<input type="checkbox" name="content[hp_site]" '.(($content['content_hp_site'] == 1) ? 'checked="selected"' : '').'/>'; 
			$this->fields['content_author_visible'] = '<input type="checkbox" name="content[author_visible]" '.(($content['content_author_visible'] == 1) ? 'checked="selected"' : '').'/>'; 
			$this->fields['content_comments_active'] = '<input type="checkbox" name="content[comments][active]" '.(($content['content_comments_active'] == 1) ? 'checked="selected"' : '').'/>'; 
			$this->fields['content_comments_anonym_active'] = '<input type="checkbox" name="content[comments][anonym_active]" '.(($content['content_comments_anonym_active'] == 1) ? 'checked="selected"' : '').'/>'; 

			// --------- AUTHOR ------------------------------------
			$html_author = '<select name="content[usr_id]"class="liz">';
			$arguments['where'] = "u.usr_date_validation != '0000-00-00 00:00:00'";
			$arguments['by'] = "u.usr_pseudo";
			$arguments['order'] = "ASC";
			
			$usrs = $this->usr->get_users($arguments);
			foreach($usrs as $usr):
				$html_author.= '<option value="'.$usr['usr_id'].'" '.($usr['usr_id'] == $content['content_id_usr'] ? 'selected="selected"' : '').'>'.$usr['usr_pseudo'].' - '.$this->zwTools()->encode_link_mail($usr['usr_email']).'</option>';
			endforeach;
			$html_author.= '</select>';
											 
			$this->fields['content_author'] = $html_author; 
			// --------- AUTHOR ------------------------------------
							
			return $this->fields;		
			
			endif;
		}


		protected function zw3bModContentsDocsAppAdd($content) {
			
			$this->fields['folder_url'] = "".$this->info['page']['arguments']['url']; 
			
			$this->fields['content_title'] = ""; 
			$this->fields['content_description'] = ""; 
			$this->fields['content_photo'] = ""; 
			$this->fields['content_text'] = ""; 
			$this->fields['content_datetime_pub'] = $this->zwTools()->form_select_date_array("content[date][pub]", $this->zwTools()->now() ); 
			$this->fields['content_datetime_end'] = $this->zwTools()->form_select_date_array("content[date][end]", $this->zwTools()->now() );
			//$this->fields['content_datetime_mod'] = $this->zwTools()->form_select_date_array("content[date][mod]", $this->zwTools()->now() ); 
			$this->fields['content_right'] = '<select name="content[right]">' .
						  					 '<option value="1">Internautes : Visible de tous</option>' .
						  					 '<option value="8">Membres : Visible de tous les membres</option>' .
						  					 '<option value="0" selected="selected">Admins : Visible des admins</option>' .
											 '</select>';
			//$this->fields['content_right_grp'] = '<input type="checkbox" name="content[right_grp]" />'; 
			$this->fields['content_hp_une'] = '<input type="checkbox" name="content[hp_une]" />'; 
			$this->fields['content_hp_vhost'] = '<input type="checkbox" name="content[hp_vhost]" />'; 
			$this->fields['content_hp_site'] = '<input type="checkbox" name="content[hp_site]"  />'; 
			$this->fields['content_author_visible'] = '<input type="checkbox" name="content[author_visible]" />'; 
			$this->fields['content_comments_active'] = '<input type="checkbox" name="content[comments][active]" />'; 
			$this->fields['content_comments_anonym_active'] = '<input type="checkbox" name="content[comments][anonym_active]" />'; 
			
			
			return $this->fields;				
			
		}	


		protected function zw3bModContentsDocsAppLst($content) {
			
			$body = "";
			$url4list = $this->info['page']['arguments']['url'];
			$infos4list = $this->zwTree()->getInfos($url4list);
			
			//$body = "<pre>".print_r($infos4list,1)."</pre>";	
			$tree_id = (isset($infos4list['id']) && !empty($infos4list['id'])) ? $infos4list['id'] : "1";
			
			$contents = self::get_contents($tree_id,$offset=null,$limit=null);
			
			//$body = "<pre>".print_r($contents,1)."</pre>";	
			//exit;
			
			
			foreach($contents as $clef => $content) {
			
				$class = ($clef % 2 == 0) ? "default" : "color";
				//$class = ($content['content_right'] != 1) ? "close" : $class;
				$class = ($content['content_right'] == 0) ? $class." close" : $class;
				$class = ($content['content_right'] == 8) ? $class." membre" : $class;
				
				$content['content_url'] = $this->config['apps']['conf']['url']."/contents/docs/mod";
				$content['content_url'].= $this->info['page']['arguments']['url'].$content['content_uri'];
				
				$arguments['id_user'] = $content['content_id_usr'];
				$user = $this->zwUsr()->get_user($arguments);
				
				
				$body.= '<div class="items '.$class.'">'."\n";
				$body.= '<h3 class="file32x32 docs">'."\n";
				$body.= '<a href="'.$content['content_url'].'">'.$content['content_title'].'</a>'."\n";
				$body.= '</h3>'."\n";
				$body.= '<ul class="author hidden">'."\n";
				$body.= '<li>'."\n";
				$body.= 'Author : '."\n";
				$body.= ''.$user['usr_pseudo'].' - '."\n";
				$body.= ($user['usr_firstname'] == true) ? " ".$user['usr_firstname'] : "";
				$body.= ($user['usr_lastname'] == true) ? " ".$user['usr_lastname'] : "";
				//$body.= ($user['date_naiss'] == true) ? ", identifi&eacute;(e) ".$this->zwTools()->date_powa($user['date_refresh']) : "";
				$body.= '</li>'."\n";
				
				$body.= '</ul>'."\n";	
				
				$body.= '<p class="desc">'."\n";
				$body.= $content['content_desc']."\n";
				$body.= '</p>'."\n";

				$body.= '<ul class="date">'."\n";
				
				if($content['content_date_mod'] != $content['content_date_pub']) {
					$body.= '<li>'."\n";
					$body.= 'Date de modification : '.$this->zwTools()->date_powa($content['content_date_mod']).''."\n";
					$body.= '</li>'."\n";
				}
				$body.= '<li>'."\n";
				$body.= 'Date de publication : '.$this->zwTools()->date_powa($content['content_date_pub']).''."\n";
				$body.= '</li>'."\n";
				
				$body.= '</ul>'."\n";
			
				$body.= '</div>'."\n";
				$body.= ''."\n";
			
			}
			
			//$body = "<pre>".print_r($infos4list.$this->info,1)."</pre>";			
			$this->fields['body'] = $body; 
			
			return $this->fields;		
					
			
		}
		

		protected function zw3bModContentsDocsAppTemplateList($content) {

			if($this->usr->auth() == true 
				and (
					$this->usr->root() == true
					or $this->usr->admin() == true
					or $this->usr->moderator() == true
				)
				or (
					$this->usr->uid() == $content['content_id_usr']
				) 
			) {
			
			//$clef = 1;
			//$wwwadmin = substr("//admin.zw3b.fr/",1,-1);
			//$wwwadmin = substr($this->config['apps']['conf']['url'],1,-1);
			$wwwadmin = substr($this->config['apps']['conf']['url'],1, (substr($this->config['apps']['conf']['url'],-1) == "/" ? "-1": strlen($this->config['apps']['conf']['url']) ) ).'';
			
			$class = $content['get_class'];
			//$class = ($clef % 2 == 0) ? "default" : "color";
			$class = ($content['content_right'] == 0) ? $class." close" : $class;
			$class = ($content['content_right'] == 8) ? $class." membre" : $class;
											
			$this->usr = new zw3bModUsr();
			$arguments['id_user'] = $content['content_id_usr'];
			$user = $this->usr->get_user($arguments);			
			
			$content['content_url'] = $this->config['apps']['conf']['url']."/contents/docs/mod";
			$content['content_url'].= (isset($this->info['page']['arguments']['url']) && !empty($this->info['page']['arguments']['url']) ? $this->info['page']['arguments']['url'] : '/'.$this->info['page']['zw3bsite'].'/').$content['content_uri'];
			
			$parse = explode("/", $content['content_url']);
			//echo '<pre>'.print_r($this->info, 1).'</pre>';
			$count = count($parse);

			$body = '';	
/*			
			$body.= '<li class="item docs '.$content['get_class'].'" rel="li-'.$content['content_id_type'].$content['content_id'].'">';		
			$body.= '<div id="item-'.$content['content_id_type'].'-'.$content['content_id'].'">';
			$body.= '<h4><a href="/'.$wwwadmin.'/contents/docs/mod/'.$content['content_url'].'">'.$content['content_title'].'</a></h4>';	
			$body.= '</div>';	
			$body.= '</li>';	
*/
			$body.= '<div class="items docs '.$class.'">'."\n";
			$body.= '<h3 class="file32x32 docs">'."\n";
			$body.= '<a href="'.$content['content_url'].'">'.$content['content_title'].'</a>'."\n";
			$body.= '</h3>'."\n";
			$body.= '<ul class="author hidden">'."\n";
			$body.= '<li>'."\n";
			$body.= 'Author : '."\n";
			$body.= ''.$user['usr_pseudo'].' - '."\n";
			
			$body.= ($user['usr_lastname'] == true) ? " ".$user['usr_lastname'] : "";
			$body.= ($user['usr_firstname'] == true) ? " ".$user['usr_firstname'] : "";
			//$body.= ($user['date_naiss'] == true) ? ", identifi&eacute;(e) ".$this->zwTools()->date_powa($user['date_refresh']) : "";
			$body.= '</li>'."\n";
			
			$body.= '</ul>'."\n";	
			
			$body.= '<p class="desc">'."\n";
			$body.= $content['content_desc']."\n";
			$body.= '</p>'."\n";

			$body.= '<ul class="date">'."\n";
			
			if($content['content_date_mod'] != $content['content_date_pub']) {
				$body.= '<li>'."\n";
				$body.= 'Date de modification : '.$this->zwTools()->date_powa($content['content_date_mod']).''."\n";
				$body.= '</li>'."\n";
			}
			$body.= '<li>'."\n";
			$body.= 'Date de publication : '.$this->zwTools()->date_powa($content['content_date_pub']).''."\n";
			$body.= '</li>'."\n";
						
			$body.= '</ul>'."\n";
		
			$body.= '</div>'."\n";			
					
			return $body;
			
			} // auth
		}
		
		
		protected function get_detail($content) {
		
				$this->fields['foot'] = "";
												
				//----------------  Champs par default -----------------
				$this->fields['title'] = $content['content_title'];
				$this->fields['metatitle'] = $this->zwTools()->string_encode($content['content_title']).' * '.$this->info['page']['metatitle'];
				
				$this->fields['description'] = $this->zwTools()->string_encode($content['content_desc']);
				$this->fields['metadescription'] = $this->zwTools()->string_encode($content['content_desc']);
			
				$this->fields['accroche'] = ($content['content_desc']);
				
				$this->fields['photo'] = null;
				$this->fields['text'] = '<p style="color:red;">Cette documentation est actuellement ';
				$this->fields['text'].= ($content['content_right'] == 8) ? 'accessible aux membres' : ($content['content_right'] == 0 ? /*'accessible aux admins'*/'ferm&eacute;e' : 'f&eacute;m&eacute;e');
				$this->fields['text'].= '.</p>';
				$this->fields['text'].= '<p style="text-align:center;margin-top:50px;">Identifiez-vous pour voir ce contenu.<p>';
				
				$this->fields['infos'] = null;
				$this->fields['share'] = null;
				
				$this->fields['usr_fiche'] = null;
				$this->fields['usr_fiche_title'] = null;
				
				$this->fields['comments_title'] = null;
				$this->fields['comments_html'] = null;
				$this->fields['comments_formulaire_html'] = null;

				$this->fields['usr_fiche'] = null;
				$this->fields['usr_fiche_title'] = null;

				//----------------  Champs par default -----------------

				//---------------- User ON -----------------
				// author du content			
				$args['id_user'] = $content['content_id_usr'];
				$user = $this->usr->get_user($args);
				$this->fields['metaauthor'] = ($user['usr_firstname'] == true) ? $user['usr_firstname']." " : "";
				$this->fields['metaauthor'].= ($user['usr_lastname'] == true) ? $user['usr_lastname']." " : "";
				$this->fields['metaauthor'].= ($user['usr_lastname'] == true or $user['usr_firstname'] == true) ? "alias " : "";
				$this->fields['metaauthor'].= $user['usr_pseudo'];

				$this->fields['metareplyto'] = $this->zwTools()->replace_mail($user['usr_email']);

				//$this->fields['usr_fiche'] = ($content['content_author_visible'] == true) ? $this->zwUsr()->fiche_html($args) : "";
				//$this->fields['usr_fiche_title'] = ($content['content_author_visible'] == true) ? "" : "";
				//---------------- User OFF -----------------

				//---------------- Infos ON -----------------
				// info du content							
				$this->fields['date_pub'] = ($content['content_date_pub'] != "0000-00-00 00:00:00") ? '<li><span class="libelle">Publication :</span> '.$this->zwTools()->date_fr($content['content_date_pub']).'</li>' : '';
				$this->fields['date_end'] = ($content['content_date_end'] != "0000-00-00 00:00:00") ? '<li><span class="libelle">Fermeture :</span> '.$this->zwTools()->date_fr($content['content_date_end']).'</li>' : '';
				
				$this->fields['date_add'] = ($content['content_date_add'] != $content['content_date_pub'] && $content['content_date_add'] != "0000-00-00 00:00:00") ? '<li><span class="libelle">Cr&eacute;ation :</span> '.$this->zwTools()->date_fr($content['content_date_add']).'</li>' : '';
				$this->fields['date_mod'] = ($content['content_date_mod'] != $content['content_date_pub']) ? '<li><span class="libelle">Modification :</span> '.$this->zwTools()->date_fr($content['content_date_mod']).'</li>' : '';
				
				$this->fields['infos'] = '<h5 style="display:none;text-align:right;">Dates</h5>';
				$this->fields['infos'].= '<ul>';
				//$this->fields['infos'].= ''.$this->fields['date_add'].'';
				$this->fields['infos'].= ''.$this->fields['date_pub'].'';	
				$this->fields['infos'].= ''.$this->fields['date_mod'].'';
				$this->fields['infos'].= '</ul>';			
				
				$content['content_url'] = substr($this->info['hote'],0,-1).$this->info['url'];

				//$page['url'] = $content['content_url'];
				//$page['title'] = $content['content_title'];
				//$this->fields['share'] = '';
				
				//$this->fields['infos'].= '<pre>'.print_r($this->info,1).'</pre>';				
				//---------------- Infos ON -----------------

				// auth
				if( 
					($content['content_right'] == 1) // internaute
				or  ($content['content_right'] == 8 and ($this->usr->auth() == true) ) // membre
				or  ($content['content_right'] == 0 and ($this->usr->moderator() == true) )

				):	
				/*			
				if(
					(
					$this->usr->root() == true or 
					$this->usr->admin() == true or 
					$this->usr->moderator() == true
					)
					or $content['content_right'] == 1
				):
				*/
				
				$this->fields['photo'] = self::get_content_bloc_photos($content); 
				$this->fields['text'] = self::get_content_bloc_text($content); 
								
				//---------------- Infos ON -----------------
				// info du content							
				$this->fields['date_pub'] = ($content['content_date_pub'] != "0000-00-00 00:00:00") ? '<li><span class="libelle">Publication :</span> '.$this->zwTools()->date_fr($content['content_date_pub']).'</li>' : '';
				$this->fields['date_end'] = ($content['content_date_end'] != "0000-00-00 00:00:00") ? '<li><span class="libelle">Fermeture :</span> '.$this->zwTools()->date_fr($content['content_date_end']).'</li>' : '';
				
				$this->fields['date_add'] = ($content['content_date_add'] != $content['content_date_pub'] && $content['content_date_add'] != "0000-00-00 00:00:00") ? '<li><span class="libelle">Cr&eacute;ation :</span> '.$this->zwTools()->date_fr($content['content_date_add']).'</li>' : '';
				$this->fields['date_mod'] = ($content['content_date_mod'] != $content['content_date_pub']) ? '<li><span class="libelle">Modification :</span> '.$this->zwTools()->date_fr($content['content_date_mod']).'</li>' : '';
				
				$this->fields['infos'] = '<h5 style="display:none;text-align:right;">Dates</h5>';
				$this->fields['infos'].= '<ul>';
				$this->fields['infos'].= ''.$this->fields['date_add'].'';
				$this->fields['infos'].= ''.$this->fields['date_pub'].'';	
				$this->fields['infos'].= ''.$this->fields['date_mod'].'';
				$this->fields['infos'].= '</ul>';			
				
				$content['content_url'] = substr($this->info['hote'],0,-1).$this->info['url'];

				//$page['url'] = $content['content_url'];
				//$page['title'] = $content['content_title'];
				//$this->fields['share'] = $this->zwTools()->share($page);
				
				//$this->fields['infos'].= '<pre>'.print_r($this->info,1).'</pre>';				
				//---------------- Infos ON -----------------

				//---------------- User ON -----------------
				// author du content			
				$args['id_user'] = $content['content_id_usr'];
				$user = $this->usr->get_user($args);
				$this->fields['metaauthor'] = ($user['usr_firstname'] == true) ? $user['usr_firstname']." " : "";
				$this->fields['metaauthor'].= ($user['usr_lastname'] == true) ? $user['usr_lastname']." " : "";
				$this->fields['metaauthor'].= ($user['usr_lastname'] == true or $user['usr_firstname'] == true) ? "alias " : "";
				$this->fields['metaauthor'].= $user['usr_pseudo'];

				$this->fields['metareplyto'] = $this->zwTools()->replace_mail($user['usr_email']);

				$this->fields['usr_fiche'] = ($content['content_author_visible'] == true) ? $this->zwUsr()->zw3bModUsrFicheHtml($args) : "";
				//$this->fields['usr_fiche'] = ($content['content_author_visible'] == true) ? "" : "";
				$this->fields['usr_fiche_title'] = ($content['content_author_visible'] == true) ? "" : "";
				//---------------- User OFF -----------------
				
/*				//---------------- User Options ON -----------------
				if($this->usr->session()->auth() == true):

				$this->fields['infos'].= '<h5 style="text-align:right;">ZW3B.Site App</h5>';
				$this->fields['infos'].= '<ul>';
				$this->fields['infos'].= '<li><a href="'.$this->config['apps']['conf']['url'].'/contents/docs/mod/'.$this->info['page']['zw3bsite'].''.$this->info['url'].'">Modifier cette page</a></li>';
				$this->fields['infos'].= '</ul>';
		
				endif;
*/				//---------------- User Options ON -----------------

							
				//$this->zwViews()->assign ("foot", '');
				$this->fields['foot'] = "";
			
				//$this->zwViews()->assign("accroche", $content['content_desc']);
				$this->fields['accroche'] = ($content['content_desc']);
				
				$this->fields['photo'] = self::get_content_bloc_photos($content); 
				$this->fields['text'] = self::get_content_bloc_text($content); 

				self::get_specialfields($content);
				
				endif;
				
				return $this->fields;
		}


		private function get_content_bloc_comments($content) {
			
				//---------------- Commentaires OFF -----------------
				$this->fields['comments_title'] = "";
				$this->fields['comments_html'] = "";
				$this->fields['comments_formulaire_html'] = "";
				if( $content['content_comments_active'] == true)
				{	
					//$this->fields['comments_title'] = '<h3 class="tetiere">Les ractions des ZW3B.Nautes</h3>';
					$this->fields['comments_title'] = "";
					$this->fields['comments_html'] = "";
					$this->fields['comments_formulaire_html'] = "";		
					
					//$arguments['id_user'] = $this->info['content']['id_usr'];
					$args['id_content'] = $content['content_id'];
					$args['id_mod'] = 12;
					$args['content'] = $content;

					$this->fields['comments_html'] = $this->comments()->zw3bModCommentsLst($args);
					//$this->fields['comments_html'] = "";
	
					if($this->usr->session()->auth() == true)
						$this->fields['comments_formulaire_html'] = $this->comments()->zw3bModCommentsForm($args);
						//$this->fields['comments_formulaire_html'] = "";
					else
						//$this->fields['comments_formulaire_html'] = '<div style="padding:20px 5px;"><p style="text-align:left;font-weight:bold;">Vous devez &ecirc;tre identifi&eacute;(e) pour poster un commentaire...<br/><br/>L\'inscription se trouve par <a href="/club/">ici</a> !<br/><br/></p><p style="text-align:right;">L\'&eacute;quipe ZW3B</p></div>';
						$this->fields['comments_formulaire_html'] = $this->comments()->zw3bModCommentsForm($args);
				}
				//---------------- Commentaires OFF -----------------
		}
							
		private function get_content_bloc_photos($content) {

				$listimages = "";
				if(!empty($content['content_img'])):
				$listimages.= '<div class="container">';
				$c=0;
					$listimages.= '<ul id="content-items-imgs">';
					$listimages.= '<li rel="'.$c.'">';
	
					list($width, $height, $type, $attr) = @getimagesize($this->config['host']['documentroot'].'/var/contents/docs/'.$content['content_id_join'].'/imgs/'.$content['content_img']);
	
					$largeur = null; $hauteur = null;
					if($width > $height) {
						$largeur = 904;
						$res = @round($width / $largeur);
						$hauteur = @round($height / $res);
					}
					if($width < $height) {
						$largeur = 300;
						$res = @round($width / $largeur);
						$hauteur = @round($height / $res);
					}
	
					//$listimages.= "\t\t\t\t\t".'<img src="/resize.php?src=/var/images/'.$this->info['content']['vignette'].'&amp;w='.$largeur.'&amp;h='.$hauteur.'&amp;zc=1" alt="'.htmlentities($this->info['content']['title']).'" />'."\n";
					$listimages.= '<img src="/var/contents/docs/'.$content['content_id_join'].'/'.$content['content_img'].'" alt="'.htmlentities($content['content_title']).'" />';
					$listimages.= '</li>';
					$listimages.= '</ul>';
				$listimages.= '</div>';
				endif;

				return $listimages;

		}			

		private function get_content_bloc_text($content) {
									
				$body = "";
				$body.= '<div>';
				
				$content['content_text'] = $this->zwTools()->parseTagsRecursive($content['content_text']);
					
				$body.= $content['content_text'];

				$body.= '</div>';

				return $body;

		}
		
		private function get_specialfields($content) {
		
			self::get_content_bloc_comments($content);
			
			//$this->fields['link'] = $content["link"];
			
			//return $this->fields;
		}
		
}


?>