<?php
######################################################################
# ZW3B.Site v5.8.1 : Web Sites Management
# --------------------------------------------------------------------
#
# Copyright (c) 2015 by LAB3W : O.Romain Jaillet-Ramey - (orj@lab3w.fr)
#
# Date Create : 2014/11/21
# Date Modify : 2015/07/31
#
# Web Site : http://www.zw3b.fr
#
# This module is to manage ---------------------------- :: Descripton
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

class zw3bModContentsLinksActions extends zw3bModContentsActions {

	//var $module_id = 13;
	
    function __construct() {
    	//$this->module_id = (isset($this->module_id) && !empty($this->module_id)) ? $this->module_id : "13";
    }

    protected function zw3bModContentsLinksActionsAdd($_post = null, $_files = null) {

		if($this->usr->auth() == true
			and 
			(
				$this->usr->root() == true	
				or $this->usr->admin() == true	
				or $this->usr->moderator() == true		
			)
		):
			
    	$this->table_name = (isset($this->table_name) && !empty($this->table_name)) ? $this->table_name : "links";
    	$this->module_id = (isset($this->module_id) && !empty($this->module_id)) ? $this->module_id : "13";
		//echo 'ADD : '.$this->table_name.'<pre>'.print_r($_post,1).'</pre>'; 

    	if(
    		isset($_post['content']['title']) && !empty($_post['content']['title']) 
    	&&  isset($_post['content']['link']) && !empty($_post['content']['link'])
    	//&&  isset($_post['content']['id_rub']) && !empty($this->info['page']['id_rub'])
    	//&&  isset($_post['content']['id']) && !empty($_post['content']['id'])
    	//&&  isset($_post['content']['right']) && !empty($_post['content']['right'])
    	) {
    	    	
    	//$id = $_post['content']['id'];

    	$content_dir = explode('/', $this->info['page']['dir']);
    	$content_dir = array_splice($content_dir, 5, count($content_dir));;
		$content_dir = "/".implode('/', $content_dir);
		
    	$infos = $this->zwTree()->getInfos($content_dir);
    	$tree_id = (isset($_post['content']['id_rub']) && !empty($_post['content']['id_rub'])) ? $_post['content']['id_rub'] : $infos['id'];

		$content_id_usr = $this->usr->uid();		
		$content_right = $_post['content']['right'];
		$content_hp_une =	(isset($_post['content']['hp_une']) && $_post['content']['hp_une'] == 'on') ? 1 : 0;
		$content_hp_vhost =	(isset($_post['content']['hp_vhost']) && $_post['content']['hp_vhost'] == 'on') ? 1 : 0;
        $content_hp_site = (isset($_post['content']['hp_site']) && $_post['content']['hp_site'] == 'on') ? 1 : 0;
        $content_author_visible = (isset($_post['content']['author_visible']) && $_post['content']['author_visible'] == 'on') ? 1 : 0;
        $content_comments_active = isset($_post['content']['comments']['active']) && ($_post['content']['comments']['active'] == 'on') ? 1 : 0;
        $content_comments_anonym_active = (isset($_post['content']['comments']['anonym_active']) && $_post['content']['comments']['anonym_active'] == 'on') ? 1 : 0;    	
 	
		$date_pub = $_post['content']['date']['pub']['annee'].'-'.$_post['content']['date']['pub']['mois'].'-'.$_post['content']['date']['pub']['jour'].' '.$_post['content']['date']['pub']['heure'].':'.$_post['content']['date']['pub']['minute'].':'.$_post['content']['date']['pub']['seconde'].'';
		$date_end = $_post['content']['date']['end']['annee'].'-'.$_post['content']['date']['end']['mois'].'-'.$_post['content']['date']['end']['jour'].' '.$_post['content']['date']['end']['heure'].':'.$_post['content']['date']['end']['minute'].':'.$_post['content']['date']['end']['seconde'].'';

    	$content_title = $this->zwTools()->string_encode($_post['content']['title']);
 
    	//$content_uri = $this->zwTools()->tep_text_for_uri($_post['content']['title']);
    	$content_uri = $this->zwTools()->rewrite_uri_encode($_post['content']['title']);
    	
    	$content_link = $_post['content']['link'];

	  	$content_desc = $this->zwTools()->string_encode(addslashes(stripslashes($_post['content']['description'])));
    	$content_text = $this->zwTools()->search_replace($_post['content']['text']);
    	$content_text = addslashes(stripslashes($content_text));	
    	
    	$this->bdd  = $this->zwDb();
    	
     	$addContentReq = "INSERT INTO zw_contents_".$this->table_name." (content_uri, content_title, content_link, content_desc, content_text) VALUES (\"".$content_uri."\", \"".$content_title."\", \"".$content_link."\", \"".$content_desc."\", \"".$content_text."\")"; //echo "<br/>";
		$addContent = $this->bdd->query($addContentReq, $this->connexion);
		$content_id = $this->bdd->last_insert_id();
		
    	$addReq = 'INSERT INTO zw_contents (content_id_type, content_id_tree, content_id_join, content_right, content_id_usr, content_hp_une, content_hp_vhost, content_hp_site, content_author_visible, content_comments_active, content_comments_anonym_active, content_date_pub, content_date_end, content_date_add, content_date_mod) VALUES ('.$this->module_id.', '.$tree_id.', '.$content_id.', '.$content_right.', '.$content_id_usr.', '.$content_hp_une.', '.$content_hp_vhost.', '.$content_hp_site.', '.$content_author_visible.', '.$content_comments_active.', '.$content_comments_anonym_active.', "'.$date_pub.'", "'.$date_end.'", now(), now() )'; //echo "<br/>";
  		$add = $this->bdd->query($addReq, $this->connexion);
    	
    	header('Location: '.$this->config['apps']['conf']['url'].'/contents/links/mod'.$content_dir.$content_uri);
    	exit;
    	} 
    	endif;

    	header('Location: '.$_SERVER['HTTP_REFERER'].'');
    	exit;
    } 
     
    protected function zw3bModContentsLinksActionsMod($_post = null, $_files = null) {

		if($this->usr->auth() == true
			and 
			(
				$this->usr->root() == true	
				or $this->usr->admin() == true	
				or $this->usr->moderator() == true		
			)
		):
		
    	$this->table_name = (isset($this->table_name) && !empty($this->table_name)) ? $this->table_name : "links";
    	$this->module_id = (isset($this->module_id) && !empty($this->module_id)) ? $this->module_id : "13";
		//echo 'MOD : '.$this->table_name.'<pre>'.print_r($_post,1).'</pre>'; //exit; 

    	$content_dir = explode('/', $this->info['page']['dir']);
    	$content_dir = array_splice($content_dir, 2, count($content_dir));;
		$content_dir = "/".implode('/', $content_dir); //exit;
				
    	if($_post['content']['submit'] == "Suprimer") {
    		// soit on update avec les droits close
    		//self::zw3bModContentsLinksActionsClose($_post, $_files);
    		// soit on delete 
    		//self::zw3bModContentsLinksActionsDel($_post, $_files); 
    		 header('Location: '.substr($this->info['hote'],0, -1).'/actions/contents/links/del'.$content_dir.$_post['content']['uri']);
    		 exit;
    	exit;}

    	if(
    		isset($_post['content']['title']) && !empty($_post['content']['title']) 
    	&&  isset($_post['content']['link']) && !empty($_post['content']['link'])
    	//&&  isset($_post['content']['id_rub']) && !empty($this->info['page']['id_rub'])
    	//&&  isset($_post['content']['id']) && !empty($_post['content']['id'])
    	//&&  isset($_post['content']['right']) && !empty($_post['content']['right'])
    	) {
    	$id = $_post['content']['id'];
//    	$tree_id = $_post['content']['id_rub'];
    	
    	$rubrique = explode(":",$_post['content']['id_rub']);
    	$tree_id = $rubrique[0];
    	$tree_url = $rubrique[1];
		// si on change de rubrique
		$content_dir = $this->config['apps']['conf']['url'].'/contents/'.$this->table_name.'/mod/'.substr($tree_url,2,strlen($tree_url));

		$content_id_usr = $this->usr->uid();
		$content_id_usr = $_post['content']['usr_id'];
		$content_right = isset($_post['content']['right']) && !empty($_post['content']['right']) ? $_post['content']['right'] : 0;
		$content_hp_une =	(isset($_post['content']['hp_une']) && $_post['content']['hp_une'] == 'on') ? 1 : 0;
		$content_hp_vhost =	(isset($_post['content']['hp_vhost']) && $_post['content']['hp_vhost'] == 'on') ? 1 : 0;
        $content_hp_site = (isset($_post['content']['hp_site']) && $_post['content']['hp_site'] == 'on') ? 1 : 0;
        $content_author_visible_ = (isset($_post['content']['author_visible']) && $_post['content']['author_visible'] == 'on') ? 1 : 0;
        $content_comments_active = isset($_post['content']['comments']['active']) && ($_post['content']['comments']['active'] == 'on') ? 1 : 0;
        $content_comments_anonym_active = (isset($_post['content']['comments']['anonym_active']) && $_post['content']['comments']['anonym_active'] == 'on') ? 1 : 0;    	
 	
		$date_pub = $_post['content']['date']['pub']['annee'].'-'.$_post['content']['date']['pub']['mois'].'-'.$_post['content']['date']['pub']['jour'].' '.$_post['content']['date']['pub']['heure'].':'.$_post['content']['date']['pub']['minute'].':'.$_post['content']['date']['pub']['seconde'].'';
		$date_end = $_post['content']['date']['end']['annee'].'-'.$_post['content']['date']['end']['mois'].'-'.$_post['content']['date']['end']['jour'].' '.$_post['content']['date']['end']['heure'].':'.$_post['content']['date']['end']['minute'].':'.$_post['content']['date']['end']['seconde'].'';
	
		$date_mod = ($_post['content']['date']['mod']['annee'].'-'.$_post['content']['date']['mod']['mois'].'-'.$_post['content']['date']['mod']['jour'].' '.$_post['content']['date']['mod']['heure'].':'.$_post['content']['date']['mod']['minute'].':'.$_post['content']['date']['mod']['seconde'] != "0000-00-00 00:00:00") ? $_post['content']['date']['mod']['annee'].'-'.$_post['content']['date']['mod']['mois'].'-'.$_post['content']['date']['mod']['jour'].' '.$_post['content']['date']['mod']['heure'].':'.$_post['content']['date']['mod']['minute'].':'.$_post['content']['date']['mod']['seconde'] : $this->zwTools()->now();

    	$content_title = $this->zwTools()->string_encode($_post['content']['title']);

		$defaulturi = $this->zwTools()->rewrite_uri_encode($_post['content']['title']);
		$geturi = $this->zwTools()->rewrite_uri_encode($_post['content']['uri']);

		if( empty($geturi) )
			$zwUri = $defaulturi;
		elseif( !empty($geturi) && $geturi == $defaulturi )
			$zwUri = $geturi;
		elseif( !empty($geturi) && $geturi != $defaulturi )
			$zwUri = $geturi;
		else
			$zwUri = $defaulturi;
				
    	//$content_uri = $this->zwTools()->tep_text_for_uri($_post['content']['title']);
    	$content_uri = $zwUri;

    	$content_dir = explode('/', $this->info['page']['dir']);
    	$content_dir = array_splice($content_dir, 2, count($content_dir));;
		$content_dir = "/".implode('/', $content_dir);
		
	  	$content_link = $_post['content']['link'];

	  	$content_desc = $this->zwTools()->string_encode(addslashes(stripslashes($_post['content']['description'])));
    	$content_text = $this->zwTools()->search_replace($_post['content']['text']);
    	$content_text = addslashes(stripslashes($content_text));
   		
   		self::zw3bModContentsLinksActionsImageAdd($_post, $_files);
   		
    	$this->bdd  = $this->zwDb();
    	
    	$updateReq = 'UPDATE zw_contents SET content_id_usr = '.$content_id_usr.', content_id_tree = '.$tree_id.', content_right = '.$content_right.', content_hp_une = '.$content_hp_une.', content_hp_vhost = '.$content_hp_vhost.', content_hp_site = '.$content_hp_site.', content_author_visible = "'.$content_author_visible_.'", content_comments_active = "'.$content_comments_active.'", content_comments_anonym_active = "'.$content_comments_anonym_active.'", content_date_pub = "'.$date_pub.'", content_date_end = "'.$date_end.'", content_date_mod = "'.$date_mod.'" WHERE content_id_type = '.$this->module_id.' AND content_id_join = '.$id.' LIMIT 1'; //echo "<br/>";
    	$update = $this->bdd->query($updateReq, $this->connexion);
    	
    	$updateContentReq = "UPDATE zw_contents_".$this->table_name." SET content_title = \"".$content_title."\", content_uri = \"".$content_uri."\", content_link = \"".$content_link."\", content_desc = \"".$content_desc."\", content_text = \"".$content_text."\" WHERE content_id = \"".$id."\" LIMIT 1";
    	$update = $this->bdd->query($updateContentReq, $this->connexion);

		header('Location: '.$content_dir.''.$content_uri);    	
		exit;
    	} 
    	endif; 

    	header('Location: '.$_SERVER['HTTP_REFERER'].'');
    	exit;
    }    
    
    protected function zw3bModContentsLinksActionsDel($_post = null, $_files = null) {
		if($this->usr->auth() == true
			and 
			(
				$this->usr->root() == true	
				or $this->usr->admin() == true	
				or $this->usr->moderator() == true		
			)
		):	
    	$this->table_name = (isset($this->table_name) && !empty($this->table_name)) ? $this->table_name : "links";
   		$this->module_id = (isset($this->module_id) && !empty($this->module_id)) ? $this->module_id : "13";
		//echo 'DEL : '.$this->table_name.'<pre>'.print_r($_post,1).'</pre>'; //exit;
		if(isset($this->info['page']['module']) && $this->info['page']['module'] == $this->table_name) :
     	if(
    		isset($_post['content']['id']) && !empty($_post['content']['id']) 
    	//&&  isset($_post['content']['id_rub']) && !empty($this->info['page']['id_rub'])
    	&&  isset($_post['content']['title']) && !empty($_post['content']['title'])
    	&&  isset($_post['content']['right']) //&& !empty($_post['content']['right'])
    	) {
		$id = $_post['content']['id'];
    	//$infos = $this->zwTree()->getInfos($this->info['page']['arguments']['url']);
    	//$tree_id = (isset($_post['content']['id_rub']) && !empty($_post['content']['id_rub'])) ? $_post['content']['id_rub'] : $infos['id'];

		$content_id_usr = $this->usr->uid();
	
    	//$this->bdd  = $this->zwDb();
    	
     	//$delContentReq = "DELETE FROM zw_contents_".$this->table_name." WHERE content_id = \"".$id."\" LIMIT 1"; //echo "<br/>";
		//$delContent = $this->bdd->query($delContentReq, $this->connexion);
		//$content_id = $this->bdd->last_insert_id();
		
    	//$delReq = 'DELETE FROM zw_contents WHERE content_id_type = '.$this->module_id.' AND content_id_join = '.$id.' LIMIT 1" LIMIT 1'; //echo "<br/>";
  		//$del = $this->bdd->query($delReq, $this->connexion);
    	
    	//header('Location: '.substr($this->info['hote'],0, -1).$this->config['apps']['zw3b-site']['url'].'contents/'.$this->info['page']['module'].'/mod'.str_replace($this->info['page']['uri'], "", $this->info['page']['arguments']['url']).$content_uri);
    	exit;
    	} 
    	endif;
		if(!isset($this->info['page']['module']) || empty($this->info['page']['module'])) {
			//echo ' URL '.$this->info['page']['arguments']['url'].'<pre>'.print_r($this->info['page'],1).'</pre>';
			
			//$this->info['page']['module'] = $this->table_name; 

	    	$content_dir = explode('/', $this->info['page']['dir']);
	    	$content_dir = array_splice($content_dir, 8, count($content_dir));
			$content_dir = "/".implode('/', $content_dir);
			
			//$url4get = $this->info['page']['arguments']['url'];
			//$infos4get = $this->zwTree()->getInfos($content_dir);
				    	
	    	//$tree_id = $infos4get['id'];
	    	$tree_id = null;
	    	$uri = $this->info['page']['uri'];
	    	$content = zw3bModContentsLinks::zw3bModContentsLinksSearch($uri, $tree_id); // TEMP
			$id = $content['content_id_join'];

	    	$this->bdd  = $this->zwDb();
	    	
	     	$delContentReq = "DELETE FROM zw_contents_".$this->table_name." WHERE content_id = \"".$id."\" LIMIT 1"; echo "<br/>";
			$delContent = $this->bdd->query($delContentReq, $this->connexion);
			
	    	$delReq = 'DELETE FROM zw_contents WHERE content_id_type = '.$this->module_id.' AND content_id_join = '.$id.' LIMIT 1'; echo "<br/>";
	  		$del = $this->bdd->query($delReq, $this->connexion);
	    	
	    	//header('Location: '.$this->config['apps']['conf']['url'].'/contents/lst'.$content_dir);
	    	header('Location: '.$this->config['apps']['conf']['url'].'/tree/mod'.$content_dir);
			exit;
    	}
    	endif;
    	header('Location: '.$_SERVER['HTTP_REFERER'].'');
    	exit;
    }  



	private function zw3bModContentsLinksActionsImageAdd($_post = null, $_files = null)
	{
	    	//echo 'POST <pre>'.print_r($_post,1).'</pre>';
	    	//echo 'FILES <pre>'.print_r($_files,1).'</pre>';
	    	
	    	$this->field['uri'] = $this->info['page']['uri'];
			$this->field['id'] = $_post['content']['id'];
			
				if( isset($_files['content']['name']['image']) && is_array($_files['content']['name']['image']) && isset($_files['content']['name']['image'][0]) && !empty($_files['content']['name']['image'][0]) )
				{
					$destination = $this->zwTools()->getpathFromID($_post['content']['id'],'/var/contents/'.$this->table_name.'/').''.$_post['content']['id'].'/';

					if(!is_dir(''.$destination) ) {
						//echo '<br/> ------> on cree les reps des images : '.$this->config['host']['documentroot'].$destination.'<br/>';
						mkdir('.'.$destination); chmod('.'.$destination, 0777);
						$destination = $destination."";
						if(!is_dir(''.$destination) )
							mkdir('.'.$destination); chmod('.'.$destination, 0777);

					}
					
					$this->bdd  = $this->zwDb();
					
					foreach($_files['content']['name']['image'] as $key => $image) {


						 if (substr($_files['content']['type']['image'][$key],0,6)=="image/") {

							switch($_files['content']['type']['image'][$key]) {
								  case 'image/jpg';
								  case 'image/jpeg';
										$extension = '.jpg';
								  break;
								  case 'image/gif';
										$extension = '.gif';
								  break;
								  case 'image/png';
										$extension = '.png';
								  break;
								  default:
										$extension = '.PNG';
								  break;
							}

							$img = $this->field['uri'].'_'.date('YmdHis').'_'.($key+1).$extension;

							if(!is_dir($destination) ) {
								//echo ' et on copie l\'image '.$img.'<br/>';
								$res = copy($_files['content']['tmp_name']['image'][$key], '.'.$destination.$img);

								$this->field['photo'][$key]['img'] = $img;
								$this->field['photo'][$key]['file'] = $destination.$img;
								$this->field['photo'][$key]['name'] = $_post['content']['title'].' - Image '.($key+1);
							

					    		$updateImageReq = "UPDATE zw_contents_".$this->table_name." SET content_img = \"".$this->field['photo'][$key]['img']."\" WHERE content_id = ".$this->field['id']." LIMIT 1"; //echo "<br/>";
					    		$updateImage = $this->bdd->query($updateImageReq, $this->connexion);
					    							
							
							}
						}




					}

				}


			//echo 'FIELDS <pre>'.print_r($this->field, 1).'</pre>'; exit;
			
	}



/*
	public function del($directory, $post, $files = null)
	{
		$directory = implode('/', array_slice(explode('/', $directory), 0, -1)).'/';
		//$infos = $this->getInfos($directory);
//		echo $directory; exit;

		// del de la bdd
		$id_mod = 47;
		$field['id'] = $post['content']['id'];
		$destination = self::getpathFromID($field['id'],'/var/content/links/img').'/'.$field['id'].'/';

		// suppime la ligne de larbo
		$join_arbo_del = $db->query("DELETE FROM arbo_join WHERE id_mod='".$id_mod."' AND id_join='".$field['id']."' LIMIT 1");

		// suppime le content
		$content_del = $db->query("DELETE FROM articles WHERE id='".$field['id']."' LIMIT 1");

		$db->shutdown();

		// supprime le dossier avec les images (faire une fonction loop qui sup les contenus)
		//if (is_dir($destination))
		//	@rmdir($destination);

		//echo '<pre>'.print_r($post, 1).'</pre>';exit;
		header("Location: /admin/config/tree/mod".$directory);

	}

    function mod($directory, $post, $files = null) {

		if( isset($post['content']['submit']) && $post['content']['submit'] == 'Suprimer' )
		{
			//echo '<pre>'.print_r($post,1).'</pre>';exit;
			self::del($directory, $post);

		}
		if( isset($post['content']['submit']) && $post['content']['submit'] == 'Modifier' )
		{

			//echo '<pre>POST: '.print_r($post,1).'</pre>';exit;

			$url = $directory;
			$directory = implode('/', array_slice(explode('/', $directory), 0, -1)).'/';
			$infos = $this->getInfos($directory);
			//echo '<pre>INFOS:'.$directory.' -> '.print_r($infos,1).'</pre>';exit;
			//if(isset($infos['content']) && is_array($infos['content']))
			{
				//echo '<pre>INFOS:'.$directory.' -> '.print_r($infos['content'],1).'</pre>';
				//echo '<pre>POST: '.print_r($post,1).'</pre>';
				//exit;

				//exit;
				//$lastid = self::checkLastContentID('/var/content/actualites/');

				//$field['id'] = $infos['content']['id'];
				$field['id'] = $post['content']['id'];
				//$field['tree_id'] = $infos['content']['tree_id'];
				$field['tree_id'] = $post['content']['id_rub'];
				$field['type'] = 'articles';
				$field['datetime'] = date('Y').'-'.date('m').'-'.date('d').' '.date('H').':'.date('i').':'.date('s');
				$field['date_pub'] = $post['content']['date']['pub']['annee'].'-'.$post['content']['date']['pub']['mois'].'-'.$post['content']['date']['pub']['jour'].' '.$post['content']['date']['pub']['heure'].':'.$post['content']['date']['pub']['minute'].':'.$post['content']['date']['pub']['seconde'].'';
				$field['date_mod'] = $post['content']['date']['mod']['annee'].'-'.$post['content']['date']['mod']['mois'].'-'.$post['content']['date']['mod']['jour'].' '.$post['content']['date']['mod']['heure'].':'.$post['content']['date']['mod']['minute'].':'.$post['content']['date']['mod']['seconde'].'';
				$field['date_end'] = $post['content']['date']['end']['annee'].'-'.$post['content']['date']['end']['mois'].'-'.$post['content']['date']['end']['jour'].' '.$post['content']['date']['end']['heure'].':'.$post['content']['date']['end']['minute'].':'.$post['content']['date']['end']['seconde'].'';

				if(isset($post['content']['homepage']) && $post['content']['homepage'] == 'on') $field['homepage'] = 1; else $field['homepage'] = 0;
				if(isset($post['content']['online']) && $post['content']['online'] == 'on') $field['online'] = 1; else $field['online'] = 0;
				if(isset($post['content']['comment_active']) && $post['content']['comment_active'] == 'on') $field['comment_active'] = 1; else $field['comment_active'] = 0;
				if(isset($post['content']['comment_anonym_active']) && $post['content']['comment_anonym_active'] == 'on') $field['comment_anonym_active'] = 1; else $field['comment_anonym_active'] = 0;
				if(isset($post['content']['author_hidden']) && $post['content']['author_hidden'] == 'on') $field['author_hidden'] = 1; else $field['author_hidden'] = 0;

			    $id_user = $this->usr->uid();
				$field['author_id'] = $this->usr->uid();

				$field['title'] = stripslashes(addslashes( $post['content']['title'] ));

				$defaulturi = $this->rewrite_uri_encode($field['title']);
				$geturi = $this->rewrite_uri_encode($post['content']['uri']);

				if( empty($geturi) )
					$uri = $defaulturi;
				elseif( !empty($geturi) && $geturi == $defaulturi )
					$uri = $geturi;
				elseif( !empty($geturi) && $geturi != $defaulturi )
					$uri = $geturi;
				else
					$uri = $defaulturi;

				$field['uri'] = $uri;
				$field['url'] = $directory.$field['uri'];

				$field['description'] = (addslashes( $post['content']['description'] ));

				$field['text'] = stripslashes(addslashes( $post['content']['text'] ));


				//echo self::getpathFromID($field['id'],'/var/content/links/');
				//echo '<br/>'.self::checkLastContentID('/var/content/links/');



				if( is_array($files['content']['name']['image']) )
				{
					$destination = self::getpathFromID($field['id'],'/var/content/links/').'/'.$field['id'].'/';

					if(!is_dir('.'.$destination) ) {
						echo '<br/> ------> on cree le rep des images : '.$destination.'<br/>';
						//mkdir('.'.$destination);

					}

					foreach($files['content']['name']['image'] as $key => $image) {


						 if (substr($files['content']['type']['image'][$key],0,6)=="image/") {

							switch($files['content']['type']['image'][$key]) {
								  case 'image/jpg';
								  case 'image/jpeg';
										$extension = '.jpg';
								  break;
								  case 'image/gif';
										$extension = '.gif';
								  break;
								  case 'image/png';
										$extension = '.png';
								  break;
								  default:
										$extension = '.PNG';
								  break;
							}

							$img = $field['uri'].'_'.date('YmdHis').'_'.($key+1).$extension;

							if(!is_dir($destination) ) {
								//echo ' et on copie l\'image<br/>';
								$res = copy($files['content']['tmp_name']['image'][$key], '.'.$destination.$img);

								$field['photo'][$key]['file'] = $destination.$img;
								$field['photo'][$key]['name'] = $field['title'].' - Image '.($key+1);
							}
						}




					}

				}

				//$field['photo'] = $infos['content']['photo'];
				if( isset($field['photo']) && is_array($field['photo']) )
					$field['photo'] = array_merge((array)$infos['content']['photo'], (array)$field['photo']);
				else
					$field['photo'] = $infos['content']['photo'];

				if( isset($post['content']['vignette']) && !empty($post['content']['vignette']) )
					$field['vignette'] = $post['content']['vignette'];

				//echo '<pre>FIELD: '.print_r($field,1).'</pre>';exit;

				// on update le fichier de l'article
				//$file = self::getpathFromID($field['id'],'./var/content/links/').'/'.$field['id'].'.php';
				//@file_put_contents($file, "< ?php\n\n\$content=".var_export($field,1).";\n\n? >");

				// on update la ligne de l'article
				//UPDATE  `zw3b_www`.`links` SET  `online` =  '0' WHERE  `articles`.`id` =225;
				$contentsLinksReq = $db->query("UPDATE links SET
												uri = '".$field['uri']."',
												title = '".utf8_encode($field['title'])."',
												description = '".utf8_encode($field['description'])."',
												text = '".utf8_encode($field['text'])."',
												date_pub = '".$field['date_pub']."',
												date_mod = '".$field['date_mod']."',
												date_end = '".$field['date_end']."',

												vignette = '".$field['vignette']."',
												homepage = '".$field['homepage']."',
												online = '".$field['online']."',
												author_hidden = '".$field['author_hidden']."',
												comment_active = '".$field['comment_active']."',
												comment_anonym_active = '".$field['comment_anonym_active']."'

												WHERE id = '".$field['id']."'"
											);
											//id_usr = '".$field['id_usr']."';

				$db->shutdown();



				header('Location: '.$_SERVER['HTTP_REFERER'].''.$error);

			}

		}

    }

    function add($directory, $post, $files = null)
    {
			$infos = $this->getInfos($directory);

			$field['tree_id'] = $infos['id'];

			//echo '<pre>ADD:'.$directory.' -> '.print_r($infos,1).''.print_r($post,1).''.print_r($files,1).'</pre>';
			//exit;

			//echo 'le titre de lactu est :'.$content[title];
			//$lastid = self::checkLastContentID('/var/content/links/');

			$field['datetime'] = date('Y').':'.date('m').':'.date('d').' '.date('H').':'.date('i').':'.date('s');
			$field['date_pub'] = $post['content']['date']['pub']['annee'].':'.$post['content']['date']['pub']['mois'].':'.$post['content']['date']['pub']['jour'].' '.$post['content']['date']['pub']['heure'].':'.$post['content']['date']['pub']['minute'].':'.$post['content']['date']['pub']['seconde'].'';
			$field['date_mod'] = date('Y').':'.date('m').':'.date('d').' '.date('H').':'.date('i').':'.date('s');
			$field['date_end'] = $post['content']['date']['end']['annee'].':'.$post['content']['date']['end']['mois'].':'.$post['content']['date']['end']['jour'].' '.$post['content']['date']['end']['heure'].':'.$post['content']['date']['end']['minute'].':'.$post['content']['date']['end']['seconde'].'';

			if(isset($post['content']['homepage']) && $post['content']['homepage'] == 'on') $field['homepage'] = 1; else $field['homepage'] = 0;
			if(isset($post['content']['online']) && $post['content']['online'] == 'on') $field['online'] = 1; else $field['online'] = 0;
			if(isset($post['content']['comment_active']) && $post['content']['comment_active'] == 'on') $field['comment_active'] = 1; else $field['comment_active'] = 0;
			if(isset($post['content']['comment_anonym_active']) && $post['content']['comment_anonym_active'] == 'on') $field['comment_anonym_active'] = 1; else $field['comment_anonym_active'] = 0;
			if(isset($post['content']['author_hidden']) && $post['content']['author_hidden'] == 'on') $field['author_hidden'] = 1; else $field['author_hidden'] = 0;

			$id_user = $this->usr->uid();
			$field['author_id'] = $this->usr->uid();

			$field['title'] = stripslashes(addslashes( $post['content']['title'] ));

			$field['uri'] = $this->rewrite_uri_encode($field['title']);
			$field['url'] = $directory.$field['uri'];

			$field['description'] = stripslashes(addslashes( $post['content']['description'] ));

			$field['text'] = $post['content']['text'];





			// On soccupe des images envoyes
			if( is_array($files['content']['name']['image']) && isset($files['content']['tmp_name']['image']) )
			{
				$destination = self::getpathFromID($field['id'],'/var/content/links/img').'/'.$field['id'].'/';

				if(!is_dir('.'.$destination) ) {
					//echo '<br/> ------> on cree le rep des images : '.$destination.'<br/>';
					mkdir('.'.$destination);

				}

				foreach($files['content']['name']['image'] as $key => $image) {


    				 if (substr($files['content']['type']['image'][$key],0,6)=="image/") {

      					switch($files['content']['type']['image'][$key]) {
      					      case 'image/jpg';
      					      case 'image/jpeg';
      						        $extension[$key] = '.jpg';
      					      break;
      					      case 'image/gif';
      						        $extension[$key] = '.gif';
      					      break;
      					      case 'image/png';
      						        $extension[$key] = '.png';
      					      break;
      					      default:
      						        $extension[$key] = '.PNG';
      					      break;
      					}

      					$img[$key] = $field['uri'].'_'.date('YmdHis').'_'.($key+1).$extension[$key];

						if(!is_dir($destination) ) {
							//echo ' et on copie l\'image<br/>';
							$image_cp[$key] = copy($files['content']['tmp_name']['image'][$key], '.'.$destination.$img[$key]);
    					    //$image_in[$key] = true;

						}
					}

					$field['photo'][$key]['file'] = $destination.$img[$key];
					$field['photo'][$key]['name'] = $field['title'].' - Image '.($key+1);


				}

			}

			// on update pour la vignette :/ (todo : faire une table speciale pour les images des contents)
			if(isset($image_in) && is_array($image_in) && array_count_values($image_in) >= 1)
    			$imageModReq = $db->query("UPDATE links SET vignette='".$img[0]."' WHERE id = '".$id_last."'");



			$this_path = './var/content/links/';
			// on verif ou cre le dossier
			if( $this->zw3bTools()->verifPathExist2($this_path) == true):
				// on cre le fichier de l'article
				$file = $this->zw3bTools()->getpathFromID($field['id'],'./var/content/links/').'/'.$id_last.'.php';
				file_put_contents($file, "<?php\n\n\$content=".var_export($field,1).";\n\n?>");
			endif;

			header('Location: /admin/content/articles/mod'.$field['url']);
			#header('Location: /admin/config/tree/mod'.$directory);

			#echo '<pre>CONTENTS:'.$field['url'].' -> '.print_r($contents,1).'</pre>';
			#echo '<pre>ADD:'.$field['url'].' -> '.print_r($field,1).'</pre>';exit;

    }

*/

}
?>