<?php
######################################################################
# ZW3B.Site v5.8.2 : Web Sites Management
# --------------------------------------------------------------------
#
# Copyright (c) 2015 by LAB3W : O.Romain Jaillet-Ramey - (orj@lab3w.fr)
#
# Date Create : 2014/10/20
# Date Modify : 2015/08/20
#
# Web Site : http://www.zw3b.fr
#
# This module is to manage ---------------------------- :: Descripton
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

class zw3bModUsrSessionException extends Exception {}

class zw3bModUsrSession extends zw3bModUsr
{

	//var $usrs = array();
	var $valide = false;

	var $uid = null;
	var $gid = null;
	var $uname = null;
	var $umail = null;
	var $gname = null;
	var $uavatar = null;
	var $udate = array();
	
	var $uright = null;
	var $gright = null;

	function __construct($type = null, $parametres = array()) {

		date_default_timezone_set('Europe/Paris');
		setlocale(LC_ALL, 'fr_FR.utf8');

		//echo '<pre>'.print_r($_COOKIE).'</pre>';exit;

		if(isset($_COOKIE['ZW3B_hasConsentCookies']) && $_COOKIE['ZW3B_hasConsentCookies'] == "true"
			&& isset($_COOKIE['PHPSESSID'])
		) {		
			$this->start();	session_id($_COOKIE['PHPSESSID']); 
			setcookie("PHPSESSID", "".session_id($_COOKIE['PHPSESSID']), null, "/", $_SERVER['HTTP_HOST']);
			setcookie("PHPSESSID", "".session_id($_COOKIE['PHPSESSID']), null, "/", "zw3b.fr");
			
		} else {
			$this->start();
		}
		
		$this->refresh();

		if( $this->auth() == true ) {
			//echo 'On est loggu';
			$this->auth_assign();

		} else {
			//echo 'On n\'est pas loggu';
			//$this->auth();
		}

	}


	/*
	 * Session start
	 */
	function start() {
		
		if(	isset($_COOKIE['ZW3B_hasConsentCookies']) 
		&& !empty($_COOKIE['ZW3B_hasConsentCookies']) 
		&& $_COOKIE['ZW3B_hasConsentCookies'] == "true" ) 
		{
			if(!session_id()) {
			  session_start();
			  return true;
			}
		}
	}

	/*
	 * Session refresh
	 */
	function refresh() {
			$_SESSION['udate']['refresh'] = date('YmdHis');
	}

	/*
	 * Retourne la session
	 */
	function get() {
		return $_SESSION;
	}

	/*
	 * usr session valide
	 */
	function valide() {
		if($this->auth())
			return $this->valide;
	}

	/*
	 * usr avec variables de session
	 */	
    function auth($arguments = null) {
        if( !empty($_SESSION['user']['usr_id']) && !empty($_SESSION['user']['grp_id']) && !empty($_SESSION['user']['usr_pseudo']) && !empty($_SESSION['user']['usr_email']) ) {
        	$this->valide = true;
        	return true;
        }
       	return false;

    }


	/*
	 * variable a mettre en session
	 */	
//    function zw3bModUsrSessionAssignUser() {
     function assign_user($user) {
     	
		$_SESSION['user']['usr_id'] = $user['usr_id'];
		$_SESSION['user']['grp_id'] = $user['usr_grp_id'];
		$_SESSION['user']['usr_pseudo'] = $user['usr_pseudo'];
		$_SESSION['user']['usr_email'] = $user['usr_email'];
		$_SESSION['user']['usr_avatar'] = $user['usr_avatar'];
		$_SESSION['user']['usr_anonymous'] = $user['usr_anonymous'];
		$_SESSION['user']['date_log'] = $user['usr_date_log'];
		$_SESSION['user']['nbr_log'] = $user['usr_nbr_log'];
		$_SESSION['user']['usr_right'] = $user['usr_right'];
		$_SESSION['user']['grp_name'] = $user['grp_name'];
		$_SESSION['user']['grp_right'] = $user['grp_right'];
		

		//echo '>zw3bModUsrSession>assign_user><pre>'.print_r($_SESSION, 1).'</pre>'; exit;

		if(!isset($_COOKIE['ZW3BSESSID'])) 
		{


		 	//setcookie("ZWID", md5($user['pwd'].$user['log'])."IDZW3B".session_id(), "/", ".zw3b.fr");
		 	//setcookie("ZW3BSESSID", "".session_id(), "/", ".zw3b.fr");

			//setcookie("PHPSESSID", "", null, "/", ".zw3b.fr");

			//setcookie("PHPSESSID", "", null, "zw3b.fr");
			//setcookie("PHPSESSID", "", null, "my.zw3b.fr");
			//setcookie("PHPSESSID", "", null, "h0wt0.zw3b.fr");
			//setcookie("PHPSESSID", "", null, "radi0.zw3b.fr");

			//setcookie("PHPSESSID", "".session_id(), null, "/", ".zw3b.fr");
			//setcookie("PHPSESSID", "".session_id(), null, "/", "zw3b.fr");
			//setcookie("PHPSESSID", "".session_id(), null, "v5.zw3b.fr");
			//setcookie("PHPSESSID", "".session_id(), null, "howto.zw3b.fr");
			//setcookie("PHPSESSID", "".session_id(), null, "radio.zw3b.fr");

		
		}

    }


    function auth_assign() {

		$this->uid = $_SESSION['user']['usr_id'];
		$this->gid = $_SESSION['user']['grp_id'];
		$this->uright = $_SESSION['user']['usr_right'];
		$this->gright = $_SESSION['user']['grp_right'];
		$this->gname = $_SESSION['user']['grp_name'];
		$this->uname = $_SESSION['user']['usr_pseudo'];
		$this->umail = $_SESSION['user']['usr_email'];
		$this->udate = $_SESSION['udate'];
		$this->uanonym = $_SESSION['user']['usr_anonymous'];
		$this->uavatar = $_SESSION['user']['usr_avatar'];
	
		
    }











}

?>